GNU bug report logs - #51314
[PATCH 00/29] Add Octoprint (web UI for 3d printers).

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Vinicius Monego <monego@HIDDEN>; Keywords: patch; dated Thu, 21 Oct 2021 03:53:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 14 Nov 2021 14:30:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 14 09:30:48 2021
Received: from localhost ([127.0.0.1]:49567 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mmGWt-0007KQ-Kx
	for submit <at> debbugs.gnu.org; Sun, 14 Nov 2021 09:30:47 -0500
Received: from flashner.co.il ([178.62.234.194]:42872)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1mmGWr-0007KB-Hq
 for 51314 <at> debbugs.gnu.org; Sun, 14 Nov 2021 09:30:46 -0500
Received: from localhost (unknown [141.226.12.213])
 by flashner.co.il (Postfix) with ESMTPSA id 6577C40566;
 Sun, 14 Nov 2021 14:30:39 +0000 (UTC)
Date: Sun, 14 Nov 2021 16:30:07 +0200
From: Efraim Flashner <efraim@HIDDEN>
To: Vinicius Monego <monego@HIDDEN>
Subject: Re: [bug#51314] [PATCH 00/29] Add Octoprint (web UI for 3d printers).
Message-ID: <YZEdb54s/2+X6nNl@3900XT>
Mail-Followup-To: Efraim Flashner <efraim@HIDDEN>,
 Vinicius Monego <monego@HIDDEN>, 51314 <at> debbugs.gnu.org
References: <20211021035100.241119-1-monego@HIDDEN>
 <YYmKsvkuo9s6z6yH@3900XT>
 <f2dea899cc95019d7b35eb2c503fcf27ce4f1bb8.camel@HIDDEN>
 <YZDMfRA4RAoTcubK@3900XT>
 <3994da78d3a54369518be4b92636044ed15c3217.camel@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="A23MO++QykpX1unS"
Content-Disposition: inline
In-Reply-To: <3994da78d3a54369518be4b92636044ed15c3217.camel@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 51314
Cc: 51314 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--A23MO++QykpX1unS
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Sun, Nov 14, 2021 at 02:07:04PM +0000, Vinicius Monego wrote:
> Em dom, 2021-11-14 =C3=A0s 10:44 +0200, Efraim Flashner escreveu:
> > On Sat, Nov 13, 2021 at 07:44:53PM +0000, Vinicius Monego wrote:
> > > Em seg, 2021-11-08 =C3=A0s 22:38 +0200, Efraim Flashner escreveu:
> > > > On Thu, Oct 21, 2021 at 03:51:00AM +0000, Vinicius Monego wrote:
> > > > > This patchset adds the Octoprint web UI to control 3d printers.
> > > > >=20
> > > > > Octoprint itself bundles font-awesome. I removed it in a
> > > > > snippet,
> > > > > don't know how much it would affect usability. I haven't found
> > > > > other bundles with license issues.
> > > > >=20
> > > > > Some of the updates have newer versions but I'm updating to
> > > > > "older"
> > > > > versions to maintain compatibility with octoprint. See the
> > > > > comment
> > > > > in the octoprint package.
> > > >=20
> > > > Looking at some of the comments here=C2=B9 it looks like they're us=
ing
> > > > old
> > > > versions mostly to retain python2 compatibility. On the other
> > > > hand
> > > > they
> > > > also have a comment about not having checked newer versions yet
> > > > for
> > > > for
> > > > breaking changes, which IMO is their job. Other than flask-login
> > > > and
> > > > netaddr I don't see a reason to not try with some of the newer
> > > > versions
> > > > of the packages. I would feel better if they only marked their
> > > > own
> > > > dependencies and not transitive dependencies.
> > > >=20
> > > > I think it makes sense to try newer versions and to add older
> > > > versions
> > > > on an as-needed basis, especially since some of these packages
> > > > are
> > > > likely to be upgraded again at some point before the next version
> > > > of
> > > > octoprint.
> > > >=20
> > > > =C2=B9 https://github.com/OctoPrint/OctoPrint/blob/1.7.0/setup.py#L=
17
> > > >=20
> > >=20
> > > This is my report for the updates:
> > >=20
> > > I updated python-colorlog, python-zeroconf, python-watchdog and
> > > python-
> > > wrapt to latest versions.
> > >=20
> > > The update on python-zeroconf will likely break pulseaudio-dlna
> > > which
> > > depends on python2-zeroconf. Upstream also abandoned the project
> > > and it
> > > now lives in a fork that can be found here=C2=B9. Packaging the fork
> > > will
> > > require packaging python-pyroute2 which seems to lead to another
> > > chain
> > > of new packages.
> > >=20
> > > Updating Flask to version 2.0 will require updates on python-
> > > itsdangerous, python-werkzeug and python-jinja2, which would have
> > > to
> > > rebuild 600+ packages.
> >=20
> > That's a pretty good reason to leave flask at 1.x. When we do add 2.x
> > we
> > might also end up keeping a python-flask-1 for a while during a
> > transition.
> >=20
> > > I tried to update python-websockets-client to latest version but
> > > the
> > > tests hung and I couldn't figure out why.
> > >=20
> > > I'll send a v2 soon.
> > >=20
> > > =C2=B9 https://github.com/Cygn/pulseaudio-dlna/
> >=20
> > My concern was more about if the newer versions of the python
> > packages
> > would work with octoprint.
> >=20
>=20
> I don't have a printer to test but the unit tests are still passing and
> the server log messages didn't accuse anything different. The only
> update that may cause a problem is python-zeroconf, but I don't know
> how to test that one.

So it's probably fine to leave that one as-is for now.

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=A8=D7=A0=D7=A9=D7=9C=D7=A4 =
=D7=9D=D7=99=D7=A8=D7=A4=D7=90
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--A23MO++QykpX1unS
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAmGRHWwACgkQQarn3Mo9
g1GTYg//Y18NurjNjBwcbZuapuU85cE9jDl18DMsZA+3T9juJ5McAROnXKEKO6Y3
zBRCxm/+zAftIAiwpE7/26PZhEEsm24XBSd77SFSQIyurmlRzlZX+jf5zSRxaNjR
+69IbvSAJNiNCehIBUwpS6K3cg/fH5VBxiRdGrb7SDs588+0F7HpOfT4k8QQjp5t
PtiBdNnDzrXe7k4lP9hdQkY127lZD2KmLuu+yfMdiPtDM3R8wqSsmSjBqjBunYGm
C9SruyoIrYraJKezAbomPyY8gjROhyabZnHY0fszjpYX9DYB8JoGPbLYTOw0u5HS
5VyH+ty0DQxZDboWRicXPh9Gg205jQS0kYvtJG7CuQkCBOS1HT3UOVQ5v93mQNtC
Dj7O3k4w35tuwPsAF59xcq6j2UUfhRsJzrk5THiEApdZxM/RH3SArM1vIr0h04UQ
CSyEmOM913QRqO2dKFtRJfpid6UOOjcuEajXJrYvZ0EuXK6RrRJljzDgSrfHVy3E
RZlADZazWMVLSYAzcaomxADs4G0iZ60grTcgxzETBQS7k+cN++i5BfioiN04lMn0
/iAXHn9kDff/ty2zRJD2eOTuYBSOmS4Wo/WQmYErbfRQewdq5px5vizznDcZTESn
57CwVl24miOwOi0bVayI5U4h6wHt499R2J/FGgRg5XArTuDDWjM=
=MHiz
-----END PGP SIGNATURE-----

--A23MO++QykpX1unS--




Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 14 Nov 2021 14:07:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 14 09:07:24 2021
Received: from localhost ([127.0.0.1]:49508 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mmGAG-0006fv-9u
	for submit <at> debbugs.gnu.org; Sun, 14 Nov 2021 09:07:24 -0500
Received: from mout02.posteo.de ([185.67.36.66]:60189)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mmGAE-0006fh-Fb
 for 51314 <at> debbugs.gnu.org; Sun, 14 Nov 2021 09:07:23 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 52DFC240103
 for <51314 <at> debbugs.gnu.org>; Sun, 14 Nov 2021 15:07:15 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1636898836; bh=tVZWOW2Oq/2w/gaEr7q7Zi4LDaJlJAvzMJ9LoVyU3Pk=;
 h=Subject:From:To:Cc:Date:From;
 b=ZX5uj4r1MbyB5VO0WkDmuol+83hNvEQ801HlkW7DURUilkC89S+73KyPPM5SSSa4W
 wl+1j0yLlFTTNbvaCzjS6RKPJwl9fH2z9+N1/VCxEpFaAU9x4kC/rH78n80QaZWx/c
 aGCW+cHx1NfJNedAcsb8CrZzF32V+IHem6/+UC0fBqgcE2udnawf9NockUZrBJa7iO
 QfAf8PilY9Kn5m5kkctr2WmIKhG/SClQXg1goVaZkjpUKPigR1a7yFcJeQrF9DEpvt
 TvGBOKA5Au9tVdont/0izVoGD5s3GKumSFCqrqLIVqpGyJpXfsY5ySmHC4BJslZwCS
 ms00nCpps+yhg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HsYzk1fg1z6tn7;
 Sun, 14 Nov 2021 15:07:13 +0100 (CET)
Message-ID: <3994da78d3a54369518be4b92636044ed15c3217.camel@HIDDEN>
Subject: Re: [bug#51314] [PATCH 00/29] Add Octoprint (web UI for 3d printers).
From: Vinicius Monego <monego@HIDDEN>
To: Efraim Flashner <efraim@HIDDEN>
Date: Sun, 14 Nov 2021 14:07:04 +0000
In-Reply-To: <YZDMfRA4RAoTcubK@3900XT>
References: <20211021035100.241119-1-monego@HIDDEN>
 <YYmKsvkuo9s6z6yH@3900XT>
 <f2dea899cc95019d7b35eb2c503fcf27ce4f1bb8.camel@HIDDEN>
 <YZDMfRA4RAoTcubK@3900XT>
Content-Type: text/plain; charset="UTF-8"
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: 51314 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Em dom, 2021-11-14 às 10:44 +0200, Efraim Flashner escreveu:
> On Sat, Nov 13, 2021 at 07:44:53PM +0000, Vinicius Monego wrote:
> > Em seg, 2021-11-08 às 22:38 +0200, Efraim Flashner escreveu:
> > > On Thu, Oct 21, 2021 at 03:51:00AM +0000, Vinicius Monego wrote:
> > > > This patchset adds the Octoprint web UI to control 3d printers.
> > > > 
> > > > Octoprint itself bundles font-awesome. I removed it in a
> > > > snippet,
> > > > don't know how much it would affect usability. I haven't found
> > > > other bundles with license issues.
> > > > 
> > > > Some of the updates have newer versions but I'm updating to
> > > > "older"
> > > > versions to maintain compatibility with octoprint. See the
> > > > comment
> > > > in the octoprint package.
> > > 
> > > Looking at some of the comments here¹ it looks like they're using
> > > old
> > > versions mostly to retain python2 compatibility. On the other
> > > hand
> > > they
> > > also have a comment about not having checked newer versions yet
> > > for
> > > for
> > > breaking changes, which IMO is their job. Other than flask-login
> > > and
> > > netaddr I don't see a reason to not try with some of the newer
> > > versions
> > > of the packages. I would feel better if they only marked their
> > > own
> > > dependencies and not transitive dependencies.
> > > 
> > > I think it makes sense to try newer versions and to add older
> > > versions
> > > on an as-needed basis, especially since some of these packages
> > > are
> > > likely to be upgraded again at some point before the next version
> > > of
> > > octoprint.
> > > 
> > > ¹ https://github.com/OctoPrint/OctoPrint/blob/1.7.0/setup.py#L17
> > > 
> > 
> > This is my report for the updates:
> > 
> > I updated python-colorlog, python-zeroconf, python-watchdog and
> > python-
> > wrapt to latest versions.
> > 
> > The update on python-zeroconf will likely break pulseaudio-dlna
> > which
> > depends on python2-zeroconf. Upstream also abandoned the project
> > and it
> > now lives in a fork that can be found here¹. Packaging the fork
> > will
> > require packaging python-pyroute2 which seems to lead to another
> > chain
> > of new packages.
> > 
> > Updating Flask to version 2.0 will require updates on python-
> > itsdangerous, python-werkzeug and python-jinja2, which would have
> > to
> > rebuild 600+ packages.
> 
> That's a pretty good reason to leave flask at 1.x. When we do add 2.x
> we
> might also end up keeping a python-flask-1 for a while during a
> transition.
> 
> > I tried to update python-websockets-client to latest version but
> > the
> > tests hung and I couldn't figure out why.
> > 
> > I'll send a v2 soon.
> > 
> > ¹ https://github.com/Cygn/pulseaudio-dlna/
> 
> My concern was more about if the newer versions of the python
> packages
> would work with octoprint.
> 

I don't have a printer to test but the unit tests are still passing and
the server log messages didn't accuse anything different. The only
update that may cause a problem is python-zeroconf, but I don't know
how to test that one.





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 14 Nov 2021 08:45:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 14 03:45:26 2021
Received: from localhost ([127.0.0.1]:49111 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mmB8g-0001xW-GA
	for submit <at> debbugs.gnu.org; Sun, 14 Nov 2021 03:45:26 -0500
Received: from flashner.co.il ([178.62.234.194]:41876)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1mmB8e-0001xD-P7
 for 51314 <at> debbugs.gnu.org; Sun, 14 Nov 2021 03:45:25 -0500
Received: from localhost (unknown [141.226.12.213])
 by flashner.co.il (Postfix) with ESMTPSA id B174E40262;
 Sun, 14 Nov 2021 08:45:17 +0000 (UTC)
Date: Sun, 14 Nov 2021 10:44:45 +0200
From: Efraim Flashner <efraim@HIDDEN>
To: Vinicius Monego <monego@HIDDEN>
Subject: Re: [bug#51314] [PATCH 00/29] Add Octoprint (web UI for 3d printers).
Message-ID: <YZDMfRA4RAoTcubK@3900XT>
Mail-Followup-To: Efraim Flashner <efraim@HIDDEN>,
 Vinicius Monego <monego@HIDDEN>, 51314 <at> debbugs.gnu.org
References: <20211021035100.241119-1-monego@HIDDEN>
 <YYmKsvkuo9s6z6yH@3900XT>
 <f2dea899cc95019d7b35eb2c503fcf27ce4f1bb8.camel@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="+EoRe6AZ1g7xqVuY"
Content-Disposition: inline
In-Reply-To: <f2dea899cc95019d7b35eb2c503fcf27ce4f1bb8.camel@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 51314
Cc: 51314 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--+EoRe6AZ1g7xqVuY
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Sat, Nov 13, 2021 at 07:44:53PM +0000, Vinicius Monego wrote:
> Em seg, 2021-11-08 =C3=A0s 22:38 +0200, Efraim Flashner escreveu:
> > On Thu, Oct 21, 2021 at 03:51:00AM +0000, Vinicius Monego wrote:
> > > This patchset adds the Octoprint web UI to control 3d printers.
> > >=20
> > > Octoprint itself bundles font-awesome. I removed it in a snippet,
> > > don't know how much it would affect usability. I haven't found
> > > other bundles with license issues.
> > >=20
> > > Some of the updates have newer versions but I'm updating to "older"
> > > versions to maintain compatibility with octoprint. See the comment
> > > in the octoprint package.
> >=20
> > Looking at some of the comments here=C2=B9 it looks like they're using =
old
> > versions mostly to retain python2 compatibility. On the other hand
> > they
> > also have a comment about not having checked newer versions yet for
> > for
> > breaking changes, which IMO is their job. Other than flask-login and
> > netaddr I don't see a reason to not try with some of the newer
> > versions
> > of the packages. I would feel better if they only marked their own
> > dependencies and not transitive dependencies.
> >=20
> > I think it makes sense to try newer versions and to add older
> > versions
> > on an as-needed basis, especially since some of these packages are
> > likely to be upgraded again at some point before the next version of
> > octoprint.
> >=20
> > =C2=B9 https://github.com/OctoPrint/OctoPrint/blob/1.7.0/setup.py#L17
> >=20
>=20
> This is my report for the updates:
>=20
> I updated python-colorlog, python-zeroconf, python-watchdog and python-
> wrapt to latest versions.
>=20
> The update on python-zeroconf will likely break pulseaudio-dlna which
> depends on python2-zeroconf. Upstream also abandoned the project and it
> now lives in a fork that can be found here=C2=B9. Packaging the fork will
> require packaging python-pyroute2 which seems to lead to another chain
> of new packages.
>=20
> Updating Flask to version 2.0 will require updates on python-
> itsdangerous, python-werkzeug and python-jinja2, which would have to
> rebuild 600+ packages.

That's a pretty good reason to leave flask at 1.x. When we do add 2.x we
might also end up keeping a python-flask-1 for a while during a
transition.

> I tried to update python-websockets-client to latest version but the
> tests hung and I couldn't figure out why.
>=20
> I'll send a v2 soon.
>=20
> =C2=B9 https://github.com/Cygn/pulseaudio-dlna/

My concern was more about if the newer versions of the python packages
would work with octoprint.

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=A8=D7=A0=D7=A9=D7=9C=D7=A4 =
=D7=9D=D7=99=D7=A8=D7=A4=D7=90
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--+EoRe6AZ1g7xqVuY
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAmGQzHwACgkQQarn3Mo9
g1GEiQ/+Lgjgr/ycMTypFwnpB+hHW1MSFLZF0U7c0HWIqLlesUwwkq3FK7Jme1RZ
qc1NhP75BMMlbJgs4wrxmiqTAzpIpG8uFjca0AQzWgXMr08zZIV2fk0sYlRNvDAW
Wnxm6GhQGG3YDxVYYlr0fkPvt50DAmwdeXfGuLYN8b/SRx8OqO9oYmms3PREhqDc
SuPmaKOC3+QsorwA71nc5NU+UTCO2OIsz0HM3hF/1HQEuH6oCCLQ5ycITOMlcV5m
tQ3/v9qQh0e+aLbqpUbfH6GUswOJE6gbLruapd2bbzJR2DYbZ5mAAUYnac/4+vfh
id/GFT506IqkzbUOTJg2+0Pma5TU0h/cWFoNFyu+oN6TpMOhlQItKID2QfHBGIKa
VE2AR7JxMCR61s+vuJ8T+HvTaSnBUvd3BTjWXKIko3PN2Cw+Z3wWfAPnnS/LflzG
rFs8mR8A+WcOUbnJzoXouv8BFg9bpFcu6UZvToiiq/s4LC78cqbrdy2H6258mbku
C3cWSVst/fHRwYOv4460MGqN2RpQxdJKQmMu45QciKLvnvUSbfZuWpsakqYNuI/j
WDee8gH8RV/Pt5sxbSqTuJew0uwjY+hJ8xo+4XJbM7IYYQHzVDJH5zd/T96Tuc7j
MqtcvPgg+ui8A8o6iu+wbuyEoazKpFWWLTONEJpPPHpHLZfMaVo=
=Q87z
-----END PGP SIGNATURE-----

--+EoRe6AZ1g7xqVuY--




Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 13 Nov 2021 20:04:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 13 15:04:44 2021
Received: from localhost ([127.0.0.1]:48251 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mlzGV-0001O6-K7
	for submit <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:04:44 -0500
Received: from mout02.posteo.de ([185.67.36.66]:42007)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mlzGT-0001Nq-PR
 for 51314 <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:04:42 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id C0957240105
 for <51314 <at> debbugs.gnu.org>; Sat, 13 Nov 2021 21:04:35 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1636833875; bh=5kiU661gMYi/2JFWdAU4nge7ZtkV8I5vrd8+FHYAubM=;
 h=From:To:Cc:Subject:Date:From;
 b=C8k6SFy2GNrWMpXWSMkU92WT55hbcKshu+1Turm+8W+dsxDc7uJJ0MaUEJz8mEBRy
 tUUifsqNEpOwBC1PBY9pomREOnwhuKqbzYDG/X9ZF0jZmHCOHMbRA+MfFNPGItWNyq
 gkJoVaOtoj2Ibb1SP4SB1E9ijlv8Vl0XmkWcaUntvsQ2wY3c4bBWRVch6whIuNBQGM
 F9I+0gK9WEpFBA4pw/rXj28T+jJMg7NLYZhdbTVWbtRc/3EDDDc6edIXKR7ozTtkhu
 G6nZa8YSyQHm9OmYCgFXbcdwrK40yq2zKcls31bz1aeWy+MfQCRPDyiVub01Tknjjj
 jj2kGVnNTxLOQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Hs5yS4xGfz9rxQ;
 Sat, 13 Nov 2021 21:04:32 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH v2 24/24] gnu: Add octoprint.
Date: Sat, 13 Nov 2021 20:02:30 +0000
Message-Id: <20211113200230.192559-24-monego@HIDDEN>
In-Reply-To: <20211113200230.192559-1-monego@HIDDEN>
References: <20211113200230.192559-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/printers.scm (octoprint): New variable.
---
 gnu/packages/printers.scm | 118 +++++++++++++++++++++++++++++++++++++-
 1 file changed, 117 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/printers.scm b/gnu/packages/printers.scm
index f1535d5db1..c2189a1b79 100644
--- a/gnu/packages/printers.scm
+++ b/gnu/packages/printers.scm
@@ -25,9 +25,15 @@
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system python)
   #:use-module ((guix licenses) #:prefix license:)
+  #:use-module (gnu packages check)
   #:use-module (gnu packages libusb)
   #:use-module (gnu packages pkg-config)
-  #:use-module (gnu packages qt))
+  #:use-module (gnu packages python)
+  #:use-module (gnu packages python-check)
+  #:use-module (gnu packages python-web)
+  #:use-module (gnu packages python-xyz)
+  #:use-module (gnu packages qt)
+  #:use-module (gnu packages web))
 
 ;; This is a module for packages related to printer-like devices, but not
 ;; related to CUPS.
@@ -95,6 +101,116 @@ uploaded files that are known to cause issues while printing and which in
 the past have caused support requests on OctoPrint's Community Forums.")
     (license license:agpl3)))
 
+(define-public octoprint
+  (package
+    (name "octoprint")
+    (version "1.7.2")
+    (source
+     (origin
+       (method git-fetch) ; no tests in the PyPI tarball.
+       (uri (git-reference
+             (url "https://github.com/OctoPrint/OctoPrint")
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0zvjnbcmszifvr02rsmfzb5v24f1ss8klrnkd9fcg2351nkpqbbd"))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin
+           ;; Remove bundled font-awesome.
+           (delete-file-recursively "src/octoprint/static/vendor") #t))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'relax-version-requirements
+           ;; Octoprint maintains strict version requirements for Python2
+           ;; compatibility.  We're not packaging with Python2, so modify
+           ;; setup.py to relax those versions.  Octoprint will drop Python2
+           ;; support in version 2.0 so we won't need this change after it.
+           (lambda _
+             (substitute* "setup.py"
+               (("cachelib>=0.1,<0.2") "cachelib>=0.1")
+               (("colorlog>=5.0.1,<6") "colorlog>=5.0.1")
+               (("markdown>=3.1,<3.2") "markdown>=3.1,<4")
+               (("watchdog==0.10.4") "watchdog>=0.10.4")
+               (("wrapt>=1.12.1,<1.13") "wrapt>=1.12.1")
+               (("zeroconf>=0.33,<0.34") "zeroconf>=0.33")
+               ;; Relax core packages that are outdated in Guix.
+               (("Jinja2>=2.11.3,<3") "Jinja2>=2.11.2,<3")
+               (("requests>=2.26.0,<3") "requests>=2.25,<3"))))
+         (add-before 'check 'set-home
+           (lambda _
+             (setenv "HOME" (getcwd)))) ; some tests need a writable home
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "-m" "pytest" "tests" "-k"
+                       (string-append
+                        ;; These tests try to write to the source tree and
+                        ;; fail with PermissionError.
+                        "not test_add_file_overwrite"
+                        " and not test_set_external_modification"))))))))
+    (native-inputs
+     `(("python-ddt" ,python-ddt)
+       ("python-mock" ,python-mock)
+       ("python-pytest" ,python-pytest)
+       ("python-pytest-doctest-custom"
+        ,python-pytest-doctest-custom)))
+    (inputs
+     `(("octoprint-filecheck" ,octoprint-filecheck)
+       ("octoprint-firmwarecheck" ,octoprint-firmwarecheck)
+       ("octoprint-pisupport" ,octoprint-pisupport)
+       ("python-appdirs" ,python-appdirs)
+       ("python-blinker" ,python-blinker)
+       ("python-cachelib" ,python-cachelib)
+       ("python-click" ,python-click)
+       ("python-colorlog" ,python-colorlog)
+       ("python-emoji" ,python-emoji)
+       ("python-feedparser" ,python-feedparser)
+       ("python-filetype" ,python-filetype)
+       ("python-flask" ,python-flask)
+       ("python-flask-assets" ,python-flask-assets)
+       ("python-flask-babel" ,python-flask-babel)
+       ("python-flask-login" ,python-flask-login)
+       ("python-future" ,python-future)
+       ("python-immutabledict" ,python-immutabledict)
+       ("python-itsdangerous" ,python-itsdangerous)
+       ("python-jinja2" ,python-jinja2)
+       ("python-markdown" ,python-markdown)
+       ("python-markupsafe" ,python-markupsafe)
+       ("python-netaddr" ,python-netaddr)
+       ("python-netifaces" ,python-netifaces)
+       ("python-pathvalidate" ,python-pathvalidate)
+       ("python-pkginfo" ,python-pkginfo)
+       ("python-psutil" ,python-psutil)
+       ("python-pylru" ,python-pylru)
+       ("python-pyserial" ,python-pyserial)
+       ("python-pyyaml" ,python-pyyaml)
+       ("python-regex" ,python-regex)
+       ("python-requests" ,python-requests)
+       ("python-sarge" ,python-sarge)
+       ("python-semantic-version"
+        ,python-semantic-version)
+       ("python-sentry-sdk" ,python-sentry-sdk)
+       ("python-tornado" ,python-tornado-6)
+       ("python-unidecode" ,python-unidecode)
+       ("python-watchdog" ,python-watchdog)
+       ("python-websocket-client"
+        ,python-websocket-client)
+       ("python-werkzeug" ,python-werkzeug)
+       ("python-wrapt" ,python-wrapt)
+       ("python-zeroconf" ,python-zeroconf)
+       ("python-zipstream-new" ,python-zipstream-new)))
+    (home-page "https://octoprint.org")
+    (synopsis "Web interface for 3D printers")
+    (description "OctoPrint provides a snappy web interface for controlling
+consumer 3D printers.")
+    ;; The web interface contains many third party JavaScript libraries under
+    ;; different licenses.  Check THIRDPARTYLICENSES.md.
+    (license license:agpl3)))
+
 (define-public robocut
   (package
     (name "robocut")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 13 Nov 2021 20:04:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 13 15:04:35 2021
Received: from localhost ([127.0.0.1]:48247 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mlzGN-0001Ni-Bs
	for submit <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:04:35 -0500
Received: from mout02.posteo.de ([185.67.36.66]:41497)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mlzGL-0001NH-Vu
 for 51314 <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:04:34 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 5779A240103
 for <51314 <at> debbugs.gnu.org>; Sat, 13 Nov 2021 21:04:28 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1636833868; bh=BNCv398nSuSojL6p1dZhG8zU5CgUknhvQnH1l4KGWAg=;
 h=From:To:Cc:Subject:Date:From;
 b=iIB0KTRM1vJMvyAcXdgY+e2AxplMAxIf9WRz4ridgqjfSfqjSyMDwpJ85AXFTuGxv
 gfVZkWgrjd5hFSmcYMEoBoM9NWt5GTYceLczOpOa4bOtYU+/n0xFzA/Z25MN1hvVOk
 z1z73TksaIaEiw/hYWuXSUo37P5K7S87OUWLA+nl5h2lhDDPhMY4D6jpfLuosM2hm4
 HDW9BxSH9uU6Tflm5aB0rLpwyKC6PAg1r8UBSS6tyDNGCfKFH2Z/Ccnjx2rP3WwLa6
 HjORLUUPalYyUHKBRLL2sb1q3vYL02xZjuC775nb5VZ2vIXasKfQPD4tniAXWfiwKy
 5aKC5uZFMlvFg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Hs5yM4BbVz9rxG;
 Sat, 13 Nov 2021 21:04:27 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH v2 23/24] gnu: Add octoprint-filecheck.
Date: Sat, 13 Nov 2021 20:02:29 +0000
Message-Id: <20211113200230.192559-23-monego@HIDDEN>
In-Reply-To: <20211113200230.192559-1-monego@HIDDEN>
References: <20211113200230.192559-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/printers.scm (octoprint-filecheck): New variable.
---
 gnu/packages/printers.scm | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

diff --git a/gnu/packages/printers.scm b/gnu/packages/printers.scm
index 5ec678ab37..f1535d5db1 100644
--- a/gnu/packages/printers.scm
+++ b/gnu/packages/printers.scm
@@ -75,6 +75,26 @@ communication crippling bugs, and displays a warning box to logged in users
 on identification of such a firmware.")
     (license license:agpl3)))
 
+(define-public octoprint-filecheck
+  (package
+    (name "octoprint-filecheck")
+    (version "2021.2.23")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "OctoPrint-FileCheck" version))
+       (sha256
+        (base32 "0bgvv6hvxa9qv0fs5dfr9wlbbjawxik8f2cid3h3czdhdhw46aqv"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:tests? #f)) ; no tests
+    (home-page "https://github.com/OctoPrint/OctoPrint-FileCheck")
+    (synopsis "Plugin to check for common issues in uploaded files")
+    (description "The File Check plugin tries to detect common issues in
+uploaded files that are known to cause issues while printing and which in
+the past have caused support requests on OctoPrint's Community Forums.")
+    (license license:agpl3)))
+
 (define-public robocut
   (package
     (name "robocut")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 13 Nov 2021 20:04:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 13 15:04:32 2021
Received: from localhost ([127.0.0.1]:48243 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mlzGK-0001NT-4G
	for submit <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:04:32 -0500
Received: from mout02.posteo.de ([185.67.36.66]:38661)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mlzGI-0001N0-9l
 for 51314 <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:04:30 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 88DB7240103
 for <51314 <at> debbugs.gnu.org>; Sat, 13 Nov 2021 21:04:24 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1636833864; bh=qr/8G+iUKA2UD4952tJ9TsaOErvy7GPvRhz7ovUUEW8=;
 h=From:To:Cc:Subject:Date:From;
 b=Kuit/MIXB1VAx/YRPDqDbp8MQvf+XUSilMbJ8B8gdBefeq+UKhYl+j7D5+PAXf9kO
 l/sVoszGZdCgZ9x3PTuGoQFq9jx+3luiJt1h8E+OSeO4doCq5ySIuCXcGi/gu4kR1o
 jzqos1j69oj76aMA7ZlsEg+d9dRb2U+o4goKbcEeYL0c2+SEI23KDxAAMwfuxDd1rV
 1CB6gjMGKQQhGya00X1sch0FA2uCZwAjp/ehcqF2k7VpNnCK+t635MmY7OrJKMWCpW
 pXpkSuAvNp+EsG+cHh1bndq3qdC0Jr4U25Yu239791A7WkzPNP5qwaAejSNCm85Z13
 cpBM3Ud81yfmw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Hs5yH3gl9z6tn7;
 Sat, 13 Nov 2021 21:04:23 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH v2 22/24] gnu: Add octoprint-firmwarecheck.
Date: Sat, 13 Nov 2021 20:02:28 +0000
Message-Id: <20211113200230.192559-22-monego@HIDDEN>
In-Reply-To: <20211113200230.192559-1-monego@HIDDEN>
References: <20211113200230.192559-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/printers.scm (octoprint-firmwarecheck): New variable.
---
 gnu/packages/printers.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/printers.scm b/gnu/packages/printers.scm
index 7367ce3a81..5ec678ab37 100644
--- a/gnu/packages/printers.scm
+++ b/gnu/packages/printers.scm
@@ -53,6 +53,28 @@ your Pi in the UI and also alerts you about undervoltage or overheating issues
 observed on your Pi or if your Pi is unsupported.")
     (license license:agpl3)))
 
+(define-public octoprint-firmwarecheck
+  (package
+    (name "octoprint-firmwarecheck")
+    (version "2021.10.11")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "OctoPrint-FirmwareCheck" version))
+       (sha256
+        (base32 "17prs0rmzglw75gkf6j7qypxisjvcfk2mbsyfqrjdbwg99i62s2h"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:tests? #f)) ; no tests
+    (home-page "https://github.com/OctoPrint/OctoPrint-FirmwareCheck")
+    (synopsis "Plugin to check for unsafe or broken printer firmwares")
+    (description "The Firmware Check plugin tries to identify printers
+or rather printer firmware with known safety issues, such as disabled
+thermal runaway protection, or other kinds of severe issues, like known
+communication crippling bugs, and displays a warning box to logged in users
+on identification of such a firmware.")
+    (license license:agpl3)))
+
 (define-public robocut
   (package
     (name "robocut")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 13 Nov 2021 20:04:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 13 15:04:28 2021
Received: from localhost ([127.0.0.1]:48239 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mlzGF-0001N8-RU
	for submit <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:04:28 -0500
Received: from mout02.posteo.de ([185.67.36.66]:33089)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mlzGD-0001Mh-TZ
 for 51314 <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:04:26 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 3E76A240101
 for <51314 <at> debbugs.gnu.org>; Sat, 13 Nov 2021 21:04:20 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1636833860; bh=BicnuRSPyaEYQdiIphXPg8DoDDC1IktS6/U0q8+tFSQ=;
 h=From:To:Cc:Subject:Date:From;
 b=LzumYaOmGLoTOiYgPlrO4slyZljua/sGFpM8cMW4a4+RFVAjZPFLw2VZMcY0pZiE3
 zo1DyGDLL9qFhinZvJR2Mc7bB388Vm7P/xmHwTEMWTK5i48V+7/TziRfKDeigbynhr
 oAI8Z/qYZFAI+NyqurAeYwaUKVVN2SnrsH5zUocyMJReNsNirMS4OVYVK6m4pap1Ff
 i45WQbe5/wEFoXlWE4f0DZYcOBlP86ONQ87QwOZwPn8EtqoRRMMyek4TrCl5DqyEMS
 qPjJxgFNztbL0DjEuNunAZyZ0CgtpaHkoEPXc8fV4+zyJMN6l+9gduO7iMpARDKqdX
 3wiugPKD7fD2Q==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Hs5yC28Xdz6tn7;
 Sat, 13 Nov 2021 21:04:19 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH v2 21/24] gnu: Add octoprint-pisupport.
Date: Sat, 13 Nov 2021 20:02:27 +0000
Message-Id: <20211113200230.192559-21-monego@HIDDEN>
In-Reply-To: <20211113200230.192559-1-monego@HIDDEN>
References: <20211113200230.192559-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/printers.scm (octoprint-pisupport): New variable.
---
 gnu/packages/printers.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/printers.scm b/gnu/packages/printers.scm
index f78923966c..7367ce3a81 100644
--- a/gnu/packages/printers.scm
+++ b/gnu/packages/printers.scm
@@ -1,6 +1,7 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright © 2018 Ludovic Courtès <ludo@HIDDEN>
 ;;; Copyright © 2018 Tobias Geerinckx-Rice <me@HIDDEN>
+;;; Copyright © 2021 Vinicius Monego <monego@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -19,8 +20,10 @@
 
 (define-module (gnu packages printers)
   #:use-module (guix packages)
+  #:use-module (guix download)
   #:use-module (guix git-download)
   #:use-module (guix build-system gnu)
+  #:use-module (guix build-system python)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (gnu packages libusb)
   #:use-module (gnu packages pkg-config)
@@ -29,6 +32,27 @@
 ;; This is a module for packages related to printer-like devices, but not
 ;; related to CUPS.
 
+(define-public octoprint-pisupport
+  (package
+    (name "octoprint-pisupport")
+    (version "2021.10.28")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "OctoPrint-PiSupport" version))
+       (sha256
+        (base32 "05g79hb0x8bpk4qk9h6dibl0pnlsvbnmn8jx64z4dx8hdfad3rwf"))))
+    (build-system python-build-system)
+    (arguments
+     ;; No tests in PyPI release, and circular dependency on Octoprint.
+     `(#:tests? #f))
+    (home-page "https://github.com/OctoPrint/OctoPrint-PiSupport")
+    (synopsis "Plugin to provide additional information about your Pi")
+    (description "The Pi Support plugin provides additional information about
+your Pi in the UI and also alerts you about undervoltage or overheating issues
+observed on your Pi or if your Pi is unsupported.")
+    (license license:agpl3)))
+
 (define-public robocut
   (package
     (name "robocut")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 13 Nov 2021 20:04:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 13 15:04:23 2021
Received: from localhost ([127.0.0.1]:48235 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mlzGB-0001Mr-C5
	for submit <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:04:23 -0500
Received: from mout02.posteo.de ([185.67.36.66]:55767)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mlzG9-0001MO-Js
 for 51314 <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:04:21 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id EF5AB240101
 for <51314 <at> debbugs.gnu.org>; Sat, 13 Nov 2021 21:04:15 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1636833856; bh=0a1nbUMFsWe+eR6eePuU+GDx2deZJxM18Ul/1sIGnoA=;
 h=From:To:Cc:Subject:Date:From;
 b=Ec9353oGmc2315fq91THHa+GRk84y6jnuI/fqoiB06cfGF/vlj7c1JJDRxI3Yx7xU
 i9AIPQcKMdd67V90HJX9yYKqMnsWvnqm/AJM1GD+hzRsqFDMyNTr14UogF77wpg0KQ
 TZ6W4jjdsXS2lQ1XxOjO+74HvzB6Q1WqDA3lC0giLgHRj2221IsPvr/btps3lBEIt1
 7CArlZt0GK13aHwOfiLnTXBHKDsRyIPjstXHWbB/x0OKTrnRVqsNoeTQ6i9SF+T6RN
 bnqQdVjlDgQYhcH33OB7rlG05PmPQRjxBTBKD/aZd0bIwusv1/HOz32M+vPwwh7Ofs
 KPpUVfFkJK+GQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Hs5y70PJxz9rxD;
 Sat, 13 Nov 2021 21:04:14 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH v2 20/24] gnu: python-wrapt: Enable tests.
Date: Sat, 13 Nov 2021 20:02:26 +0000
Message-Id: <20211113200230.192559-20-monego@HIDDEN>
In-Reply-To: <20211113200230.192559-1-monego@HIDDEN>
References: <20211113200230.192559-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-xyz.scm (python-wrapt)[source]: Fetch from GitHub.
[arguments]<#:phases>: Override 'check phase.
---
 gnu/packages/python-xyz.scm | 21 ++++++++++++++-------
 1 file changed, 14 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 402053e96f..8fcc9583ab 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -10841,16 +10841,23 @@ Supported netlink families and protocols include:
     (version "1.13.3")
     (source
      (origin
-       (method url-fetch)
-       (uri (pypi-uri "wrapt" version))
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/GrahamDumpleton/wrapt")
+             (commit version)))
+       (file-name (git-file-name name version))
        (sha256
-        (base32
-         "11f13zqgbql26g5bkfkqalckcdlz394g6dhx4y16cvk873a9rshz"))))
+        (base32 "05d7xs6rvaw9gpcvsvk7ckxiax1nrxcpv41vrqkkl7zq967d9bcj"))))
     (build-system python-build-system)
     (arguments
-     ;; Tests are not included in the tarball, they are only available in the
-     ;; git repository.
-     `(#:tests? #f))
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "-m" "unittest" "discover"
+                       "-s" "tests")))))))
     (home-page "https://github.com/GrahamDumpleton/wrapt")
     (synopsis "Module for decorators, wrappers and monkey patching")
     (description
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 13 Nov 2021 20:04:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 13 15:04:19 2021
Received: from localhost ([127.0.0.1]:48231 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mlzG7-0001MZ-46
	for submit <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:04:19 -0500
Received: from mout02.posteo.de ([185.67.36.66]:47261)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mlzG5-0001M6-H0
 for 51314 <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:04:18 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id CA229240103
 for <51314 <at> debbugs.gnu.org>; Sat, 13 Nov 2021 21:04:11 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1636833851; bh=KnSYXPT1s2hntFcqKIVSZHTNzhdsAGaWxjhsk8NRYV0=;
 h=From:To:Cc:Subject:Date:From;
 b=agNYxdCFNr7xzJr/vhHBl39tIH/+NVMEieWjmbMQl0IYz0iUT9m/LRjqg1J03PwYr
 fq5lCkmmlQ3bi4rLN/Ywu0pPXksYmCZQbFn5PTREwB+TRjwcKN6k2AyH23jdSnlBy4
 3syFMp4HbXQT7N5RSpW2mKD8OWKYJNrV7OGGiqJcqG+XWorx7mBycv6kasTfJyxftZ
 KLiCgxxeS5wvA/BIQFU4h4Q/LKjXscO9eSO1ndapz9PlbJjcTd0WdJ6t9Uffd93ts9
 XUVdCYpiu3VKAE3fmd1Fi9W9Nx6+YdwlKNhj/HRqJZaP4H65iqeDCLUvaVRO7Xjref
 AxoykBFSn9ZTQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Hs5y26KCbz9rxM;
 Sat, 13 Nov 2021 21:04:10 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH v2 19/24] gnu: python-wrapt: Update to 1.13.3.
Date: Sat, 13 Nov 2021 20:02:25 +0000
Message-Id: <20211113200230.192559-19-monego@HIDDEN>
In-Reply-To: <20211113200230.192559-1-monego@HIDDEN>
References: <20211113200230.192559-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-xyz.scm (python-wrapt): Update to 1.13.3.
---
 gnu/packages/python-xyz.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index b3990a6115..402053e96f 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -10838,14 +10838,14 @@ Supported netlink families and protocols include:
 (define-public python-wrapt
   (package
     (name "python-wrapt")
-    (version "1.11.2")
+    (version "1.13.3")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "wrapt" version))
        (sha256
         (base32
-         "1q81762dgsgrd12f8qc39zk8s5wll3m5xc32jdmlf6cls4gh4njn"))))
+         "11f13zqgbql26g5bkfkqalckcdlz394g6dhx4y16cvk873a9rshz"))))
     (build-system python-build-system)
     (arguments
      ;; Tests are not included in the tarball, they are only available in the
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 13 Nov 2021 20:04:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 13 15:04:15 2021
Received: from localhost ([127.0.0.1]:48227 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mlzG2-0001MG-RE
	for submit <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:04:15 -0500
Received: from mout01.posteo.de ([185.67.36.65]:46577)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mlzG0-0001LV-WE
 for 51314 <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:04:13 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 727AE240028
 for <51314 <at> debbugs.gnu.org>; Sat, 13 Nov 2021 21:04:07 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1636833847; bh=6X2ttmeGWXJfCsC6AtOz/n3PWV4izHCMKtwJX/gVBak=;
 h=From:To:Cc:Subject:Date:From;
 b=IUxwFlA5geDiy7cPVMzPIZgt9rBJB5aivMg7vDWOrgc548q0+EFgN9Np8H0Rb7eXP
 taV5SFW+Fdh7OJ/ZQ5ZPcteykKmR5SI4VsQFeFEd8GcORfvHPUD3eOAeSigtiSKSBt
 j++zsAy5aPEtSgRm+/uacc8vU+1VRYaAzY+KwZiZHF1+U2bG1GEZmQfJ7OocAYo1bh
 AJWnjgIOMH4xBF5sj1ptnsm8EmYSsFDqjsHBjEVC2F/gJ043KnljvcFU8KG+tJHzXZ
 yzVqg3plDBoJ/1J0xckK4Zc0R//MAVPpIcFFJgYfr4NDHdx5WX1E8KxRIAPxM7aJjv
 1y0X7CdGZwrtw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Hs5xy3YbLz9rxD;
 Sat, 13 Nov 2021 21:04:06 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH v2 18/24] gnu: python-zeroconf: Update to 0.36.13.
Date: Sat, 13 Nov 2021 20:02:24 +0000
Message-Id: <20211113200230.192559-18-monego@HIDDEN>
In-Reply-To: <20211113200230.192559-1-monego@HIDDEN>
References: <20211113200230.192559-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-xyz.scm (python-zeroconf): Update to 0.36.13.
[source]: Fetch from GitHub.
[native-inputs]: Remove python-nose. Add python-pytest.
[arguments]<#:phases>: Adjust custom 'check phase to use Pytest.
---
 gnu/packages/python-xyz.scm | 36 +++++++++++++++++++++---------------
 1 file changed, 21 insertions(+), 15 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 63325dfc90..b3990a6115 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -23449,34 +23449,40 @@ enumeration library in Python.")
 (define-public python-zeroconf
   (package
     (name "python-zeroconf")
-    (version "0.28.8")
+    (version "0.36.13")
     (source
      (origin
-       (method url-fetch)
-       (uri (pypi-uri "zeroconf" version))
+       (method git-fetch)               ; no tests in PyPI release
+       (uri (git-reference
+             (url "https://github.com/jstasiak/python-zeroconf")
+             (commit version)))
+       (file-name (git-file-name name version))
        (sha256
-        (base32
-         "0narq8haa3b375vfblbyil77n8bw0wxqnanl91pl0wwwm884mqjb"))))
+        (base32 "1isz6jb14lmmqvzfgwkc8avyvib7pxpq92r2v283vjqjn7mmp0v9"))))
     (build-system python-build-system)
     (native-inputs
-     `(("python-nose" ,python-nose)))
+     `(("python-pytest" ,python-pytest)))
     (propagated-inputs
      `(("python-ifaddr" ,python-ifaddr)))
     (arguments
      `(#:phases
        (modify-phases %standard-phases
          (replace 'check
-           (lambda _ ;; Networking isn't available for these tests.
-             (invoke "nosetests" "-v"
-                     "--exclude" "test_integration_with_listener_ipv6"
-                     "--exclude" "test_launch_and_close_v6_only"
-                     "--exclude" "test_launch_and_close_v4_v6"
-                     "--exclude" "test_launch_and_close"))))))
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "-m" "pytest" "-k"
+                       (string-append
+                        ;; Networking isn't available for these tests.
+                        "not test_integration_with_listener_ipv6"
+                        " and not test_launch_and_close_v4_v6"
+                        " and not test_launch_and_close_context_manager"
+                        " and not test_launch_and_close"
+                        " and not test_close_multiple_times"))))))))
     (home-page "https://github.com/jstasiak/python-zeroconf")
     (synopsis "Pure Python mDNS service discovery")
-    (description
-     "Pure Python multicast DNS (mDNS) service discovery library (Bonjour/Avahi
-compatible).")
+    (description "Pure Python multicast DNS (mDNS) service discovery library
+(Bonjour/Avahi compatible).")
     (license license:lgpl2.1+)))
 
 (define-public python2-zeroconf
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 13 Nov 2021 20:04:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 13 15:04:09 2021
Received: from localhost ([127.0.0.1]:48223 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mlzFx-0001Lu-Hm
	for submit <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:04:09 -0500
Received: from mout01.posteo.de ([185.67.36.65]:60371)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mlzFw-0001K5-Hr
 for 51314 <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:04:08 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 02CB5240026
 for <51314 <at> debbugs.gnu.org>; Sat, 13 Nov 2021 21:04:03 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1636833843; bh=GeRlfm7IOnXi9veS9nomum8UQ/gn8350ybQKs/gduso=;
 h=From:To:Cc:Subject:Date:From;
 b=LPz7Lezru/2hqb0mVk/5tLhHPYG5SM6w9e9Rp/mri/yQJqwjMIawmG0nng8CJwVNI
 eOkgmadEjbdA9FAvJX/bi4wuh1UKIRzKw4nGMWYka5XB3W8Pe6M6EXls+WQV3tMalO
 VxJQg4c8k6F/lBbGSeKfmuQqiwOWzmVDX4n5rmgWKbQsx7dHrxntDaXL7YepnOv56q
 XH8m+yeY8ZrBwBDWoRSkcNIXlRU7phC2e6vTrMG6a3qQ7OguTytxuUqn5iyjHW+etd
 XLlXKn43DW7WfGLSSsAfvkOfR2TRwnc+crrUT4oMMim0aBSJq7bn8f6FLMmBvyo4NP
 G5DxCOwzSAk1Q==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Hs5xs6g0sz6tmS;
 Sat, 13 Nov 2021 21:04:01 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH v2 17/24] gnu: python-colorlog: Update to 6.6.0.
Date: Sat, 13 Nov 2021 20:02:23 +0000
Message-Id: <20211113200230.192559-17-monego@HIDDEN>
In-Reply-To: <20211113200230.192559-1-monego@HIDDEN>
References: <20211113200230.192559-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-xyz.scm (python-colorlog): Update to 6.6.0.
[arguments]<#:phases>: Simplify custom 'check phase.
---
 gnu/packages/python-xyz.scm | 20 +++++++++-----------
 1 file changed, 9 insertions(+), 11 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 6c2294c4a1..63325dfc90 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -740,26 +740,24 @@ implementation for the Telegram Bot API.")
 (define-public python-colorlog
   (package
     (name "python-colorlog")
-    (version "4.1.0")
+    (version "6.6.0")
     (source (origin
               (method url-fetch)
               (uri (pypi-uri "colorlog" version))
               (sha256
                (base32
-                "1lpk8zmfv8vz090h5d0hzb4n39wgasxdd3x3bpn3v1x1n9dfzaih"))))
+                "1s7x0v872h8aks8xp01wmv6hzisxqjrh1svbbcycir0980h76krl"))))
     (build-system python-build-system)
     (native-inputs
      `(("python-pytest" ,python-pytest)))
     (arguments
-     `(#:phases (modify-phases %standard-phases
-                  (replace 'check
-                    (lambda _
-                      ;; Extend PYTHONPATH so the built package will be found.
-                      (setenv "PYTHONPATH"
-                              (string-append (getcwd) "/build/lib:"
-                                             (getenv "PYTHONPATH")))
-                      (invoke "pytest" "-p" "no:logging")
-                      #t)))))
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "-m" "pytest")))))))
     (home-page "https://github.com/borntyping/python-colorlog")
     (synopsis "Log formatting with colors for python")
     (description "The @code{colorlog.ColoredFormatter} is a formatter for use
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 13 Nov 2021 20:04:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 13 15:04:05 2021
Received: from localhost ([127.0.0.1]:48212 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mlzFt-0001Kf-8m
	for submit <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:04:05 -0500
Received: from mout01.posteo.de ([185.67.36.65]:51947)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mlzFr-0001JI-SO
 for 51314 <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:04:04 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 4F2C8240026
 for <51314 <at> debbugs.gnu.org>; Sat, 13 Nov 2021 21:03:58 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1636833838; bh=ScMk4AiLgd/ayW0uyLiZtQNxDM3oonbiTkVZ7jG0HGw=;
 h=From:To:Cc:Subject:Date:From;
 b=bS544kTD2Wr9w3UZAuZjvIGxqx7VEIqzk12AI2Xw/DjCVycx+dYSUtdEiWFNicojm
 al7G3m9ODonkIzFiuKX0w2+hyrpAlbaud2Y7PogehTp/8xYOIJsrtsp1DQ5nX+OV5i
 RHgTTseLAXCoxNU0JmvXM8fUyK8FcCcxbefiRlWRAZ08AD6lr60N4NdwMulsPoYVXO
 bwWX6nMObe1zgJBePQ7vvvvoEeeqLF6GPeiEko9Y5A7X+CT1euKAQSDPV6DYVNAjY6
 mf9AV0VUlcRgkD8wEmJspIMwQtfBbQ34A5ae31/ppIj3iXWJQGRLxjPi+cugPshHPL
 S4h5XW1iFaVDw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Hs5xn2z1kz6tmG;
 Sat, 13 Nov 2021 21:03:57 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH v2 16/24] gnu: python-watchdog: Update to 2.1.6.
Date: Sat, 13 Nov 2021 20:02:22 +0000
Message-Id: <20211113200230.192559-16-monego@HIDDEN>
In-Reply-To: <20211113200230.192559-1-monego@HIDDEN>
References: <20211113200230.192559-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-xyz.scm (python-watchdog): Update to 2.1.6.
[arguments]<#:phases>: Remove 'remove-failing phase. Override 'check phase and
skip a failing test.
---
 gnu/packages/python-xyz.scm | 16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index b9c752f53c..6c2294c4a1 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -24618,23 +24618,25 @@ files.  These files are used to translate strings in android apps.")
 (define-public python-watchdog
   (package
     (name "python-watchdog")
-    (version "0.9.0")
+    (version "2.1.6")
     (source
       (origin
         (method url-fetch)
         (uri (pypi-uri "watchdog" version))
         (sha256
          (base32
-          "07cnvvlpif7a6cg4rav39zq8fxa5pfqawchr46433pij0y6napwn"))))
+          "1rx2nyl0cyj0v4ja795cl3gi26577c5wg48syr3byz3ndkgpavm3"))))
     (build-system python-build-system)
     (arguments
      `(#:phases
        (modify-phases %standard-phases
-         (add-before 'check 'remove-failing
-           (lambda _
-             (delete-file "tests/test_inotify_buffer.py")
-             (delete-file "tests/test_snapshot_diff.py")
-             #t)))))
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "-m" "pytest" "-k"
+                       ;; This test failed.
+                       "not test_kill_auto_restart")))))))
     (propagated-inputs
      `(("python-argh" ,python-argh)
        ("python-pathtools" ,python-pathtools)
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 13 Nov 2021 20:04:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 13 15:04:03 2021
Received: from localhost ([127.0.0.1]:48204 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mlzFq-0001Jx-Vp
	for submit <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:04:03 -0500
Received: from mout01.posteo.de ([185.67.36.65]:53991)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mlzFn-0001Iz-J0
 for 51314 <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:03:59 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 0EA40240026
 for <51314 <at> debbugs.gnu.org>; Sat, 13 Nov 2021 21:03:54 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1636833834; bh=OC4tbLCMfFuEWmhEnWvjFqDYfocCrTGh9GXLcvwpPAQ=;
 h=From:To:Cc:Subject:Date:From;
 b=EgxXi5FV/8xwb2e6XiHfw0kbiQCYzGDv/DZApUQlblIbD9k4QRx9Nfg+YKSvuUo4K
 LX1rnTPPs+HHoUbNjPGSFqQyUwVKoGZn8GIhFcT9CPssQ5+OsGXamCg+PEVHsSdd3j
 5pEUfqim1iJ+ayrIGi9LhAn5UBWgoarvbur5GVYBdGs+8Z1yNLkB2A5AC1XO+akaez
 gwLMOszoX+HYmYJBPwJ+Z055sFMw5FskUlcurW1u2wErm0sEuLzhIEknf7sETLHOSD
 ldZ7/InNxjpjsHhkYVFVqQcRNyr7yYvFLI1KLYePcWUS9w3TKhl4CUafNc2gN5byuB
 2pstn6zq62gJw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Hs5xj1pb9z9rxK;
 Sat, 13 Nov 2021 21:03:52 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH v2 15/24] gnu: python-pkginfo: Update to 1.7.1.
Date: Sat, 13 Nov 2021 20:02:21 +0000
Message-Id: <20211113200230.192559-15-monego@HIDDEN>
In-Reply-To: <20211113200230.192559-1-monego@HIDDEN>
References: <20211113200230.192559-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-xyz.scm (python-pkginfo): Update to 1.7.1.
---
 gnu/packages/python-xyz.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index aee52b6bec..b9c752f53c 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -19980,14 +19980,14 @@ design and layout.")
 (define-public python-pkginfo
   (package
     (name "python-pkginfo")
-    (version "1.7.0")
+    (version "1.7.1")
     (source
       (origin
         (method url-fetch)
         (uri (pypi-uri "pkginfo" version))
         (sha256
           (base32
-            "1d1xn1xmfvz0jr3pj8irdwnwby3r13g0r2gwklr1q5y68p5p16h2"))))
+            "1g9m4ra1vrah6ahw6947rl9syzyl1fzin69kfqlwgplas20jyhz7"))))
     (build-system python-build-system)
     (arguments
      `(#:phases
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 13 Nov 2021 20:03:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 13 15:03:59 2021
Received: from localhost ([127.0.0.1]:48198 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mlzFm-0001JH-KM
	for submit <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:03:58 -0500
Received: from mout02.posteo.de ([185.67.36.66]:34959)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mlzFj-0001Ij-FG
 for 51314 <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:03:55 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 8C853240104
 for <51314 <at> debbugs.gnu.org>; Sat, 13 Nov 2021 21:03:49 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1636833829; bh=Dh6N0jty5nzir0Lhc0atxqu6ABqBE8FgTr466EUkUsw=;
 h=From:To:Cc:Subject:Date:From;
 b=gvxocu8KH89zWG54TwrPJXWPs1RTIuOH+G2ZrJKZeXXrlV8zraB/T06f/7fyt6bBy
 1wO9VC+OHnzk1cyKIujDnjxlm6nGyZfx2DdRP4V7Y/ljqo13TdmhzH/JqVhq0XX1QE
 85Q8NDCG434x5hFFwYcFFn3WiZ2Qw+ccehl0jyZ1Q06ZKKpnTGkn818AU8d+cqIiSl
 9TXj/ihsjETrehYKSaHTd4OS5RMj037sI4sGBN8oE1hhSiiqLNUO2R9kZw+fSCNn43
 j+NEQjG7uyLXXNTvrK9ao+40HcFDulW+0gwUh3MzS0/DtF+C5yUx/KTGzYcsgGsQ2q
 4igqsu1Y/t6cA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Hs5xc5MD0z6tn7;
 Sat, 13 Nov 2021 21:03:48 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH v2 14/24] gnu: python-websocket-client: Update to 0.59.0.
Date: Sat, 13 Nov 2021 20:02:20 +0000
Message-Id: <20211113200230.192559-14-monego@HIDDEN>
In-Reply-To: <20211113200230.192559-1-monego@HIDDEN>
References: <20211113200230.192559-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-web.scm (python-websocket-client): Update to 0.59.0.
[source]: Update PyPI URI.
[arguments]<#:phases>: Add new phase after 'unpack to skip a network test.
[native-inputs]: Add python-pysocks.
[home-page]: Follow redirection.
---
 gnu/packages/python-web.scm | 18 ++++++++++++++----
 1 file changed, 14 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index 11e6caa8d5..5db1f8b730 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -2494,18 +2494,28 @@ verification of the SSL peer.")
 (define-public python-websocket-client
   (package
     (name "python-websocket-client")
-    (version "0.54.0")
+    (version "0.59.0")
     (source
      (origin
        (method url-fetch)
-       (uri (pypi-uri "websocket_client" version))
+       (uri (pypi-uri "websocket-client" version))
        (sha256
         (base32
-         "0j88zmikaypf38lvpkf4aaxrjp9j07dmy5ghj7kli0fv3p4n45g5"))))
+         "0p0cz2mdissq7iw1n7jrmsfir0jfmgs1dvnpnrx477ffx9hbsxnk"))))
     (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'skip-network-test
+           (lambda _
+             ;; This test requires networking.
+             (substitute* "websocket/tests/test_http.py"
+               (("def testConnect") "def _testConnect")))))))
+    (native-inputs
+     `(("python-pysocks" ,python-pysocks)))
     (propagated-inputs
      `(("python-six" ,python-six)))
-    (home-page "https://github.com/liris/websocket-client")
+    (home-page "https://github.com/websocket-client/websocket-client")
     (synopsis "WebSocket client for Python")
     (description "The Websocket-client module provides the low level APIs for
 WebSocket usage in Python programs.")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 13 Nov 2021 20:03:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 13 15:03:58 2021
Received: from localhost ([127.0.0.1]:48196 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mlzFm-0001JF-D3
	for submit <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:03:58 -0500
Received: from mout02.posteo.de ([185.67.36.66]:51079)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mlzFh-0001Ig-SL
 for 51314 <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:03:54 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 1337D24010E
 for <51314 <at> debbugs.gnu.org>; Sat, 13 Nov 2021 21:03:48 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1636833828; bh=AtcTVigvYWHYaI20QhGXVcdib5YaTWLIRkPxiwmVZGE=;
 h=From:To:Cc:Subject:Date:From;
 b=hMA3x89elnlsc+NHVMupqeSYzAW+h7oeou8nIFENpcke23wSbkJ9dfSts3GJwru+q
 aybGbrlta/Gt4eOphxGyVgHEXfmSk+xlrlcv4UKA3D7qpGJgS+der/6oowgnSBYAEf
 5k+G49mP6FuwZQsz/snHuLNXFEL3vstc+wGjr/rjTVSpa8/M291FLvDXZ9Y0SWO7EB
 Hqe8uKVKLVkspLj7B/NMoOZA3m01khUd8EIlxlUqsWm8quV9BNtoKTbc9yJ4mPX4H5
 F0/GnJSX/2gqbNn2RB9sTehwW8zY1HTpbTmcZSxGIkHK+SBFDWiWGNV+oam0l9Yyh2
 eSx8v6nQzG9xQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Hs5xW685Xz6tr6;
 Sat, 13 Nov 2021 21:03:43 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH v2 13/24] gnu: python-netifaces: Update to 0.11.0.
Date: Sat, 13 Nov 2021 20:02:19 +0000
Message-Id: <20211113200230.192559-13-monego@HIDDEN>
In-Reply-To: <20211113200230.192559-1-monego@HIDDEN>
References: <20211113200230.192559-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-xyz.scm (python-netifaces): Update to 0.11.0.
---
 gnu/packages/python-xyz.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index fd3f766f1e..aee52b6bec 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -9090,14 +9090,14 @@ some are not yet implemented).")
 (define-public python-netifaces
   (package
     (name "python-netifaces")
-    (version "0.10.9")
+    (version "0.11.0")
     (source
       (origin
         (method url-fetch)
         (uri (pypi-uri "netifaces" version))
         (sha256
           (base32
-            "1wxby874kcr3pp4ygzk5aiarbzhg1yi093d56s1qg4k2s7yrzvid"))))
+            "0cnajf5rl4w1sa72j921scbigr6zndig56cq8ggpx45jdqa7jfh4"))))
     (build-system python-build-system)
     (home-page "https://github.com/al45tair/netifaces")
     (synopsis
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 13 Nov 2021 20:03:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 13 15:03:54 2021
Received: from localhost ([127.0.0.1]:48192 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mlzFi-0001It-5B
	for submit <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:03:54 -0500
Received: from mout01.posteo.de ([185.67.36.65]:51409)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mlzFh-0001If-1e
 for 51314 <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:03:53 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 6D719240028
 for <51314 <at> debbugs.gnu.org>; Sat, 13 Nov 2021 21:03:47 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1636833827; bh=2hbFKuSuWnKO8fLKXdkMk4usAapSC2Dp7Tw9Ll9/9fw=;
 h=From:To:Cc:Subject:Date:From;
 b=TpHGwJ5Yo69VXsinxqS5S5LjKX9wsQpJJdFxxHMiqXYuApORwzktLbQGbbFTgkXHv
 gUv7rXsZ+Kd0x8uWevyRFd0tvqbDnMbqhb68o5XZX1w7I78oxXoVh5fJC6S/kFhWrn
 JSOGkKl4/0djCMGMrcrww+rRUodqwZrxGTBVz70k9FY1NWSP0/RKsVV0AAjJjvOaW0
 NdKvlTLIN4v1x3wfEdgknBP0O3Eu85MQgPbMZW7uqeh7PHd/BGURmTBGaJ1MNUhAvP
 kWXl/sA1KK//EajevaVVb/zJHjooIjzlyPhbVsZIg6yKE0K3tVzKxJpHeEHb/2NtE8
 LIIUyWRiXtzTg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Hs5xR55nyz6tqt;
 Sat, 13 Nov 2021 21:03:39 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH v2 12/24] gnu: python-feedparser: Enable tests.
Date: Sat, 13 Nov 2021 20:02:18 +0000
Message-Id: <20211113200230.192559-12-monego@HIDDEN>
In-Reply-To: <20211113200230.192559-1-monego@HIDDEN>
References: <20211113200230.192559-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/web.scm (python-feedparser)[arguments]: Remove
 #:tests?. Override 'check phase.
---
 gnu/packages/web.scm | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/web.scm b/gnu/packages/web.scm
index b3f5180d79..aea397ee13 100644
--- a/gnu/packages/web.scm
+++ b/gnu/packages/web.scm
@@ -4777,7 +4777,13 @@ their web site.")
     (propagated-inputs
      `(("python-sgmllib3k" ,python-sgmllib3k)))
     (arguments
-     '(#:tests? #f))
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "tests/runtests.py")))))))
     (home-page
      "https://github.com/kurtmckee/feedparser")
     (synopsis "Parse feeds in Python")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 13 Nov 2021 20:03:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 13 15:03:47 2021
Received: from localhost ([127.0.0.1]:48186 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mlzFa-0001IW-Km
	for submit <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:03:47 -0500
Received: from mout01.posteo.de ([185.67.36.65]:37497)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mlzFH-0001H3-So
 for 51314 <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:03:43 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 54F25240027
 for <51314 <at> debbugs.gnu.org>; Sat, 13 Nov 2021 21:03:22 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1636833802; bh=w7YUDNxlEKO8peI1t1UtEqU1SJilWGRiuYMD7lvnAOg=;
 h=From:To:Cc:Subject:Date:From;
 b=VcsiggOniHqtmOsiqHFQWOhGsQLvhJFZyH6/DDVTSXkiXvpXzuYZ5xj5+RYNTwTpI
 i3iras7zd2AEFB/Oxjvbe2DGuvHqLp+EhRcoRD/clJ3pUFZdHEdqhFxryjx2gMBd5s
 1tCKIHcODmg2qBxH+WCOwu/zqbxMg78Krc/lLtqVtJ1Yhx153hpdL/Ms4f/oq5sa3G
 +MEec0JjcOAbDECqHCLjVL82rN17EJ6R4sdW6oUN4S+99Anjkmr4tnMoXZHxuRiz6B
 cxN9sq+LZw1mMxKZ3GoeH8Ycq/ezrH7xvrhjFaXNqrc2EpKnTiF1zjapns1oy+ly0F
 fNehZXmYQGvEw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Hs5x533rbz9rxL;
 Sat, 13 Nov 2021 21:03:21 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH v2 09/24] gnu: Add python-sentry-sdk.
Date: Sat, 13 Nov 2021 20:02:15 +0000
Message-Id: <20211113200230.192559-9-monego@HIDDEN>
In-Reply-To: <20211113200230.192559-1-monego@HIDDEN>
References: <20211113200230.192559-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-xyz.scm (python-sentry-sdk): New variable.
---
 gnu/packages/python-xyz.scm | 65 +++++++++++++++++++++++++++++++++++++
 1 file changed, 65 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 19e2159b9b..fd3f766f1e 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -142,6 +142,7 @@
   #:use-module (gnu packages crypto)
   #:use-module (gnu packages databases)
   #:use-module (gnu packages dbm)
+  #:use-module (gnu packages django)
   #:use-module (gnu packages djvu)
   #:use-module (gnu packages docker)
   #:use-module (gnu packages enchant)
@@ -9838,6 +9839,70 @@ you do not want to store entirely on disk or on memory.")
     ;; No copyright headers in the source.  The LICENSE file indicates GPL3.
     (license license:gpl3)))
 
+(define-public python-sentry-sdk
+  (package
+    (name "python-sentry-sdk")
+    (version "1.4.3")
+    (source
+     (origin
+       (method git-fetch) ; no tests in PyPI release
+       (uri (git-reference
+             (url "https://github.com/getsentry/sentry-python")
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1iyb0amgf03h61jw4hpdbm6h4wyh8n43bnk116ywwc0bl5x3mldx"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "-m" "pytest" "-k"
+                       (string-append
+                        ;; This test requires extra dependencies.
+                        "not test_auto_enabling_integrations"
+                        "_catches_import_error"
+                        ;; Tests below run pip command.
+                        " and not test_unhandled_exception"
+                        " and not test_timeout_error"
+                        " and not test_performance_no_error"
+                        " and not test_performance_error"
+                        " and not test_traces_sampler_gets_correct"
+                        "_values_in_sampling_context"
+                        " and not test_handled_exception"
+                        ;; Tests below require network.
+                        " and not test_crumb_capture"
+                        " and not test_crumb_capture"
+                        " and not test_crumb_capture_hint"
+                        " and not test_httplib_misuse"
+                        ;; Fails with IndexError.
+                        " and not test_session_mode_defaults_to"
+                        "_request_mode_in_wsgi_handler"))))))))
+    (native-inputs
+     `(("python-django" ,python-django)
+       ("python-executing" ,python-executing)
+       ("python-gevent" ,python-gevent)
+       ("python-jsonschema" ,python-jsonschema)
+       ("python-mock" ,python-mock)
+       ("python-pyrsistent" ,python-pyrsistent)
+       ("python-pytest" ,python-pytest)
+       ("python-pytest-cov" ,python-pytest-cov)
+       ("python-pytest-django" ,python-pytest-django)
+       ("python-pytest-forked" ,python-pytest-forked)
+       ("python-pytest-localserver" ,python-pytest-localserver)
+       ("python-werkzeug" ,python-werkzeug)))
+    (propagated-inputs
+     `(("python-certifi" ,python-certifi)
+       ("python-urllib3" ,python-urllib3)))
+    (home-page "https://github.com/getsentry/sentry-python")
+    (synopsis "Python SDK for Sentry")
+    (description "This package provides a Python SDK for the Sentry
+application monitoring and error tracking software.")
+    (license license:bsd-2)))
+
 (define-public python-pep8
   ;; This package has been renamed to ‘pycodestyle’ and is no longer updated.
   ;; Its last release (1.7.1) adds only a scary warning to this effect, breaking
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 13 Nov 2021 20:03:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 13 15:03:43 2021
Received: from localhost ([127.0.0.1]:48184 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mlzFX-0001IG-6h
	for submit <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:03:43 -0500
Received: from mout02.posteo.de ([185.67.36.66]:39873)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mlzFW-0001Hr-4j
 for 51314 <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:03:42 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 3CCD2240101
 for <51314 <at> debbugs.gnu.org>; Sat, 13 Nov 2021 21:03:36 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1636833816; bh=11Tv1LnqYm52T3AGoSEgbrcopNSaoDRx04PZxavs6zo=;
 h=From:To:Cc:Subject:Date:From;
 b=AEanJkqU1aO4qsLsBYULVVrVFVBukRPGKE1H6YY+NxvFGFP7F5y/Lz8F+OaPErPKR
 deoevKSooLbUdTIeQkg7ZvJ/XLqMGUjnThS1dErF4R4MA1Zi+U01Qc0qPcIPzkj8Xi
 jSAyr/p4tZN8vw9EN5r2lbKAQ9jMYGieUXa6xC/DZL3lzmSeNx1lRR1Rmk4G+6jhGF
 KUvddAtDp8aqiQFuj10RdbmNErs+xrjPocO1dPpg4Kc7rPYTCmnfHBuNYKrisTrib+
 b1KVeC0KbMxaOXq8mFAsLWL26aAUdo+hzSEPmmOF8mauWsqaMP2eVUoCoMiZs0h9iT
 yz69TTD4kneaw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Hs5xM2tsVz9rxD;
 Sat, 13 Nov 2021 21:03:35 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH v2 11/24] gnu: python-feedparser: Update to 6.0.8.
Date: Sat, 13 Nov 2021 20:02:17 +0000
Message-Id: <20211113200230.192559-11-monego@HIDDEN>
In-Reply-To: <20211113200230.192559-1-monego@HIDDEN>
References: <20211113200230.192559-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/web.scm (python-feedparser): Update to 6.0.8.
[propagated-inputs]: Add python-sgmllib3k.
---
 gnu/packages/web.scm | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/web.scm b/gnu/packages/web.scm
index a4c47f92d8..b3f5180d79 100644
--- a/gnu/packages/web.scm
+++ b/gnu/packages/web.scm
@@ -51,6 +51,7 @@
 ;;; Copyright © 2021 Matthew James Kraai <kraai@HIDDEN>
 ;;; Copyright © 2021 Sarah Morgensen <iskarian@HIDDEN>
 ;;; Copyright © 2021 Jack Hill <jackhill@HIDDEN>
+;;; Copyright © 2021 Vinicius Monego <monego@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -4764,14 +4765,14 @@ their web site.")
 (define-public python-feedparser
   (package
     (name "python-feedparser")
-    (version "6.0.2")
+    (version "6.0.8")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "feedparser" version ".tar.gz"))
        (sha256
         (base32
-         "0x0hm9brh3j71645pydvlkrwxaaca9dnwd7xahwjyjaz882s200v"))))
+         "0qcnkyjjfj5gg5rhd1j4zzlqx5h34bma18zwgj68q95b0l543q2w"))))
     (build-system python-build-system)
     (propagated-inputs
      `(("python-sgmllib3k" ,python-sgmllib3k)))
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 13 Nov 2021 20:03:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 13 15:03:41 2021
Received: from localhost ([127.0.0.1]:48180 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mlzFU-0001I0-Sl
	for submit <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:03:41 -0500
Received: from mout02.posteo.de ([185.67.36.66]:57961)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mlzFR-0001He-NM
 for 51314 <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:03:39 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id E7CE8240104
 for <51314 <at> debbugs.gnu.org>; Sat, 13 Nov 2021 21:03:31 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1636833811; bh=X2WtEMpmjTcRB1hWWJQpH9bRzJm+/CKXQVNlp21Z8CA=;
 h=From:To:Cc:Subject:Date:From;
 b=rZoDNOKVQ/wLgkae+dkcbEz6CuVQexZA3Y0O/gSGF7T4g0pXmTGA3lyNapkFxyex8
 GYd8vvpJEU4hZYnRGDquSAZzFR3FeBArq3FJkpeabLuF+KICDLt1ZQoAtOiTqX6vLy
 4/bafu9gKa1dU+DvtTeyqHS0Vr1QkJSJIuL6C/g8enPA7351Fb/UXkyT2khmvCbUD8
 P/bQ9+usDHgQaLTT03534IvPA5Fc1CM7hF1yLVy4mMwN5jWdw0mXAB5jM2NPimMt9J
 z3sNSuv5JPELP521UNlBM79xmFnTLtmcPGylZJ/LaaN4p22ybqPvDMRn3SN1tOs9WU
 xKRWQL5EDkh/A==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Hs5xH0qlWz6tn7;
 Sat, 13 Nov 2021 21:03:30 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH v2 10/24] gnu: Add python-pytest-doctest-custom.
Date: Sat, 13 Nov 2021 20:02:16 +0000
Message-Id: <20211113200230.192559-10-monego@HIDDEN>
In-Reply-To: <20211113200230.192559-1-monego@HIDDEN>
References: <20211113200230.192559-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-check.scm (python-pytest-doctest-custom): New variable.
---
 gnu/packages/python-check.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/python-check.scm b/gnu/packages/python-check.scm
index 5b230934a5..4205e6bb48 100644
--- a/gnu/packages/python-check.scm
+++ b/gnu/packages/python-check.scm
@@ -752,6 +752,35 @@ in Pytest.")
        "Plugin for managing VCR.py cassettes.")
       (license license:expat))))
 
+(define-public python-pytest-doctest-custom
+  (package
+    (name "python-pytest-doctest-custom")
+    (version "1.0.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "pytest-doctest-custom" version))
+       (sha256
+        (base32 "0kxkdd6q9c3h31kc88lbyfll4c45b0zjd24cbr4c083fcvcy7lip"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "test_pytest_doctest_custom.py")))))))
+    (native-inputs
+     `(("python-pytest" ,python-pytest)))
+    (home-page "https://github.com/danilobellini/pytest-doctest-custom")
+    (synopsis
+     "Pytest plugin to customize string representations of doctest results")
+    (description "This package provides a Pytest plugin for customizing string
+representations of doctest results.  It can change the display hook used by
+doctest to render the object representations.")
+    (license license:expat)))
+
 (define-public python-pytest-checkdocs
   (package
     (name "python-pytest-checkdocs")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 13 Nov 2021 20:03:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 13 15:03:33 2021
Received: from localhost ([127.0.0.1]:48176 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mlzFN-0001Hh-Kz
	for submit <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:03:33 -0500
Received: from mout01.posteo.de ([185.67.36.65]:56047)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mlzFD-0001Gm-MF
 for 51314 <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:03:32 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 1F4CB240027
 for <51314 <at> debbugs.gnu.org>; Sat, 13 Nov 2021 21:03:18 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1636833798; bh=GzZlbLNpC8bgl7GYnveTPvlZz8WpU6vhdtA7EYB9nQA=;
 h=From:To:Cc:Subject:Date:From;
 b=ZUS2SmruYuDmB13XJgFgSMnzCh6aVHErEXbZHV243eBjjcJDRhmw2dyoxIbluplqI
 q5UMar1oo3F86iYljOkYSDgwdCEnv2/vbvmKtMq3426YPNJ01ZCMlBMPvAs/WCFKeu
 QYD0RSjPGaqMTk0EA4YrggNtb0FfjzZsxCDEer2Nab1IjJjVeSdI3sWqqqx4Ch5wa5
 nZRnfoEcqfxp1tN0wWJCLdjWVIp9mT+hHxfXBO5ZZUSxr4g7XaAxGZXUXDYutzU6pq
 UVme2zmLiQv8/2aaBOW2IwIbxN7EJPGFHwGyCuhLYb9F0TQ9MDbQtjm3GSvysC72Gj
 dYYb9mAag7SbQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Hs5x05pL2z6tnx;
 Sat, 13 Nov 2021 21:03:16 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH v2 08/24] gnu: Add python-executing.
Date: Sat, 13 Nov 2021 20:02:14 +0000
Message-Id: <20211113200230.192559-8-monego@HIDDEN>
In-Reply-To: <20211113200230.192559-1-monego@HIDDEN>
References: <20211113200230.192559-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-xyz.scm (python-executing): New variable.
---
 gnu/packages/python-xyz.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 534b774f63..19e2159b9b 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -7101,6 +7101,28 @@ buffer transformation, compression, and decompression functions for use in the
 tifffile, czifile, and other scientific image input/output modules.")
     (license license:bsd-3)))
 
+(define-public python-executing
+  (package
+    (name "python-executing")
+    (version "0.8.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "executing" version))
+       (sha256
+        (base32 "08q0xh9fd8k41sqpp23q6fb9bf7yj4y2q6sv30pj36vvk8pg8fy2"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:tests? #f)) ; TODO: tests require python-asttokens
+    (native-inputs
+     `(("python-setuptools-scm" ,python-setuptools-scm)
+       ("python-toml" ,python-toml)))
+    (home-page "https://github.com/alexmojaki/executing")
+    (synopsis "Get information about what a Python frame is currently doing")
+    (description "This package lets you get information about what a frame is
+currently doing, particularly the AST node being executed.")
+    (license license:expat)))
+
 (define-public python-roifile
   (package
     (name "python-roifile")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 13 Nov 2021 20:03:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 13 15:03:30 2021
Received: from localhost ([127.0.0.1]:48174 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mlzFK-0001HQ-Aa
	for submit <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:03:30 -0500
Received: from mout01.posteo.de ([185.67.36.65]:49081)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mlzF3-0001GS-TK
 for 51314 <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:03:29 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 57392240027
 for <51314 <at> debbugs.gnu.org>; Sat, 13 Nov 2021 21:03:08 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1636833788; bh=+Qo9mPUFh9fGI0Srdeq8g/jRDUZDoDhdMRj85OuvFdo=;
 h=From:To:Cc:Subject:Date:From;
 b=NgVyrgNLmWiwkIJD3MkXc78FYH2LwyLexyTCrTBwrZBx+BrLgyeh28NMc5VoiSpQ8
 ufvlYraEBZlvyLz6UTUzF+GBxKkSjkBHZyV7NIVOuj1xfDFRleBj2REt0AwWPLYQvU
 d4kKhy5b6iGGeBnjiMmZzekJ+VoycOXkv1RQOfvySpsqWyLBhXyPFx4t1KFigmyQom
 r4YMCYGW9/sz+fNUz9JYQwfjAM2dS3stIw4lghrkCVDPxLKh3mW/JLUDYirv5+w7rL
 AHBk20zgNkpkiz/YKhapyLe6wXiiGtqrAB56BhNTCqCoqHvIXQVKfrEn0l2pFWQR5c
 Ja2gfCrX22HHQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Hs5wq3cR6z6tnT;
 Sat, 13 Nov 2021 21:03:07 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH v2 06/24] gnu: Add python-flask-assets.
Date: Sat, 13 Nov 2021 20:02:12 +0000
Message-Id: <20211113200230.192559-6-monego@HIDDEN>
In-Reply-To: <20211113200230.192559-1-monego@HIDDEN>
References: <20211113200230.192559-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-web.scm (python-flask-assets): New variable.
---
 gnu/packages/python-web.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index 80ba4bd07e..11e6caa8d5 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -1053,6 +1053,35 @@ between a web browser and web server.")
 (define-public python2-sockjs-tornado
   (package-with-python2 python-sockjs-tornado))
 
+(define-public python-flask-assets
+  (package
+    (name "python-flask-assets")
+    (version "2.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "Flask-Assets" version))
+       (sha256
+        (base32 "1hmqldxc7zciksmcl35jx0wbyrrxc7vk2a57mmmd8i07whsymz8x"))))
+    (build-system python-build-system)
+    (arguments
+     ;; FIXME: 8 tests are failing with:
+     ;; TypeError: __init__() got an unexpected keyword argument 'static_path'
+     `(#:tests? #f))
+    (native-inputs
+     `(("python-flask-script" ,python-flask-script)
+       ("python-nose" ,python-nose)
+       ("python-pyscss" ,python-pyscss)
+       ("python-pyyaml" ,python-pyyaml)))
+    (propagated-inputs
+     `(("python-flask" ,python-flask)
+       ("python-webassets" ,python-webassets)))
+    (home-page "https://github.com/miracle2k/flask-assets")
+    (synopsis "Asset management for Flask")
+    (description "This package integrates @code{webassets} with Flask, adding
+support for merging, minifying and compiling CSS and Javascript files.")
+    (license license:bsd-2)))
+
 (define-public python-flask-babel
   (package
     (name "python-flask-babel")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 13 Nov 2021 20:03:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 13 15:03:23 2021
Received: from localhost ([127.0.0.1]:48168 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mlzFC-0001H4-S4
	for submit <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:03:23 -0500
Received: from mout02.posteo.de ([185.67.36.66]:55737)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mlzF8-0001Gg-DV
 for 51314 <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:03:22 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 755A7240106
 for <51314 <at> debbugs.gnu.org>; Sat, 13 Nov 2021 21:03:12 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1636833792; bh=1UDoFXOqZPsVBJFn0mCCo8ghAQsK69JRMMB0WDd/1Bg=;
 h=From:To:Cc:Subject:Date:From;
 b=JevqoICIFjbjm15Lys7noLTaBvSQJw2BmrFDnvDEdx/GSyKvSClBX49wBRCnEICOr
 dSTIXbc1Pq3jjhX/GC20IyUg2594TOOQgK6UMJ2yOW0lwzyfjvJqKBeJPAK0YIRp4e
 gxOxBBwA7zhOZeBhb61zpgGwd1fC6cJyM2xxA8TtyP514kESvXUra7uWRknlJ2LJ0w
 Snb5etD1/qMgQgTFtuuABjwWFyUh8+IHWniQefhhX8xm8Wwkk6Tf0tU0Z24LdbiFbM
 LZGJe5HgEJBwguJvpvEmzH9pDzzhdZgZzqit1HN/oO4DONrg33Vrh6ixL+qE8n4ixM
 2tsQCw0il9xkA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Hs5wv4ZSSz9rxL;
 Sat, 13 Nov 2021 21:03:11 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH v2 07/24] gnu: Add python-zipstream-new.
Date: Sat, 13 Nov 2021 20:02:13 +0000
Message-Id: <20211113200230.192559-7-monego@HIDDEN>
In-Reply-To: <20211113200230.192559-1-monego@HIDDEN>
References: <20211113200230.192559-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-xyz.scm (python-zipstream-new): New variable.
---
 gnu/packages/python-xyz.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index cdd71ee2ce..534b774f63 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -9789,6 +9789,33 @@ addition to a bunch of aliases.")
 command pipeline functionality.")
     (license license:bsd-3)))
 
+(define-public python-zipstream-new
+  (package
+    (name "python-zipstream-new")
+    (version "1.1.8")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/arjan-s/python-zipstream")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "14vhgg8mcjqi8cpzrw8qzbij2fr2a63l2a8fhil21k2r8vzv92cv"))))
+    (build-system python-build-system)
+    (native-inputs
+     `(("python-nose" ,python-nose)))
+    (home-page "https://github.com/arjan-s/python-zipstream")
+    (synopsis "Zipfile generator that takes input files as well as streams")
+    (description "@code{zipstream.py} is a zip archive generator based on
+@code{zipfile.py}.  It was created to generate a zip file generator for
+streaming.  This is beneficial for when you want to provide a downloadable
+archive of a large collection of regular files, which would be infeasible
+to generate the archive prior to downloading or of a very large file that
+you do not want to store entirely on disk or on memory.")
+    ;; No copyright headers in the source.  The LICENSE file indicates GPL3.
+    (license license:gpl3)))
+
 (define-public python-pep8
   ;; This package has been renamed to ‘pycodestyle’ and is no longer updated.
   ;; Its last release (1.7.1) adds only a scary warning to this effect, breaking
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 13 Nov 2021 20:03:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 13 15:03:21 2021
Received: from localhost ([127.0.0.1]:48162 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mlzF1-0001Gd-57
	for submit <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:03:21 -0500
Received: from mout01.posteo.de ([185.67.36.65]:59117)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mlzEz-0001G8-MW
 for 51314 <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:03:10 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 20843240026
 for <51314 <at> debbugs.gnu.org>; Sat, 13 Nov 2021 21:03:04 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1636833784; bh=Vud/xF72dhVZj00WOzpWnA7SRGvK94NzmIZ7BoTashY=;
 h=From:To:Cc:Subject:Date:From;
 b=QPcOosOcZ4QAMyUWWXoMTsLbMRdqy7x913TFwlNABZrF2IMHRKWBnivZiQQ1sZ126
 dHpZr/XHzQUfv5aVMm/3WFUoUNfQs1Cjbs0mw6Cu+SJw5lu89igpu/JM0Q9Hp/PLYP
 WOwALndDTkw3TG6J1t4HWvBz2FkTkZNRLIjbqd18F1O3WffdVoNflWlE+A3wXht9uO
 ruEYPoUJ9hhk6v/rXPlOVlMfypzfAKSNBYqutCy6/IOUdaqGR02Mfcap088+lfc6xy
 cAr971BNwRxRi/BuBk1cDrRYAJt0TUo8Hf03dDKXh+SM+dVWNSpFZdE9tHYCzbRKEs
 yXZ8Tj75q9pwA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Hs5wl1lPtz6tpP;
 Sat, 13 Nov 2021 21:03:02 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH v2 05/24] gnu: Add python-pyscss.
Date: Sat, 13 Nov 2021 20:02:11 +0000
Message-Id: <20211113200230.192559-5-monego@HIDDEN>
In-Reply-To: <20211113200230.192559-1-monego@HIDDEN>
References: <20211113200230.192559-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-web.scm (python-pyscss): New variable.
---
 gnu/packages/python-web.scm | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index 8dd73c003f..80ba4bd07e 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -78,6 +78,7 @@
   #:use-module (gnu packages groff)
   #:use-module (gnu packages libevent)
   #:use-module (gnu packages libffi)
+  #:use-module (gnu packages pcre)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages python)
   #:use-module (gnu packages python-build)
@@ -793,6 +794,40 @@ JSON Web Algorithms (JWA) - collectively can be used to encrypt and/or sign
 content using a variety of algorithms.")
     (license license:expat)))
 
+(define-public python-pyscss
+  (package
+    (name "python-pyscss")
+    (version "1.3.7")
+    (source
+     (origin
+       ;; No tests in the PyPI tarball.
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/Kronuz/pyScss")
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0701hziiiw67blafgpmjhzspmrss8mfvif7fw0rs8fikddwwc9g6"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "-m" "pytest" "--pyargs" "scss")))))))
+    (native-inputs
+     `(("python-pytest" ,python-pytest)
+       ("python-pytest-cov" ,python-pytest-cov)))
+    (inputs
+     `(("pcre" ,pcre)))
+    (home-page "https://github.com/Kronuz/pyScss")
+    (synopsis "Scss compiler for Python")
+    (description "@code{pyScss} is a compiler for Sass, a superset language of
+CSS3 that adds programming capabilities and some other syntactic sugar.")
+    (license license:expat)))
+
 (define-public python-jsonpickle
   (package
     (name "python-jsonpickle")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 13 Nov 2021 20:03:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 13 15:03:07 2021
Received: from localhost ([127.0.0.1]:48158 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mlzEw-0001GI-QE
	for submit <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:03:07 -0500
Received: from mout01.posteo.de ([185.67.36.65]:44859)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mlzEv-0001FN-FO
 for 51314 <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:03:05 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id E070D240026
 for <51314 <at> debbugs.gnu.org>; Sat, 13 Nov 2021 21:02:59 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1636833779; bh=c+4VzxWWD5c/nnhMypmi/UolJ5dTH+iYRZbMswj5lz4=;
 h=From:To:Cc:Subject:Date:From;
 b=YtqwR2P3F55IdcPPyVp407nlkLxBzWJNHtQXGhxqxz2wBShfdGzOBaOgElVav77NA
 bT9wClLz6/rkYw8DsgiKdWwRcJzs8jIzaTc0iBbreOvSaMxUGDL2L9OPPglbiZc0lN
 bbjlbPVRJQdYqoCV+oWjERidWO6hbv/+7XXe0DHnaiiSLFhMZdTp1akov2ahlb6pnc
 XrJ6eO7kCHXlNTw3qCvWMmYK+AiAweYo8pwECj3DpFMc4avUbAxxWsC+hrRRj3CGaD
 +2Kwv1l1ZVqXxq4Wz/wZtr6ElrCBAMOJA0NLhe6X2g1Zs4y9eqV2BUErZVBom0zOve
 ml6R6+aH0CUuQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Hs5wg0sqFz9rxK;
 Sat, 13 Nov 2021 21:02:58 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH v2 04/24] gnu: python-flask: Respect #:tests?.
Date: Sat, 13 Nov 2021 20:02:10 +0000
Message-Id: <20211113200230.192559-4-monego@HIDDEN>
In-Reply-To: <20211113200230.192559-1-monego@HIDDEN>
References: <20211113200230.192559-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-web.scm (python-flask)[arguments]<#:phases>: Respect
 #:tests? and simplify the test command in the custom 'check phase.
---
 gnu/packages/python-web.scm | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index 0beaa78d0e..8dd73c003f 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -3006,13 +3006,13 @@ minimum of WSGI.")
                 "15ni4xlm57a15f5hipp8w0c9zba20179bvfns2392fiq1lcbdghg"))))
     (build-system python-build-system)
     (arguments
-     '(#:phases
+     `(#:phases
        (modify-phases %standard-phases
          (replace 'check
-           (lambda _
-             (setenv "PYTHONPATH" (string-append "./build/lib:"
-                                                 (getenv "PYTHONPATH")))
-             (invoke "pytest" "-vv" "tests"))))))
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "-m" "pytest")))))))
     (native-inputs
      `(("python-pytest" ,python-pytest)))
     (propagated-inputs
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 13 Nov 2021 20:02:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 13 15:02:57 2021
Received: from localhost ([127.0.0.1]:48151 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mlzEn-0001FB-BI
	for submit <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:02:57 -0500
Received: from mout01.posteo.de ([185.67.36.65]:38181)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mlzEl-0001Em-Nh
 for 51314 <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:02:55 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 2754B240029
 for <51314 <at> debbugs.gnu.org>; Sat, 13 Nov 2021 21:02:50 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1636833770; bh=gSw2gBckA+UfZ5eb09UA+eNSSc+jyQi1kbOH6clm/mU=;
 h=From:To:Cc:Subject:Date:From;
 b=jUpQwlHvT+OzwfaVpJffAf/x02NU8/zLoHf0eOYoLBheZulVQE3kMX2vfRUAJU0A2
 vW5eGsRFybO8qBUyGYkchSWyIc2Vk8JcIgNJvLiNvvhichX9lEfM5ePqhYl7NQZrFB
 gflLA8iCeaHYPYM6dm0gEpjzQVJesXpb8SE5OPSqxcDzJymp3vBfAz/rtS8pF8VXLZ
 JPkUXcsX2ainn8Mq8iCItRkXJ/6N7MVCnjEQQLU5GKPN63pH9N0WE5hFHIdU7CN3DL
 819OYHmdvu5d4jO4vlFBKUy8l6ThWPJ4zPfHVL6CyRNikslBhkJM46WO05dxg4LaCm
 C9XYPpiaW3kFQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Hs5wT21nZz6tmk;
 Sat, 13 Nov 2021 21:02:48 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH v2 03/24] gnu: python-flask: Update to 1.1.4.
Date: Sat, 13 Nov 2021 20:02:09 +0000
Message-Id: <20211113200230.192559-3-monego@HIDDEN>
In-Reply-To: <20211113200230.192559-1-monego@HIDDEN>
References: <20211113200230.192559-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-web.scm (python-flask): Update to 1.1.4.
---
 gnu/packages/python-web.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index 608276325f..0beaa78d0e 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -2997,13 +2997,13 @@ minimum of WSGI.")
 (define-public python-flask
   (package
     (name "python-flask")
-    (version "1.1.2")
+    (version "1.1.4")
     (source (origin
               (method url-fetch)
               (uri (pypi-uri "Flask" version))
               (sha256
                (base32
-                "0q3h295izcil7lswkzfnyg3k5gq4hpmqmpl6i7s5m1n9szi1myjf"))))
+                "15ni4xlm57a15f5hipp8w0c9zba20179bvfns2392fiq1lcbdghg"))))
     (build-system python-build-system)
     (arguments
      '(#:phases
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 13 Nov 2021 20:02:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 13 15:02:53 2021
Received: from localhost ([127.0.0.1]:48147 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mlzEj-0001Ev-10
	for submit <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:02:53 -0500
Received: from mout01.posteo.de ([185.67.36.65]:44791)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mlzEg-0001EP-I0
 for 51314 <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:02:51 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 84F03240027
 for <51314 <at> debbugs.gnu.org>; Sat, 13 Nov 2021 21:02:44 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1636833764; bh=2Q4f4UJPBG0BaGBrRvMqb2rhNf2UOtnojWFVlFlJ8Wc=;
 h=From:To:Cc:Subject:Date:From;
 b=YVphR/Mzu925V/Xz+Q5np+ehlQSBA+zpf9adlOy+wdqYkNy8DLIE4K7JqB2AcmF0y
 f+snbsjY4l8zftwFOcFk3o23JElLC1ZJRUINWK7oxO/NXixDEZqh1IZXUozSMBOB9j
 jhY/9zs70Iyp2GalYYFhdWcVxRs2IhlGbfqMvHRXAalfPmpnK53hQ5lJz5eGkB+rKx
 QTwB/IPVlGlomyGHc4hWh3sjk9XDexvy4lst/fOhmeAsj6469KDmG+5oIjhSED2IOp
 Ny7pCkciBZLa8phR2gFt81YI3BaaSu2XtPwC2BmlJRBds/bqZvHMGSjEG3WzTXTyxG
 J3GlwuKox5UoQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Hs5wL6Q92z9rxG;
 Sat, 13 Nov 2021 21:02:42 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH v2 02/24] gnu: Add python-pylru.
Date: Sat, 13 Nov 2021 20:02:08 +0000
Message-Id: <20211113200230.192559-2-monego@HIDDEN>
In-Reply-To: <20211113200230.192559-1-monego@HIDDEN>
References: <20211113200230.192559-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-xyz.scm (python-pylru): New variable.
---
 gnu/packages/python-xyz.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 0b48923d86..cdd71ee2ce 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -11228,6 +11228,35 @@ signature of a file or buffer.")
 provides a collection of cache libraries in the same API interface.")
     (license license:bsd-3)))
 
+(define-public python-pylru
+  (package
+    (name "python-pylru")
+    (version "1.2.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "pylru" version))
+       (sha256
+        (base32 "15yj46307sw703vjfkgnr04dqvaicmfcj0hc6yrciildp55r6bs9"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "test.py")))))))
+    (home-page "https://github.com/jlhutch/pylru")
+    (synopsis "Least recently used (LRU) cache implementation")
+    (description
+     "Pylru implements a true LRU cache along with several support classes.
+Pylru provides a cache class with a simple dict interface.  It also provides
+classes to wrap any object that has a dict interface with a cache.  Both
+write-through and write-back semantics are supported.  Pylru also provides
+classes to wrap functions in a similar way, including a function decorator.")
+    (license license:gpl2+)))
+
 (define-public python-legacy-api-wrap
   (package
     (name "python-legacy-api-wrap")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 13 Nov 2021 20:02:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 13 15:02:48 2021
Received: from localhost ([127.0.0.1]:48143 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mlzEd-0001Ec-Pk
	for submit <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:02:47 -0500
Received: from mout02.posteo.de ([185.67.36.66]:35557)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mlzEb-0001EK-TA
 for 51314 <at> debbugs.gnu.org; Sat, 13 Nov 2021 15:02:46 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 702E3240101
 for <51314 <at> debbugs.gnu.org>; Sat, 13 Nov 2021 21:02:39 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1636833759; bh=SQWTZYoF9pwzTJddGlZO6CzN3w8wIYfQrMnyT/ntRV4=;
 h=From:To:Cc:Subject:Date:From;
 b=kYF7fkspCeWP703PK+YvJ2f555ZAbTbwkalDwJJyT0GzCqcojpYXdaett4zRvfSek
 Nxmb+E3W11iQY8cWqjbhh2eM6YnODvJ8SN9tOgytDG1dtkVzXd1U1YwkVJy/w1PIy+
 xmZdZYTYiGurKkORDExAskKTBu+1JmEhb/2zlkYg/wQMVI29V+uYqXHl92JbIr6wAb
 c4kXI12f2sqIFEPQrUYMNMFONwlcaM1jOZVJDURpSddhR6J8aqOtXwNnioSco5Eke9
 YgLYMGYp5KyE4nNyJOz59umM4KsU4AP6lsXYudB+c12jmUMsXAF3wii55QYUJCqGgz
 J+VIl+lMY9LjQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Hs5wG1VSfz9rxK;
 Sat, 13 Nov 2021 21:02:37 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH v2 01/24] gnu: Add python-sarge.
Date: Sat, 13 Nov 2021 20:02:07 +0000
Message-Id: <20211113200230.192559-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-xyz.scm (python-sarge): New variable.
---
 gnu/packages/python-xyz.scm | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index e5cdaadb3b..0b48923d86 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -9772,6 +9772,23 @@ entire set of Emoji codes as defined by the Unicode Consortium is supported in
 addition to a bunch of aliases.")
     (license license:bsd-3)))
 
+(define-public python-sarge
+  (package
+    (name "python-sarge")
+    (version "0.1.6")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "sarge" version))
+       (sha256
+        (base32 "0r9jnpdsjdr6h92blr5b2fdzvb1n8ypjwhk2xxmss42gwq2bk3zl"))))
+    (build-system python-build-system)
+    (home-page "https://sarge.readthedocs.io/")
+    (synopsis "Command pipeline functionality")
+    (description "@code{sarge} is a wrapper for subprocess which provides
+command pipeline functionality.")
+    (license license:bsd-3)))
+
 (define-public python-pep8
   ;; This package has been renamed to ‘pycodestyle’ and is no longer updated.
   ;; Its last release (1.7.1) adds only a scary warning to this effect, breaking

base-commit: 193d7b5b450d2004c26720e488a9cce930542e9e
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 13 Nov 2021 19:45:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 13 14:45:14 2021
Received: from localhost ([127.0.0.1]:48122 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mlyxe-0007DV-3m
	for submit <at> debbugs.gnu.org; Sat, 13 Nov 2021 14:45:14 -0500
Received: from mout02.posteo.de ([185.67.36.66]:51529)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mlyxb-00073p-5Y
 for 51314 <at> debbugs.gnu.org; Sat, 13 Nov 2021 14:45:12 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id ECEF3240103
 for <51314 <at> debbugs.gnu.org>; Sat, 13 Nov 2021 20:45:04 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1636832705; bh=iEBVeBTlYQoI3J05HvwwLDrYNq/0omIQxW5WqMuQVaU=;
 h=Subject:From:To:Cc:Date:From;
 b=CE1ZOoBybH0S+glASavfm2VmFPRMAL/py+WRiEfXwJqy3sRKx2WWyIW/c+ee5hgFo
 zq36YTpHRk4VS7oOpCBJF1PSzNT2ODqXL6iv25P86Xl8e8zvGv2MVqlru7w9DYWkgu
 3+4ELNchogyYFSODmYU7bzj8jM4BBM2MxJnqbOcsia6HtCokAQP3WdZMe+HQjdabUP
 Ou7/p5Pjxixn3ysbzlXPZeKHSM7OWd4+QpdJslvJdtUJ/oBPSpg/Ezp0gY4Zlv8CDO
 jedKCfalpFfCWP5K5v1LmMtdn22LC45bznDekldf0RBYNZfwRoTE++8ML2FRpLGdj+
 tKSa4B+T92UGQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Hs5Wy6J4yz9rxM;
 Sat, 13 Nov 2021 20:45:02 +0100 (CET)
Message-ID: <f2dea899cc95019d7b35eb2c503fcf27ce4f1bb8.camel@HIDDEN>
Subject: Re: [bug#51314] [PATCH 00/29] Add Octoprint (web UI for 3d printers).
From: Vinicius Monego <monego@HIDDEN>
To: Efraim Flashner <efraim@HIDDEN>
Date: Sat, 13 Nov 2021 19:44:53 +0000
In-Reply-To: <YYmKsvkuo9s6z6yH@3900XT>
References: <20211021035100.241119-1-monego@HIDDEN>
 <YYmKsvkuo9s6z6yH@3900XT>
Content-Type: text/plain; charset="UTF-8"
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: 51314 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Em seg, 2021-11-08 às 22:38 +0200, Efraim Flashner escreveu:
> On Thu, Oct 21, 2021 at 03:51:00AM +0000, Vinicius Monego wrote:
> > This patchset adds the Octoprint web UI to control 3d printers.
> > 
> > Octoprint itself bundles font-awesome. I removed it in a snippet,
> > don't know how much it would affect usability. I haven't found
> > other bundles with license issues.
> > 
> > Some of the updates have newer versions but I'm updating to "older"
> > versions to maintain compatibility with octoprint. See the comment
> > in the octoprint package.
> 
> Looking at some of the comments here¹ it looks like they're using old
> versions mostly to retain python2 compatibility. On the other hand
> they
> also have a comment about not having checked newer versions yet for
> for
> breaking changes, which IMO is their job. Other than flask-login and
> netaddr I don't see a reason to not try with some of the newer
> versions
> of the packages. I would feel better if they only marked their own
> dependencies and not transitive dependencies.
> 
> I think it makes sense to try newer versions and to add older
> versions
> on an as-needed basis, especially since some of these packages are
> likely to be upgraded again at some point before the next version of
> octoprint.
> 
> ¹ https://github.com/OctoPrint/OctoPrint/blob/1.7.0/setup.py#L17
> 

This is my report for the updates:

I updated python-colorlog, python-zeroconf, python-watchdog and python-
wrapt to latest versions.

The update on python-zeroconf will likely break pulseaudio-dlna which
depends on python2-zeroconf. Upstream also abandoned the project and it
now lives in a fork that can be found here¹. Packaging the fork will
require packaging python-pyroute2 which seems to lead to another chain
of new packages.

Updating Flask to version 2.0 will require updates on python-
itsdangerous, python-werkzeug and python-jinja2, which would have to
rebuild 600+ packages.

I tried to update python-websockets-client to latest version but the
tests hung and I couldn't figure out why.

I'll send a v2 soon.

¹ https://github.com/Cygn/pulseaudio-dlna/





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 8 Nov 2021 20:39:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 08 15:39:21 2021
Received: from localhost ([127.0.0.1]:59703 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mkBQH-0007bo-0W
	for submit <at> debbugs.gnu.org; Mon, 08 Nov 2021 15:39:21 -0500
Received: from flashner.co.il ([178.62.234.194]:37266)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1mkBQF-0007bZ-6W
 for 51314 <at> debbugs.gnu.org; Mon, 08 Nov 2021 15:39:20 -0500
Received: from localhost (unknown [141.226.169.107])
 by flashner.co.il (Postfix) with ESMTPSA id 6F73C402FA;
 Mon,  8 Nov 2021 20:39:13 +0000 (UTC)
Date: Mon, 8 Nov 2021 22:38:10 +0200
From: Efraim Flashner <efraim@HIDDEN>
To: Vinicius Monego <monego@HIDDEN>
Subject: Re: [bug#51314] [PATCH 00/29] Add Octoprint (web UI for 3d printers).
Message-ID: <YYmKsvkuo9s6z6yH@3900XT>
Mail-Followup-To: Efraim Flashner <efraim@HIDDEN>,
 Vinicius Monego <monego@HIDDEN>, 51314 <at> debbugs.gnu.org
References: <20211021035100.241119-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="gS6KALYzeGmSg68w"
Content-Disposition: inline
In-Reply-To: <20211021035100.241119-1-monego@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 51314
Cc: 51314 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--gS6KALYzeGmSg68w
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Thu, Oct 21, 2021 at 03:51:00AM +0000, Vinicius Monego wrote:
> This patchset adds the Octoprint web UI to control 3d printers.
>=20
> Octoprint itself bundles font-awesome. I removed it in a snippet, don't k=
now how much it would affect usability. I haven't found other bundles with =
license issues.
>=20
> Some of the updates have newer versions but I'm updating to "older" versi=
ons to maintain compatibility with octoprint. See the comment in the octopr=
int package.

Looking at some of the comments here=C2=B9 it looks like they're using old
versions mostly to retain python2 compatibility. On the other hand they
also have a comment about not having checked newer versions yet for for
breaking changes, which IMO is their job. Other than flask-login and
netaddr I don't see a reason to not try with some of the newer versions
of the packages. I would feel better if they only marked their own
dependencies and not transitive dependencies.

I think it makes sense to try newer versions and to add older versions
on an as-needed basis, especially since some of these packages are
likely to be upgraded again at some point before the next version of
octoprint.

=C2=B9 https://github.com/OctoPrint/OctoPrint/blob/1.7.0/setup.py#L17

>=20
> Vinicius Monego (29):
>   gnu: Add python-filetype.
>   gnu: Add python-immutabledict.
>   gnu: Add python-emoji.
>   gnu: Add python-cachelib.
>   gnu: Add python-sarge.
>   gnu: Add python-pylru.
>   gnu: python-flask: Update to 1.1.4.
>   gnu: python-flask: Respect #:tests?.
>   gnu: Add python-pyscss.
>   gnu: Add python-flask-assets.
>   gnu: Add python-zipstream-new.
>   gnu: Add python-executing.
>   gnu: Add python-sentry-sdk.
>   gnu: Add python-pytest-doctest-custom.
>   gnu: Add python-sgmllib3k.
>   gnu: python-feedparser: Update to 6.0.8.
>   gnu: python-feedparser: Enable tests.
>   gnu: python-netifaces: Update to 0.11.0.
>   gnu: python-websocket-client: Update to 0.59.0.
>   gnu: python-pkginfo: Update to 1.7.1.
>   gnu: python-watchdog: Update to 0.10.7.
>   gnu: python-colorlog: Update to 5.0.1.
>   gnu: python-zeroconf: Update to 0.33.4.
>   gnu: python-wrapt: Update to 1.12.1.
>   gnu: python-wrapt: Enable tests.
>   gnu: Add octoprint-pisupport.
>   gnu: Add octoprint-firmwarecheck.
>   gnu: Add octoprint-filecheck.
>   gnu: Add octoprint.
>=20
>  gnu/packages/printers.scm     | 181 +++++++++++++++-
>  gnu/packages/python-check.scm |  29 +++
>  gnu/packages/python-web.scm   |  96 ++++++++-
>  gnu/packages/python-xyz.scm   | 381 ++++++++++++++++++++++++++++++----
>  gnu/packages/web.scm          |  15 +-
>  5 files changed, 645 insertions(+), 57 deletions(-)
>=20
>=20
> base-commit: 2782cb38a3bc68c530d6e95f6834ae0cb7ed16aa
> prerequisite-patch-id: 01467a57e2c7d6c0266979c26fc35408e886972b
> --=20
> 2.30.2
>=20
>=20
>=20
>=20

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=A8=D7=A0=D7=A9=D7=9C=D7=A4 =
=D7=9D=D7=99=D7=A8=D7=A4=D7=90
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--gS6KALYzeGmSg68w
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAmGJirIACgkQQarn3Mo9
g1E7tA/+NQEb4dttkeIz1J7G4Mhuo+4PXKyLqM/6ihGuJV2xcNNbwnFkoxohgv2Z
8IBFi3YCC5OyMwZ62Tg4sL7t22itpY5qH6oQAfmDvxt0V4VqffUGCd2LaenX1XVo
jb20zyhNnVCEfDCHYjrehHoIBK2IRR7XrS01XQrb+JBHYjqId9VBZUkBvCLehPIJ
I0wJubtpKhajxwg97ZrD9DrrU5WjOalGhlr2gGWV4K0EaENOn+lN/xmR2KwAnSMq
RzpYnnr9QJWCVQPDDnakvUxzhw9oqNb0+6b958PrWpuuEiEuRTMFHE1d7jUvMFnO
PMjy0FjfAZ1jnFRJpaUjEnF3aWBUtzjuzsV+VmLp7nosiJLftumKs11i/ESj9ST6
UJCHvVnS7D43wqg7ksf9j94RCZZ9/ZUZLmQiZqC3DG5Z9bFA/bAdArl3Qa0+j8VK
sKXWIaKJY1eBZH5Y1jycGNEYoSoDc3S3jrLjuvZHqps0KxLvXsSN4P9NNnBf6chN
Q2xSqCQ5xI6oWUagwFO3vS/tqTHymwtKu9AWNF24348IvxDJMlAU/HDwn0Fy+xjD
P5DDqp7veo8TrznUtR+Ta7f4rp8qTl9xhhorSCt+JVmxp1us/SMqkcTcn05Nia/x
WGLbkc4XMtE13zUw7GCcBE56m2P/0TZRRue9vOE//iC3m8Vvxsg=
=KBoW
-----END PGP SIGNATURE-----

--gS6KALYzeGmSg68w--




Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 21 Oct 2021 04:04:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 00:04:37 2021
Received: from localhost ([127.0.0.1]:56017 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdPJl-0005hp-97
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:04:37 -0400
Received: from mout01.posteo.de ([185.67.36.65]:49851)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mdPJj-0005hP-BV
 for 51314 <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:04:36 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id C71C2240029
 for <51314 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 06:04:29 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1634789069; bh=Vh8H21BMXiEHaf+vag7t1ori8Q1IEAt66N8sdc59dSA=;
 h=From:To:Cc:Subject:Date:From;
 b=XOxBynBCtQEGhtYDxAQQn/GZJN2KAwd17xxMBrC+OHY3AEYlSjgpLQJqZRV1WEmT7
 +xf94e/NKD0IF6gB7HG2ToS330ZGkrv57czOfXnnfCEYcIqwtkTKjYJc0MnFPh9He/
 tW0P8IhEGSzDg+I5ZSup5jY1e+sF/TSdd1TT1xzydmTqtDf9HwjcCoWAkOpIn9RqTR
 bGX69YeoOakKN75rw5jAG9BYy3Yr14vtYMq1TzTP+hZAI5R+CljbZYw4gIiN2MtvZ8
 O/835GzpR0mFwOSFBiEW7dFLvlMXV8pE+8N9m/+f3f/8DdnyhqM6z1FChAeEbu63SM
 BfSjU24xNhz0w==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HZYlJ6Yymz6tmD;
 Thu, 21 Oct 2021 06:04:28 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH 29/29] gnu: Add octoprint.
Date: Thu, 21 Oct 2021 04:02:00 +0000
Message-Id: <20211021040200.241873-25-monego@HIDDEN>
In-Reply-To: <20211021040200.241873-1-monego@HIDDEN>
References: <20211021040200.241873-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/printers.scm (octoprint): New variable.
---
 gnu/packages/printers.scm | 115 +++++++++++++++++++++++++++++++++++++-
 1 file changed, 114 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/printers.scm b/gnu/packages/printers.scm
index 4056a66ad3..37e1734aad 100644
--- a/gnu/packages/printers.scm
+++ b/gnu/packages/printers.scm
@@ -25,9 +25,15 @@
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system python)
   #:use-module ((guix licenses) #:prefix license:)
+  #:use-module (gnu packages check)
   #:use-module (gnu packages libusb)
   #:use-module (gnu packages pkg-config)
-  #:use-module (gnu packages qt))
+  #:use-module (gnu packages python)
+  #:use-module (gnu packages python-check)
+  #:use-module (gnu packages python-web)
+  #:use-module (gnu packages python-xyz)
+  #:use-module (gnu packages qt)
+  #:use-module (gnu packages web))
 
 ;; This is a module for packages related to printer-like devices, but not
 ;; related to CUPS.
@@ -95,6 +101,113 @@ uploaded files that are known to cause issues while printing and which in
 the past have caused support requests on OctoPrint's Community Forums.")
     (license license:agpl3)))
 
+(define-public octoprint
+  (package
+    (name "octoprint")
+    (version "1.7.0")
+    (source
+     (origin
+       (method git-fetch) ; no tests in the PyPI tarball.
+       (uri (git-reference
+             (url "https://github.com/OctoPrint/OctoPrint")
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "08a1in2kbgy4w02q2xkhp7m09mvw0hxn3fgcbi1z7f6hg8ibym9n"))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin
+           ;; Remove bundled font-awesome.
+           (delete-file-recursively "src/octoprint/static/vendor")
+           #t))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'relax-version-requirements
+           ;; Octoprint maintains strict version requirements for Python2
+           ;; compatibility.  We're not packaging with Python2, so modify
+           ;; setup.py to relax those versions.  Octoprint will drop Python2
+           ;; support in version 2.0 so we won't need this change after it.
+           (lambda _
+             (substitute* "setup.py"
+               (("markdown>=3.1,<3.2") "markdown>=3.1,<4")
+               (("watchdog==0.10.4") "watchdog>=0.10.4")
+               ;; Relax core packages that are outdated in Guix.
+               (("Jinja2>=2.11.3,<3") "Jinja2>=2.11.2,<3")
+               (("requests>=2.26.0,<3") "requests>=2.25,<3"))))
+         (add-before 'check 'set-home
+           (lambda _
+             (setenv "HOME" (getcwd)))) ; some tests need a writable home
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "-m" "pytest" "tests" "-k"
+                       (string-append
+                        ;; These tests try to write to the source tree and
+                        ;; fail with PermissionError.
+                        "not test_add_file_overwrite"
+                        " and not test_set_external_modification"))))))))
+    (native-inputs
+     `(("python-ddt" ,python-ddt)
+       ("python-mock" ,python-mock)
+       ("python-pytest" ,python-pytest)
+       ("python-pytest-doctest-custom"
+        ,python-pytest-doctest-custom)))
+    (inputs
+     `(("octoprint-filecheck" ,octoprint-filecheck)
+       ("octoprint-firmwarecheck" ,octoprint-firmwarecheck)
+       ("octoprint-pisupport" ,octoprint-pisupport)
+       ("python-appdirs" ,python-appdirs)
+       ("python-blinker" ,python-blinker)
+       ("python-cachelib" ,python-cachelib)
+       ("python-click" ,python-click)
+       ("python-colorlog" ,python-colorlog)
+       ("python-emoji" ,python-emoji)
+       ("python-feedparser" ,python-feedparser)
+       ("python-filetype" ,python-filetype)
+       ("python-flask" ,python-flask)
+       ("python-flask-assets" ,python-flask-assets)
+       ("python-flask-babel" ,python-flask-babel)
+       ("python-flask-login" ,python-flask-login)
+       ("python-future" ,python-future)
+       ("python-immutabledict" ,python-immutabledict)
+       ("python-itsdangerous" ,python-itsdangerous)
+       ("python-jinja2" ,python-jinja2)
+       ("python-markdown" ,python-markdown)
+       ("python-markupsafe" ,python-markupsafe)
+       ("python-netaddr" ,python-netaddr)
+       ("python-netifaces" ,python-netifaces)
+       ("python-pathvalidate" ,python-pathvalidate)
+       ("python-pkginfo" ,python-pkginfo)
+       ("python-psutil" ,python-psutil)
+       ("python-pylru" ,python-pylru)
+       ("python-pyserial" ,python-pyserial)
+       ("python-pyyaml" ,python-pyyaml)
+       ("python-regex" ,python-regex)
+       ("python-requests" ,python-requests)
+       ("python-sarge" ,python-sarge)
+       ("python-semantic-version"
+        ,python-semantic-version)
+       ("python-sentry-sdk" ,python-sentry-sdk)
+       ("python-tornado" ,python-tornado-6)
+       ("python-unidecode" ,python-unidecode)
+       ("python-watchdog" ,python-watchdog)
+       ("python-websocket-client"
+        ,python-websocket-client)
+       ("python-werkzeug" ,python-werkzeug)
+       ("python-wrapt" ,python-wrapt)
+       ("python-zeroconf" ,python-zeroconf)
+       ("python-zipstream-new" ,python-zipstream-new)))
+    (home-page "https://octoprint.org")
+    (synopsis "Web interface for 3D printers")
+    (description "OctoPrint provides a snappy web interface for controlling
+consumer 3D printers.")
+    ;; The web interface contains many third party JavaScript libraries under
+    ;; different licenses.  Check THIRDPARTYLICENSES.md.
+    (license license:agpl3)))
+
 (define-public robocut
   (package
     (name "robocut")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 21 Oct 2021 04:04:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 00:04:33 2021
Received: from localhost ([127.0.0.1]:56014 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdPJh-0005hX-1b
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:04:33 -0400
Received: from mout01.posteo.de ([185.67.36.65]:58975)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mdPJf-0005h8-08
 for 51314 <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:04:31 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 6FF1A240026
 for <51314 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 06:04:25 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1634789065; bh=Vel97p2ITccK9fsAv2ZcarF2m8IMUbZiaH8X0jU/npk=;
 h=From:To:Cc:Subject:Date:From;
 b=UPtA3C7/CjkDtxYX4Bd/LU48u9AXmyORN7S1PH0+Db1JE55BfmcSwYdpflBouT61j
 xKFSNJNGTpTfALkmQxUQPZGaSUmEfdHvW/bqjVv5SKAqnkdr5LMVrFBoodcCmkZUNK
 p8SSgEVS3wh0KM9g1Dwd1GmDXHY1TKrKJd9rrCsKb0EPGTkb4EyLt/nKvEvkzt5DFb
 ZBXNw8hIXEzwhg+QlaW1XXMmcba0Ol+/eNE7WJCwrQ3frqfFBKFPwe9AIo6Q/hfIFj
 AzImRH1UlN0Mgf9xmMMbBpJPnzHHKyDlMAQK4NCwo0/GxzCBqjPWP3x6UWFabqINuX
 30dRy6G6JB4uQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HZYlD4BNnz9rxL;
 Thu, 21 Oct 2021 06:04:24 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH 28/29] gnu: Add octoprint-filecheck.
Date: Thu, 21 Oct 2021 04:01:59 +0000
Message-Id: <20211021040200.241873-24-monego@HIDDEN>
In-Reply-To: <20211021040200.241873-1-monego@HIDDEN>
References: <20211021040200.241873-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/printers.scm (octoprint-filecheck): New variable.
---
 gnu/packages/printers.scm | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

diff --git a/gnu/packages/printers.scm b/gnu/packages/printers.scm
index 934cb55f47..4056a66ad3 100644
--- a/gnu/packages/printers.scm
+++ b/gnu/packages/printers.scm
@@ -75,6 +75,26 @@ communication crippling bugs, and displays a warning box to logged in users
 on identification of such a firmware.")
     (license license:agpl3)))
 
+(define-public octoprint-filecheck
+  (package
+    (name "octoprint-filecheck")
+    (version "2021.2.23")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "OctoPrint-FileCheck" version))
+       (sha256
+        (base32 "0bgvv6hvxa9qv0fs5dfr9wlbbjawxik8f2cid3h3czdhdhw46aqv"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:tests? #f)) ; no tests
+    (home-page "https://github.com/OctoPrint/OctoPrint-FileCheck")
+    (synopsis "Plugin to check for common issues in uploaded files")
+    (description "The File Check plugin tries to detect common issues in
+uploaded files that are known to cause issues while printing and which in
+the past have caused support requests on OctoPrint's Community Forums.")
+    (license license:agpl3)))
+
 (define-public robocut
   (package
     (name "robocut")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 21 Oct 2021 04:04:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 00:04:28 2021
Received: from localhost ([127.0.0.1]:56011 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdPJb-0005hF-PM
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:04:27 -0400
Received: from mout02.posteo.de ([185.67.36.66]:59393)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mdPJa-0005gq-Oy
 for 51314 <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:04:27 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 1D80C240101
 for <51314 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 06:04:21 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1634789061; bh=nckgj6dyjZP9sHA6tgJ+kxPMAakEyFBsCGiJ4BxBu5U=;
 h=From:To:Cc:Subject:Date:From;
 b=pybSUjyKT8cLYNkoH7j5pwvlstuzxl4HSfeH4YIZLCaXgQ6lQmFYmFyBd28GHIUkk
 oYLaMb94Ixt4b3zc24A3hemOhbVDHhnDVRVGtBwv88wjjv2J8HX9jotG9jSHoBm6DP
 365HcQD3zozxBkthNdMDidlqUwf1fwv51wNwu0UGGS92hYMEN6PQoXMLPsZ0pzP6QP
 aTHaNlZNFfBrJggXAn5kFdvR9WrBV0j1Xuucof+apcbfwEVv1n43mPPuRBWDv/0Fp8
 QYGnIIO8qYbTsdgNjCyHok/GGbKu7yA5UQY5NA2cBfd7LhJsSTbth3II6mYHtBOkzV
 qmBFda1wo3KJw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HZYl81Sbnz6tm9;
 Thu, 21 Oct 2021 06:04:19 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH 27/29] gnu: Add octoprint-firmwarecheck.
Date: Thu, 21 Oct 2021 04:01:58 +0000
Message-Id: <20211021040200.241873-23-monego@HIDDEN>
In-Reply-To: <20211021040200.241873-1-monego@HIDDEN>
References: <20211021040200.241873-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/printers.scm (octoprint-firmwarecheck): New variable.
---
 gnu/packages/printers.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/printers.scm b/gnu/packages/printers.scm
index ac79d57aba..934cb55f47 100644
--- a/gnu/packages/printers.scm
+++ b/gnu/packages/printers.scm
@@ -53,6 +53,28 @@ your Pi in the UI and also alerts you about undervoltage or overheating issues
 observed on your Pi or if your Pi is unsupported.")
     (license license:agpl3)))
 
+(define-public octoprint-firmwarecheck
+  (package
+    (name "octoprint-firmwarecheck")
+    (version "2021.10.11")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "OctoPrint-FirmwareCheck" version))
+       (sha256
+        (base32 "17prs0rmzglw75gkf6j7qypxisjvcfk2mbsyfqrjdbwg99i62s2h"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:tests? #f)) ; no tests
+    (home-page "https://github.com/OctoPrint/OctoPrint-FirmwareCheck")
+    (synopsis "Plugin to check for unsafe or broken printer firmwares")
+    (description "The Firmware Check plugin tries to identify printers
+or rather printer firmware with known safety issues, such as disabled
+thermal runaway protection, or other kinds of severe issues, like known
+communication crippling bugs, and displays a warning box to logged in users
+on identification of such a firmware.")
+    (license license:agpl3)))
+
 (define-public robocut
   (package
     (name "robocut")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 21 Oct 2021 04:04:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 00:04:24 2021
Received: from localhost ([127.0.0.1]:56008 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdPJY-0005gz-Eh
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:04:24 -0400
Received: from mout01.posteo.de ([185.67.36.65]:52003)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mdPJW-0005gZ-Fi
 for 51314 <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:04:24 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id E51C2240026
 for <51314 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 06:04:16 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1634789056; bh=B/PKV1ftNZFMDkjDNnCayyZanXw6j6K0aAIf0Jua6VI=;
 h=From:To:Cc:Subject:Date:From;
 b=FM8Hi3UKAsAsx4SV0S3OqDWOBG1qzPp3yFhEx8pJ96M1UtG4gWjv3OtET3KhZ2AqI
 4gqb6q81oBLDTREWBVAEdTNv77Vw9+UcBxNYcpV2PBZpQ1cwQnH0xd1xfMKyBBuJB+
 8NZYQ9PXEouKUjkeRzOnYj9iiyi8jBH+8mfTsIBOiAy2HahST3kBnfUb9jr8xsPmom
 HAnj/TE8TaGIlPRNaEz3KpbOBDupGPj3GLz1TJgXkQIgwy/ScHQ/e6v6VpMhxVQK6v
 E6ILX0qmpiykP8Kgw2feG8Seu+DI2N8J/eCQNzNbdYr0APA78pUJuTi60c9Smns7wd
 OY9SPVNg9FZrA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HZYl40XcBz9rxM;
 Thu, 21 Oct 2021 06:04:15 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH 26/29] gnu: Add octoprint-pisupport.
Date: Thu, 21 Oct 2021 04:01:57 +0000
Message-Id: <20211021040200.241873-22-monego@HIDDEN>
In-Reply-To: <20211021040200.241873-1-monego@HIDDEN>
References: <20211021040200.241873-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/printers.scm (octoprint-pisupport): New variable.
---
 gnu/packages/printers.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/printers.scm b/gnu/packages/printers.scm
index f78923966c..ac79d57aba 100644
--- a/gnu/packages/printers.scm
+++ b/gnu/packages/printers.scm
@@ -1,6 +1,7 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright © 2018 Ludovic Courtès <ludo@HIDDEN>
 ;;; Copyright © 2018 Tobias Geerinckx-Rice <me@HIDDEN>
+;;; Copyright © 2021 Vinicius Monego <monego@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -19,8 +20,10 @@
 
 (define-module (gnu packages printers)
   #:use-module (guix packages)
+  #:use-module (guix download)
   #:use-module (guix git-download)
   #:use-module (guix build-system gnu)
+  #:use-module (guix build-system python)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (gnu packages libusb)
   #:use-module (gnu packages pkg-config)
@@ -29,6 +32,27 @@
 ;; This is a module for packages related to printer-like devices, but not
 ;; related to CUPS.
 
+(define-public octoprint-pisupport
+  (package
+    (name "octoprint-pisupport")
+    (version "2021.8.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "OctoPrint-PiSupport" version))
+       (sha256
+        (base32 "0y4adzqy6bqp6r88gvpkvmhwgqv09zs2ngckp98ipa1yfljx0shv"))))
+    (build-system python-build-system)
+    (arguments
+     ;; No tests in PyPI release, and circular dependency on Octoprint.
+     `(#:tests? #f))
+    (home-page "https://github.com/OctoPrint/OctoPrint-PiSupport")
+    (synopsis "Plugin to provide additional information about your Pi")
+    (description "The Pi Support plugin provides additional information about
+your Pi in the UI and also alerts you about undervoltage or overheating issues
+observed on your Pi or if your Pi is unsupported.")
+    (license license:agpl3)))
+
 (define-public robocut
   (package
     (name "robocut")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 21 Oct 2021 04:04:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 00:04:20 2021
Received: from localhost ([127.0.0.1]:56005 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdPJU-0005gi-2J
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:04:20 -0400
Received: from mout01.posteo.de ([185.67.36.65]:56523)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mdPJS-0005gF-EO
 for 51314 <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:04:18 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id D8E3D240026
 for <51314 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 06:04:12 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1634789052; bh=qY2iLO8bFf+ArwiKFzeBnuEgkLHxwKCQVWeLk/elYmc=;
 h=From:To:Cc:Subject:Date:From;
 b=IcNXAPTbdcJc4yFk27ELiYvXm6Xf3hrTNDAWoeiw/VidI7u6x3fKQVxFESyOAsU6b
 afVlRA/YvrXx5K1a1zAv8LUw0LVJ4CZhWZNC9X6/m738im5IVdQHuy1vyK4upqze4R
 CybA4etD6QLF2Zr3SzPE29w+P1nTkr7yIcqZYIAGcq5CbwvGM7u5Qqi+00KgnrH4qu
 Z8NEXgXTYiFMXDtMlB9tdizA47Rl9p7+I88pdCdeGN1WH6zddM+ojaVQYvj5lD2ayh
 YGTnL0Yrk/zDtWp8CZNfWFHWNI8CmZdVW9jZXnMgB6GyiauNBZ0uyEDFrx0tOsAoKL
 xpZjSVONqe9Hw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HZYkz73v8z6tm9;
 Thu, 21 Oct 2021 06:04:11 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH 25/29] gnu: python-wrapt: Enable tests.
Date: Thu, 21 Oct 2021 04:01:56 +0000
Message-Id: <20211021040200.241873-21-monego@HIDDEN>
In-Reply-To: <20211021040200.241873-1-monego@HIDDEN>
References: <20211021040200.241873-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-xyz.scm (python-wrapt)[source]: Fetch from GitHub.
[arguments]: Remove #:tests?. Override 'check phase.
---
 gnu/packages/python-xyz.scm | 21 ++++++++++++++-------
 1 file changed, 14 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 5476e3913a..eef7ef5add 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -10812,16 +10812,23 @@ Supported netlink families and protocols include:
     (version "1.12.1")
     (source
      (origin
-       (method url-fetch)
-       (uri (pypi-uri "wrapt" version))
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/GrahamDumpleton/wrapt")
+             (commit version)))
+       (file-name (git-file-name name version))
        (sha256
-        (base32
-         "1mwpkdnqxf0yxj1a0hsnl06lf287qi5ap7309wm37x45zf0zlbxn"))))
+        (base32 "0943ixbiwixl5ch60vx7i2nia16534zgq2571ldzq1iimq3cz5vj"))))
     (build-system python-build-system)
     (arguments
-     ;; Tests are not included in the tarball, they are only available in the
-     ;; git repository.
-     `(#:tests? #f))
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "-m" "unittest" "discover"
+                       "-s" "tests")))))))
     (home-page "https://github.com/GrahamDumpleton/wrapt")
     (synopsis "Module for decorators, wrappers and monkey patching")
     (description
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 21 Oct 2021 04:04:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 00:04:16 2021
Received: from localhost ([127.0.0.1]:56002 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdPJP-0005gP-SL
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:04:16 -0400
Received: from mout02.posteo.de ([185.67.36.66]:52619)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mdPJO-0005fv-Fe
 for 51314 <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:04:14 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id C0E92240101
 for <51314 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 06:04:08 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1634789048; bh=mSh3+3tdTapMlUHkBozlBx24u4CF4BC5gKYMaOk1VAE=;
 h=From:To:Cc:Subject:Date:From;
 b=KUDVV3KtktOuksBz/W4YBX4F3GM9hGAUgqP8cfZsLLLtQttMbaPq2K7QH1GYn+w7G
 qQ0ks3CcrmqEgtuvvZEvBC7PDuT9s5ppoyi6A73bOYksTLIWDSHWjIDsW5tgY4IL5q
 7xA3+Kerd10Cpj0eAmYPZdZseD2kUnAZqe9fErK9xNKYbfNQ+pwmhwhWYovyfTOZM5
 ihUnhsQ4VHPvJhoABA6EuMcFy2w/UrjGfNXalIdYkxx6d4dYpGKFs2uA3FeNMC06NC
 dNO0aBeq8mKo2BXNi76YIrctYPBgceyVgDZU9tntIkNKQ1rGbdEMw6E2CeYXQGr0Ph
 RS+zsnljMcVaw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HZYkv6GXdz9rxM;
 Thu, 21 Oct 2021 06:04:07 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH 24/29] gnu: python-wrapt: Update to 1.12.1.
Date: Thu, 21 Oct 2021 04:01:55 +0000
Message-Id: <20211021040200.241873-20-monego@HIDDEN>
In-Reply-To: <20211021040200.241873-1-monego@HIDDEN>
References: <20211021040200.241873-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-xyz.scm (python-wrapt): Update to 1.12.1.
---
 gnu/packages/python-xyz.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index c81d8b306f..5476e3913a 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -10809,14 +10809,14 @@ Supported netlink families and protocols include:
 (define-public python-wrapt
   (package
     (name "python-wrapt")
-    (version "1.11.2")
+    (version "1.12.1")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "wrapt" version))
        (sha256
         (base32
-         "1q81762dgsgrd12f8qc39zk8s5wll3m5xc32jdmlf6cls4gh4njn"))))
+         "1mwpkdnqxf0yxj1a0hsnl06lf287qi5ap7309wm37x45zf0zlbxn"))))
     (build-system python-build-system)
     (arguments
      ;; Tests are not included in the tarball, they are only available in the
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 21 Oct 2021 04:04:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 00:04:12 2021
Received: from localhost ([127.0.0.1]:55999 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdPJM-0005g8-Jc
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:04:12 -0400
Received: from mout01.posteo.de ([185.67.36.65]:36909)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mdPJK-0005eT-5j
 for 51314 <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:04:11 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 964D0240026
 for <51314 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 06:04:04 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1634789044; bh=hP6Pxz4qUNVyHvYRE/EJJksZVbzXma7chxsFdo7ibBE=;
 h=From:To:Cc:Subject:Date:From;
 b=MZyibFX7/Sbpb1vqGg4xowg1bR7WQtIIaZaJ/AHT8BbcPMBoQgWxN9U5Rim+kdeeP
 szxgV3IKHx22YXzbodm9TIK2czez+Kg5Px2bp7Hgd1aebwNEXmbQoCPDURmXfApBAC
 E2T42Sht1DZT3lRdnEYg0f1jhS1/i6lYioMWfrnTCv/cXisnmT0f000lsARB4csVNS
 usGCVw51TKS8YU5HMpDa7dv8t3XQZcrs+sJsuLxD8nvJXPYi8PLns/2x1BdHeLi8s+
 LuVjVe+aoEJUBe+Au7v0cV1Fj2fu2UBYqJwMeqHoRCXZzd9VG/xJVJRvsUklM4dDHv
 CVV1p6AWwhyTg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HZYkq55jhz6tm6;
 Thu, 21 Oct 2021 06:04:03 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH 23/29] gnu: python-zeroconf: Update to 0.33.4.
Date: Thu, 21 Oct 2021 04:01:54 +0000
Message-Id: <20211021040200.241873-19-monego@HIDDEN>
In-Reply-To: <20211021040200.241873-1-monego@HIDDEN>
References: <20211021040200.241873-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-xyz.scm (python-zeroconf): Update to 0.33.4.
[source]: Fetch from GitHub.
[native-inputs]: Remove python-nose. Add python-pytest.
[arguments]<#:phases>: Adjust custom 'check phase to use Pytest.
---
 gnu/packages/python-xyz.scm | 31 +++++++++++++++++++------------
 1 file changed, 19 insertions(+), 12 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 115e013490..c81d8b306f 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -23399,29 +23399,36 @@ enumeration library in Python.")
 (define-public python-zeroconf
   (package
     (name "python-zeroconf")
-    (version "0.28.8")
+    (version "0.33.4")
     (source
      (origin
-       (method url-fetch)
-       (uri (pypi-uri "zeroconf" version))
+       (method git-fetch) ; no tests in PyPI release
+       (uri (git-reference
+             (url "https://github.com/jstasiak/python-zeroconf")
+             (commit version)))
+       (file-name (git-file-name name version))
        (sha256
-        (base32
-         "0narq8haa3b375vfblbyil77n8bw0wxqnanl91pl0wwwm884mqjb"))))
+        (base32 "01bv6xrhf5i7gckg3q53i249zxmhkkr65yib6par8z5risihrpwm"))))
     (build-system python-build-system)
     (native-inputs
-     `(("python-nose" ,python-nose)))
+     `(("python-pytest" ,python-pytest)))
     (propagated-inputs
      `(("python-ifaddr" ,python-ifaddr)))
     (arguments
      `(#:phases
        (modify-phases %standard-phases
          (replace 'check
-           (lambda _ ;; Networking isn't available for these tests.
-             (invoke "nosetests" "-v"
-                     "--exclude" "test_integration_with_listener_ipv6"
-                     "--exclude" "test_launch_and_close_v6_only"
-                     "--exclude" "test_launch_and_close_v4_v6"
-                     "--exclude" "test_launch_and_close"))))))
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "-m" "pytest" "-k"
+                       (string-append
+                        ;; Networking isn't available for these tests.
+                        "not test_integration_with_listener_ipv6"
+                        " and not test_launch_and_close_v4_v6"
+                        " and not test_launch_and_close_context_manager"
+                        " and not test_launch_and_close"
+                        " and not test_close_multiple_times"))))))))
     (home-page "https://github.com/jstasiak/python-zeroconf")
     (synopsis "Pure Python mDNS service discovery")
     (description
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 21 Oct 2021 04:04:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 00:04:07 2021
Received: from localhost ([127.0.0.1]:55993 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdPJH-0005fH-Bo
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:04:07 -0400
Received: from mout02.posteo.de ([185.67.36.66]:57857)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mdPJG-0005dB-16
 for 51314 <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:04:06 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 496AE240101
 for <51314 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 06:04:00 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1634789040; bh=+1a37goJhA0TdIkp2qsoFh8RdEecH2m7CRsZz5tPvsw=;
 h=From:To:Cc:Subject:Date:From;
 b=e8mguQHAQRmacCcVR0L/DvzwFNVkQYG2xqZGqKm/JXTd0iVZrqmKto5MAuDzQb83U
 +yuaEVbjHlpvkKJU99VA/Lm2OleyQcYnUphqEFDwCKdWJFpuNH+v4CVLP0YoXIAAbN
 mGk8AShtwJBz+inkdo1dvyTJVrGZdXZJ8etJz037Uw0ZuspOaPiEyX02uCDKK8KTMr
 0JGIeovaehdmKwKnRP6+OhZ8r6nkeo2uAzaCnsVTCU+RDVqpcIPsz7bq+YSrvLzk2E
 hfWaPh11H3epbn/QYn0fwzPfdgSEa8LuuBOm3876rXhDps35PtxVVaxA3bQ5nu/Fer
 X3dNYt1CNtlAQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HZYkl2ZGJz6tm9;
 Thu, 21 Oct 2021 06:03:59 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH 22/29] gnu: python-colorlog: Update to 5.0.1.
Date: Thu, 21 Oct 2021 04:01:53 +0000
Message-Id: <20211021040200.241873-18-monego@HIDDEN>
In-Reply-To: <20211021040200.241873-1-monego@HIDDEN>
References: <20211021040200.241873-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-xyz.scm (python-colorlog): Update to 5.0.1.
[arguments]<#:phases>: Simplify custom 'check phase.
---
 gnu/packages/python-xyz.scm | 20 +++++++++-----------
 1 file changed, 9 insertions(+), 11 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index c5d281e033..115e013490 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -739,26 +739,24 @@ implementation for the Telegram Bot API.")
 (define-public python-colorlog
   (package
     (name "python-colorlog")
-    (version "4.1.0")
+    (version "5.0.1")
     (source (origin
               (method url-fetch)
               (uri (pypi-uri "colorlog" version))
               (sha256
                (base32
-                "1lpk8zmfv8vz090h5d0hzb4n39wgasxdd3x3bpn3v1x1n9dfzaih"))))
+                "1sl8wps7d8xl2larlb7wkvr7sa3bpvyprq4y8ks04awn0qx02z7i"))))
     (build-system python-build-system)
     (native-inputs
      `(("python-pytest" ,python-pytest)))
     (arguments
-     `(#:phases (modify-phases %standard-phases
-                  (replace 'check
-                    (lambda _
-                      ;; Extend PYTHONPATH so the built package will be found.
-                      (setenv "PYTHONPATH"
-                              (string-append (getcwd) "/build/lib:"
-                                             (getenv "PYTHONPATH")))
-                      (invoke "pytest" "-p" "no:logging")
-                      #t)))))
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "-m" "pytest")))))))
     (home-page "https://github.com/borntyping/python-colorlog")
     (synopsis "Log formatting with colors for python")
     (description "The @code{colorlog.ColoredFormatter} is a formatter for use
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 21 Oct 2021 04:04:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 00:04:03 2021
Received: from localhost ([127.0.0.1]:55980 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdPJD-0005ds-3u
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:04:03 -0400
Received: from mout01.posteo.de ([185.67.36.65]:54891)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mdPJB-0005ct-M2
 for 51314 <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:04:02 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 1F420240029
 for <51314 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 06:03:56 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1634789036; bh=CSCLcsgfeix6f7vtzcSxzFiCtPfPBG3oNiW72SLKVRc=;
 h=From:To:Cc:Subject:Date:From;
 b=T2H1bB/7tf0VsPcye9+yDSKLvntcFn/ldvN+hzITNzy1DafTduW6MjacoXLSii4ip
 EYQe054UbOoAce3sPXRIWgLgpteLZvYctrYU3GMQSJhC4lLJDTUJpYRlRB/JK6BQ55
 ChKCkPapHoc7VQRl5GrsdwP/xV+LRG4cxbYgMiW1F0mQmeT7TUzPYB7xs31EJ8vCZH
 jKkeR/U5z/+LjpVIad1G3tbkvfJ5qCRm/PNOH/11ELOnxTe+cqLRi0mJ97fD8hg/sD
 r8BDFnRiaQb66JLysQMQrAriOAudF032A21Qbu4K/z0iMC53Vi7uGrhzc0+pt2hqC8
 VbDmoOOKPettA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HZYkg1pJnz6tm6;
 Thu, 21 Oct 2021 06:03:55 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH 21/29] gnu: python-watchdog: Update to 0.10.7.
Date: Thu, 21 Oct 2021 04:01:52 +0000
Message-Id: <20211021040200.241873-17-monego@HIDDEN>
In-Reply-To: <20211021040200.241873-1-monego@HIDDEN>
References: <20211021040200.241873-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-xyz.scm (python-watchdog): Update to 0.10.7.
[arguments]<#:phases>: Remove 'remove-failing phase. Override 'check phase.
---
 gnu/packages/python-xyz.scm | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 318db4d92b..c5d281e033 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -24568,23 +24568,23 @@ files.  These files are used to translate strings in android apps.")
 (define-public python-watchdog
   (package
     (name "python-watchdog")
-    (version "0.9.0")
+    (version "0.10.7")
     (source
       (origin
         (method url-fetch)
         (uri (pypi-uri "watchdog" version))
         (sha256
          (base32
-          "07cnvvlpif7a6cg4rav39zq8fxa5pfqawchr46433pij0y6napwn"))))
+          "1x1mcj9iw8pdhfic0lablx8mbfilrql0scxgnysdr7mr00bqdjsh"))))
     (build-system python-build-system)
     (arguments
      `(#:phases
        (modify-phases %standard-phases
-         (add-before 'check 'remove-failing
-           (lambda _
-             (delete-file "tests/test_inotify_buffer.py")
-             (delete-file "tests/test_snapshot_diff.py")
-             #t)))))
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "-m" "pytest")))))))
     (propagated-inputs
      `(("python-argh" ,python-argh)
        ("python-pathtools" ,python-pathtools)
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 21 Oct 2021 04:04:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 00:04:00 2021
Received: from localhost ([127.0.0.1]:55973 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdPJ9-0005d3-U8
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:04:00 -0400
Received: from mout02.posteo.de ([185.67.36.66]:47913)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mdPJ7-0005cW-Uz
 for 51314 <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:03:58 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 21AF824010A
 for <51314 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 06:03:52 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1634789032; bh=PpX+EKJ9Nvq3BVmHpGWuga+sW2GK3xKNxxg2LJnVEEU=;
 h=From:To:Cc:Subject:Date:From;
 b=MX1AEBxpphyz6mUTEl86nxXUtXJ8eEckLMLzn1ue10vaIwSzi+xVBOx4uvJMhq7iS
 4d746vxhg0P2qY7I5wysLYLTvJOzqf2izcB/IWHI7wTHcnQBIZdiFM4F6XRDXqYe7l
 4OA3MAYJVm6WzdB0MnRIQGYHRPrw8mdlTSgB6SdOX4UZ06iUWQA2fc2f2QHsfmdDUD
 cYG8ZGngkfU+p/TYmU8DWSAsBFFjyFL4+eh4ipcj1EQ2jDXp66rrTXm3VmRzRefgyq
 /n099wYmMu670sbydGRgx22HdG6ASBsftORqg2kPH8dj5zaoRTYsiCVmBRooZwyJlG
 nrrNFO71yKXIA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HZYkb1ljdz9rxM;
 Thu, 21 Oct 2021 06:03:50 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH 20/29] gnu: python-pkginfo: Update to 1.7.1.
Date: Thu, 21 Oct 2021 04:01:51 +0000
Message-Id: <20211021040200.241873-16-monego@HIDDEN>
In-Reply-To: <20211021040200.241873-1-monego@HIDDEN>
References: <20211021040200.241873-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-xyz.scm (python-pkginfo): Update to 1.7.1.
---
 gnu/packages/python-xyz.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index b12e1c3d52..318db4d92b 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -19930,14 +19930,14 @@ design and layout.")
 (define-public python-pkginfo
   (package
     (name "python-pkginfo")
-    (version "1.7.0")
+    (version "1.7.1")
     (source
       (origin
         (method url-fetch)
         (uri (pypi-uri "pkginfo" version))
         (sha256
           (base32
-            "1d1xn1xmfvz0jr3pj8irdwnwby3r13g0r2gwklr1q5y68p5p16h2"))))
+            "1g9m4ra1vrah6ahw6947rl9syzyl1fzin69kfqlwgplas20jyhz7"))))
     (build-system python-build-system)
     (arguments
      `(#:phases
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 21 Oct 2021 04:03:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 00:03:55 2021
Received: from localhost ([127.0.0.1]:55970 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdPJ5-0005ch-Hi
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:03:55 -0400
Received: from mout01.posteo.de ([185.67.36.65]:46377)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mdPJ3-0005cL-JJ
 for 51314 <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:03:54 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 084E024002B
 for <51314 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 06:03:48 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1634789028; bh=xpB8pI7xwuzDPKSUVzHIiI2BOkbZPJt4+b9gw/RkIdo=;
 h=From:To:Cc:Subject:Date:From;
 b=jZCa7kTgi3edhb317KS4uXYdJJmkpJ7IbPP8ekSpToo/w1xjXKI+OmsoRJ+sTAwM2
 prCn+/gDnO4lYLlfS4DhZ/yC3rcpOAUBbl3TuTb6Yo1yXVcsDSkODOnBeCffkpwYya
 WouEIv+PFmc8Usz3V72V/xEBUnZmg9fPrOj2yDR1pFaiY4/aJTHxGUyDftNjTA7hE/
 /VCsqNIu/cebvA67tM2H38Ddc9bBS/eCp+J4DNM0Fi88YSnigH66X45/hyKW7MBNby
 CdxK/C3q5vSgguzOwK6tjAlevdjb2hgkNokZab1cGyMGeIYWBDOGoJgxeMkojHD7/y
 2PzmRVTFvMkOQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HZYkW16CFz9rxM;
 Thu, 21 Oct 2021 06:03:46 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH 19/29] gnu: python-websocket-client: Update to 0.59.0.
Date: Thu, 21 Oct 2021 04:01:50 +0000
Message-Id: <20211021040200.241873-15-monego@HIDDEN>
In-Reply-To: <20211021040200.241873-1-monego@HIDDEN>
References: <20211021040200.241873-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-web.scm (python-websocket-client): Update to 0.59.0.
[source]: Update PyPI URI.
[arguments]<#:phases>: Add new phase after 'unpack to skip a network test.
[native-inputs]: Add python-pysocks.
[home-page]: Follow redirect.
---
 gnu/packages/python-web.scm | 18 ++++++++++++++----
 1 file changed, 14 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index 24e6bc063e..5d2464bbef 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -2469,18 +2469,28 @@ verification of the SSL peer.")
 (define-public python-websocket-client
   (package
     (name "python-websocket-client")
-    (version "0.54.0")
+    (version "0.59.0")
     (source
      (origin
        (method url-fetch)
-       (uri (pypi-uri "websocket_client" version))
+       (uri (pypi-uri "websocket-client" version))
        (sha256
         (base32
-         "0j88zmikaypf38lvpkf4aaxrjp9j07dmy5ghj7kli0fv3p4n45g5"))))
+         "0p0cz2mdissq7iw1n7jrmsfir0jfmgs1dvnpnrx477ffx9hbsxnk"))))
     (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'skip-network-test
+           (lambda _
+             ;; This test requires networking.
+             (substitute* "websocket/tests/test_http.py"
+               (("def testConnect") "def _testConnect")))))))
+    (native-inputs
+     `(("python-pysocks" ,python-pysocks)))
     (propagated-inputs
      `(("python-six" ,python-six)))
-    (home-page "https://github.com/liris/websocket-client")
+    (home-page "https://github.com/websocket-client/websocket-client")
     (synopsis "WebSocket client for Python")
     (description "The Websocket-client module provides the low level APIs for
 WebSocket usage in Python programs.")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 21 Oct 2021 04:03:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 00:03:55 2021
Received: from localhost ([127.0.0.1]:55967 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdPJ0-0005cT-59
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:03:55 -0400
Received: from mout01.posteo.de ([185.67.36.65]:42537)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mdPIz-0005bw-8z
 for 51314 <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:03:49 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id ACFE2240029
 for <51314 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 06:03:43 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1634789023; bh=8+UHqbnJBylGgbJzxOCvyAr+NtVio45xux2RM6XL7b8=;
 h=From:To:Cc:Subject:Date:From;
 b=U+8gzSLtt2uEC3zVLIgiigQ2VsAzGdtk8FzIIBSnC2ZvmRQgv+PllvBgP9j+zD7wz
 zLYbD+G87dZSrlBAeRPpisIw9GlVGfflP3P25y7/W2+UIX/Xu/LrHLuH2e/idjt6P4
 TrnD0+krYAUFfRyNjtKBkc5BEUWG3K1mTI/EpFg7bC6fWKljkEIyYxJGgPz+fuAbVl
 GU4DizTmhdroHusKiH9gPK5GjuRPIh0PSHhMyENCNnLMIi04uQfj6csfdZxSzYQDGP
 O3RqR/Jj3KI5joyLO9bR230vAmExTHtdyOO9i2gHDCDtS5Kojn/uwZAbVJXuoa28Kz
 TwGNOjNQh6ONw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HZYkQ5kxyz6tm9;
 Thu, 21 Oct 2021 06:03:42 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH 18/29] gnu: python-netifaces: Update to 0.11.0.
Date: Thu, 21 Oct 2021 04:01:49 +0000
Message-Id: <20211021040200.241873-14-monego@HIDDEN>
In-Reply-To: <20211021040200.241873-1-monego@HIDDEN>
References: <20211021040200.241873-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/python-xyz.scm (python-netifaces): Update to 0.11.0.
---
 gnu/packages/python-xyz.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index cb524ed47c..b12e1c3d52 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -9059,14 +9059,14 @@ some are not yet implemented).")
 (define-public python-netifaces
   (package
     (name "python-netifaces")
-    (version "0.10.9")
+    (version "0.11.0")
     (source
       (origin
         (method url-fetch)
         (uri (pypi-uri "netifaces" version))
         (sha256
           (base32
-            "1wxby874kcr3pp4ygzk5aiarbzhg1yi093d56s1qg4k2s7yrzvid"))))
+            "0cnajf5rl4w1sa72j921scbigr6zndig56cq8ggpx45jdqa7jfh4"))))
     (build-system python-build-system)
     (home-page "https://github.com/al45tair/netifaces")
     (synopsis
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 21 Oct 2021 04:03:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 00:03:47 2021
Received: from localhost ([127.0.0.1]:55964 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdPIw-0005cC-VP
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:03:47 -0400
Received: from mout01.posteo.de ([185.67.36.65]:35785)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mdPIv-0005bm-3W
 for 51314 <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:03:45 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 84C9824002B
 for <51314 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 06:03:39 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1634789019; bh=btnOQxyPoylXfBvmnMQMY3thw9jQingS8ClgdYRkLTE=;
 h=From:To:Cc:Subject:Date:From;
 b=fa3+lmF5L0tCaLAFlPQWRjIWCG0AErLLFZAOcf9vxvA5qo3d1gcwCeFNKg1/nNDLC
 Qgf8bhKXACMmoERhRJknLgFY23YlMnrvrGm+U/v3QCm3uKiqVNbK00BjL/8IHrMzRJ
 qZErg0AbzD/t+oQxTfHYXRoLp21951RPIf8ycCylroEkkDkt2pa1XPlz7Reh9SXz8V
 tMQVveT1aPOdSjhfaU8KhkjR27ubq2uImUMt+KcJue657aU6yQvktYPI+YUgG6AZ9P
 CrzhX9OW2fIMTTWyTh1y3BG+0fZ5I5m0y9G0ZjgO8YFQWM4dSOuaZZikT964Z19RmX
 jGvTwbc4pQ/xw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HZYkL4tWyz9rxM;
 Thu, 21 Oct 2021 06:03:38 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH 17/29] gnu: python-feedparser: Enable tests.
Date: Thu, 21 Oct 2021 04:01:48 +0000
Message-Id: <20211021040200.241873-13-monego@HIDDEN>
In-Reply-To: <20211021040200.241873-1-monego@HIDDEN>
References: <20211021040200.241873-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/web.scm (python-feedparser)[arguments]: Remove
#:tests?. Override 'check phase.
---
 gnu/packages/web.scm | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/web.scm b/gnu/packages/web.scm
index 6a24cc8212..5afc6e8cec 100644
--- a/gnu/packages/web.scm
+++ b/gnu/packages/web.scm
@@ -4775,7 +4775,13 @@ their web site.")
          "0qcnkyjjfj5gg5rhd1j4zzlqx5h34bma18zwgj68q95b0l543q2w"))))
     (build-system python-build-system)
     (arguments
-     '(#:tests? #f))
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "tests/runtests.py")))))))
     (propagated-inputs
      `(("python-sgmllib3k" ,python-sgmllib3k)))
     (home-page
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 21 Oct 2021 04:03:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 00:03:44 2021
Received: from localhost ([127.0.0.1]:55961 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdPIu-0005by-M3
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:03:44 -0400
Received: from mout02.posteo.de ([185.67.36.66]:37583)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mdPIs-0005bX-Nb
 for 51314 <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:03:43 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 81724240104
 for <51314 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 06:03:36 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1634789016; bh=si62/lvCe+Imioi6bNcmS0a9paKZw0w0spSBXfIu1TA=;
 h=From:To:Cc:Subject:Date:From;
 b=QMfpQLHSOQ5fOLEhVsJOmtW4RUyHkPY3PanSxTHipTYVbbdGgVpjKAXlYMvK+Q2vX
 5uulKWuWkQKOwJIMJ0ei38mqqn65WzV+EJShB/XIzsGg96buXyhgLYPPZCMlgmnzYR
 ZHexERQ8nYvfs83rjqnEIDsEdewvwThUn+Ts4DD/SUq0Ycc/RV2gSkSRrFZrBqKcXZ
 SEGDZSFhTsru1XKJuEFS5LB6Dqghk+Yjcx1LjmlAf3LHisBJK8/313mzmxbJi0IpEj
 Iknpu0Vn9cLWyDds6DpGEnqGFZZZ7HuBkUIz343xk0z46W9MCFqNeU22fQh4zQZmAc
 72MXLjm1FvT+A==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HZYkG4yCZz6tm6;
 Thu, 21 Oct 2021 06:03:34 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH 16/29] gnu: python-feedparser: Update to 6.0.8.
Date: Thu, 21 Oct 2021 04:01:47 +0000
Message-Id: <20211021040200.241873-12-monego@HIDDEN>
In-Reply-To: <20211021040200.241873-1-monego@HIDDEN>
References: <20211021040200.241873-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/web.scm (python-feedparser): Update to 6.0.8.
[propagated-inputs]: Add python-sgmllib3k.
---
 gnu/packages/web.scm | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/web.scm b/gnu/packages/web.scm
index 0fd9e865cb..6a24cc8212 100644
--- a/gnu/packages/web.scm
+++ b/gnu/packages/web.scm
@@ -51,6 +51,7 @@
 ;;; Copyright © 2021 Matthew James Kraai <kraai@HIDDEN>
 ;;; Copyright © 2021 Sarah Morgensen <iskarian@HIDDEN>
 ;;; Copyright © 2021 Jack Hill <jackhill@HIDDEN>
+;;; Copyright © 2021 Vinicius Monego <monego@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -4764,17 +4765,19 @@ their web site.")
 (define-public python-feedparser
   (package
     (name "python-feedparser")
-    (version "6.0.2")
+    (version "6.0.8")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "feedparser" version ".tar.gz"))
        (sha256
         (base32
-         "0x0hm9brh3j71645pydvlkrwxaaca9dnwd7xahwjyjaz882s200v"))))
+         "0qcnkyjjfj5gg5rhd1j4zzlqx5h34bma18zwgj68q95b0l543q2w"))))
     (build-system python-build-system)
     (arguments
      '(#:tests? #f))
+    (propagated-inputs
+     `(("python-sgmllib3k" ,python-sgmllib3k)))
     (home-page
      "https://github.com/kurtmckee/feedparser")
     (synopsis "Parse feeds in Python")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 21 Oct 2021 04:03:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 00:03:39 2021
Received: from localhost ([127.0.0.1]:55958 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdPIp-0005bf-EV
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:03:39 -0400
Received: from mout02.posteo.de ([185.67.36.66]:37211)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mdPIn-0005bF-DZ
 for 51314 <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:03:37 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 8BFF324010A
 for <51314 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 06:03:31 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1634789011; bh=Ht2f80sAdLKQHi0FeV5kWRREAv6LfCY0dY2LUaDVRiA=;
 h=From:To:Cc:Subject:Date:From;
 b=cXLwZDSdiDa4jClLj6wx+GSx62WhM9DABBVi9mIORuJNsdFEvS2R7pEk2thwMhMDy
 QzN5wYuM7tix42oUwaM/PwdLxPvr9p84B9JJtG7zLVzgw8TTFBTbk9Yft+Ur09ll6J
 C1FKWCA+cfdr5He91eTlGBVUZPtJuxrmmIf1gKOGHaf/DDGBsG4KUIKF6tz5/QyiCF
 4PrO69Bfcz8GUU5tnTTEM3NtOxsa0UcNu2kaAHdx2gNj6EG8o2RjmXUYklTAFJL6ij
 mgusADNKQEYYRhcbWIYFQVEfOw/nTFNxv+OCnKf/WHvdu/rfTibB4k48VnZvfxqQha
 UhgeP1Z+egMVQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HZYkB4Z0Bz9rxN;
 Thu, 21 Oct 2021 06:03:30 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH 15/29] gnu: Add python-sgmllib3k.
Date: Thu, 21 Oct 2021 04:01:46 +0000
Message-Id: <20211021040200.241873-11-monego@HIDDEN>
In-Reply-To: <20211021040200.241873-1-monego@HIDDEN>
References: <20211021040200.241873-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-xyz.scm (python-sgmllib3k): New variable.
---
 gnu/packages/python-xyz.scm | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 6252dddeec..cb524ed47c 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -11447,6 +11447,25 @@ implementations of ASN.1-based codecs and protocols.")
  module to older versions of Python.")
     (license license:psfl)))
 
+(define-public python-sgmllib3k
+  (package
+    (name "python-sgmllib3k")
+    (version "1.0.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "sgmllib3k" version))
+       (sha256
+        (base32 "1s8jm3dgqabgf8x96931scji679qkhvczlv3qld4qxpsicfgns3q"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:tests? #f)) ;no tests
+    ;; The homepage link in PyPI seems to be dead.
+    (home-page "https://pypi.org/project/sgmllib3k/")
+    (synopsis "Python 3 port of @code{sgmllib}")
+    (description "This package provides a Python 3 port of @code{sgmllib}.")
+    (license license:bsd-3)))
+
 (define-public python-asn1tools
   (package
     (name "python-asn1tools")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 21 Oct 2021 04:03:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 00:03:36 2021
Received: from localhost ([127.0.0.1]:55955 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdPIm-0005bP-6n
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:03:36 -0400
Received: from mout02.posteo.de ([185.67.36.66]:48581)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mdPIk-0005b4-QO
 for 51314 <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:03:35 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 621E124010A
 for <51314 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 06:03:27 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1634789007; bh=UTrkDq0SVnc8i8y0uRD+AAnPmJh+WtOd39ZgzsdEopo=;
 h=From:To:Cc:Subject:Date:From;
 b=ertHHz4AL1Ijy6Nx+Q6mO4WDREAhLDxRD2LYwks8rKTyisRwa1bfDysD6F9EvTRtw
 vFUku0R/t6+yy3ro2QxShE39dj/6nardVTgQl/3KPTWzNCO7fXnD6i+Kxx/AS3GgKd
 9FSOCHCg1smK7/a8RAJlUWB7PCFtDIcT7Z4ofu55cML2bvyh2I9Al14tAqugxeIteX
 1yK+OFG0LpQekwoEaD9ygZNrseO87aMzrtmM05BWk6MAhnY/Gh3akzLIWtdgpCuEAY
 zPm8IuNhYQgbYDG4L4ABkG4pYZ4yvGkWcRUQf16Qtg6LffNtKuTPFd3oI2x9PFiJ3k
 /BFkiXHgn6qXw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HZYk62xTqz6tm9;
 Thu, 21 Oct 2021 06:03:26 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH 14/29] gnu: Add python-pytest-doctest-custom.
Date: Thu, 21 Oct 2021 04:01:45 +0000
Message-Id: <20211021040200.241873-10-monego@HIDDEN>
In-Reply-To: <20211021040200.241873-1-monego@HIDDEN>
References: <20211021040200.241873-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-check.scm (python-pytest-doctest-custom): New variable.
---
 gnu/packages/python-check.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/python-check.scm b/gnu/packages/python-check.scm
index f321d0b0f6..3cc0f80828 100644
--- a/gnu/packages/python-check.scm
+++ b/gnu/packages/python-check.scm
@@ -745,6 +745,35 @@ in Pytest.")
        "Plugin for managing VCR.py cassettes.")
       (license license:expat))))
 
+(define-public python-pytest-doctest-custom
+  (package
+    (name "python-pytest-doctest-custom")
+    (version "1.0.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "pytest-doctest-custom" version))
+       (sha256
+        (base32 "0kxkdd6q9c3h31kc88lbyfll4c45b0zjd24cbr4c083fcvcy7lip"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "test_pytest_doctest_custom.py")))))))
+    (native-inputs
+     `(("python-pytest" ,python-pytest)))
+    (home-page "https://github.com/danilobellini/pytest-doctest-custom")
+    (synopsis
+     "Pytest plugin to customize string representations of doctest results")
+    (description "This package provides a Pytest plugin for customizing string
+representations of doctest results.  It can change the display hook used by
+doctest to render the object representations.")
+    (license license:expat)))
+
 (define-public python-pytest-checkdocs
   (package
     (name "python-pytest-checkdocs")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 21 Oct 2021 04:03:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 00:03:30 2021
Received: from localhost ([127.0.0.1]:55952 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdPIf-0005b6-T7
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:03:30 -0400
Received: from mout01.posteo.de ([185.67.36.65]:56609)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mdPIe-0005ah-Pj
 for 51314 <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:03:29 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 345DA24002D
 for <51314 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 06:03:23 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1634789003; bh=nEzmHa1R5QhVcyqqROPZPeKsv/new0bnEdF4HySUMDU=;
 h=From:To:Cc:Subject:Date:From;
 b=YbuDjiZauKWDLaigg0COrg3FbN1/WmFUbg94QL1Jdkn77NZWt6/t6amYK+zupnSB0
 hMFBdZQVeg+fluVwdJbURuL4Lp6nK0Dulz26aYiSfgF2zQxlxSgn8kDtuejteSfGN7
 hrEBBJATHJfwaG7pZ9SYxtaFiaFeYlnjzyLrFOsgxPjCDn1+GjpXglKDClDh6FVd4z
 izhQeRalR6IH504xXSepjR7si3UYFY1Vz3HhOtZNQk0GhyZNx9fE1vAk14Fok/92l0
 y0UPnfeBYQhgNsY6hdOW8mGOKXOpW+T61ouoZVkveRLz4Cdk0NssVhzq4KoKWAFWE0
 mu6jaxeiGD/FQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HZYk22Smnz9rxL;
 Thu, 21 Oct 2021 06:03:22 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH 13/29] gnu: Add python-sentry-sdk.
Date: Thu, 21 Oct 2021 04:01:44 +0000
Message-Id: <20211021040200.241873-9-monego@HIDDEN>
In-Reply-To: <20211021040200.241873-1-monego@HIDDEN>
References: <20211021040200.241873-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-xyz.scm (python-sentry-sdk): New variable.
---
 gnu/packages/python-xyz.scm | 65 +++++++++++++++++++++++++++++++++++++
 1 file changed, 65 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 9c1ad55fbd..6252dddeec 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -141,6 +141,7 @@
   #:use-module (gnu packages crypto)
   #:use-module (gnu packages databases)
   #:use-module (gnu packages dbm)
+  #:use-module (gnu packages django)
   #:use-module (gnu packages djvu)
   #:use-module (gnu packages docker)
   #:use-module (gnu packages enchant)
@@ -9809,6 +9810,70 @@ you do not want to store entirely on disk or on memory.")
     ;; No copyright headers in the source.  The LICENSE file indicates GPL3.
     (license license:gpl3)))
 
+(define-public python-sentry-sdk
+  (package
+    (name "python-sentry-sdk")
+    (version "1.4.3")
+    (source
+     (origin
+       (method git-fetch) ; no tests in PyPI release
+       (uri (git-reference
+             (url "https://github.com/getsentry/sentry-python")
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1iyb0amgf03h61jw4hpdbm6h4wyh8n43bnk116ywwc0bl5x3mldx"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "-m" "pytest" "-k"
+                       (string-append
+                        ;; This test requires extra dependencies.
+                        "not test_auto_enabling_integrations"
+                        "_catches_import_error"
+                        ;; Tests below run pip command.
+                        " and not test_unhandled_exception"
+                        " and not test_timeout_error"
+                        " and not test_performance_no_error"
+                        " and not test_performance_error"
+                        " and not test_traces_sampler_gets_correct"
+                        "_values_in_sampling_context"
+                        " and not test_handled_exception"
+                        ;; Tests below require network.
+                        " and not test_crumb_capture"
+                        " and not test_crumb_capture"
+                        " and not test_crumb_capture_hint"
+                        " and not test_httplib_misuse"
+                        ;; Fails with IndexError.
+                        " and not test_session_mode_defaults_to"
+                        "_request_mode_in_wsgi_handler"))))))))
+    (native-inputs
+     `(("python-django" ,python-django)
+       ("python-executing" ,python-executing)
+       ("python-gevent" ,python-gevent)
+       ("python-jsonschema" ,python-jsonschema)
+       ("python-mock" ,python-mock)
+       ("python-pyrsistent" ,python-pyrsistent)
+       ("python-pytest" ,python-pytest)
+       ("python-pytest-cov" ,python-pytest-cov)
+       ("python-pytest-django" ,python-pytest-django)
+       ("python-pytest-forked" ,python-pytest-forked)
+       ("python-pytest-localserver" ,python-pytest-localserver)
+       ("python-werkzeug" ,python-werkzeug)))
+    (propagated-inputs
+     `(("python-certifi" ,python-certifi)
+       ("python-urllib3" ,python-urllib3)))
+    (home-page "https://github.com/getsentry/sentry-python")
+    (synopsis "Python SDK for Sentry")
+    (description "This package provides a Python SDK for the Sentry
+application monitoring and error tracking software.")
+    (license license:bsd-2)))
+
 (define-public python-pep8
   ;; This package has been renamed to ‘pycodestyle’ and is no longer updated.
   ;; Its last release (1.7.1) adds only a scary warning to this effect, breaking
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 21 Oct 2021 04:03:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 00:03:26 2021
Received: from localhost ([127.0.0.1]:55949 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdPIc-0005aq-MP
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:03:26 -0400
Received: from mout02.posteo.de ([185.67.36.66]:57731)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mdPIb-0005aP-0F
 for 51314 <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:03:25 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 163E7240101
 for <51314 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 06:03:19 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1634788999; bh=CuSDAiORPlrbeXdN//snykKj+9PZO201IiUalpcS/zM=;
 h=From:To:Cc:Subject:Date:From;
 b=BjGgwR9Lp8E/6bFIhYzdYIN9N1iZP8p2bS/xVVRn45DIrdwSVN5tJI53lqHGomogS
 bxnL1AQOH7ujq3ZfJp0p96T47fcdJ8azw7+sv07iVXtWCj97p3bIZp1Xnd0iD4BRMZ
 0rM+mpwA3BZ9med+n+KgQcAuo+fvcH5RjzngtvdmP/6yhRkVuecsOC8qazfqKBx7gv
 kLn2C3GzIAwVCh/+FKtoKKTBqVqP6+yH+3sdUOZkKPuSXcsdS5u+DchD6DLfrNpSkF
 8F5Xzt/XvpyF5GiiHL1luS7vRsrt0J/p5ZLuOwfwVqlo/kowdrsJ55GJeGrU6DAGCJ
 RkB1LtpPklfdw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HZYjy25XVz9rxN;
 Thu, 21 Oct 2021 06:03:18 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH 12/29] gnu: Add python-executing.
Date: Thu, 21 Oct 2021 04:01:43 +0000
Message-Id: <20211021040200.241873-8-monego@HIDDEN>
In-Reply-To: <20211021040200.241873-1-monego@HIDDEN>
References: <20211021040200.241873-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-xyz.scm (python-executing): New variable.
---
 gnu/packages/python-xyz.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 20aa6d9970..9c1ad55fbd 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -7070,6 +7070,28 @@ buffer transformation, compression, and decompression functions for use in the
 tifffile, czifile, and other scientific image input/output modules.")
     (license license:bsd-3)))
 
+(define-public python-executing
+  (package
+    (name "python-executing")
+    (version "0.8.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "executing" version))
+       (sha256
+        (base32 "08q0xh9fd8k41sqpp23q6fb9bf7yj4y2q6sv30pj36vvk8pg8fy2"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:tests? #f)) ; TODO: tests require python-asttokens
+    (native-inputs
+     `(("python-setuptools-scm" ,python-setuptools-scm)
+       ("python-toml" ,python-toml)))
+    (home-page "https://github.com/alexmojaki/executing")
+    (synopsis "Get information about what a Python frame is currently doing")
+    (description "This package lets you get information about what a frame is
+currently doing, particularly the AST node being executed.")
+    (license license:expat)))
+
 (define-public python-roifile
   (package
     (name "python-roifile")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 21 Oct 2021 04:03:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 00:03:22 2021
Received: from localhost ([127.0.0.1]:55946 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdPIY-0005aY-Co
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:03:22 -0400
Received: from mout01.posteo.de ([185.67.36.65]:51435)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mdPIW-0005a9-KR
 for 51314 <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:03:21 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 0CB2F24002D
 for <51314 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 06:03:15 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1634788995; bh=z0FXCuQG01UJOlHpu7xFEGbn7YOc/1+a/9lz1qD2imw=;
 h=From:To:Cc:Subject:Date:From;
 b=pwsRhkv+eftR8BdMF95N9inNIF5T3p+eExA8PsbNkfx0rUSd4U4KMi3tBtgZ3rJOF
 WopdfamkQ7WU2NxqpPmSdzdmcNRCbHPc4OS7EuDvDIIy3PVj7gulz9m5ViNiaN4Ag+
 Y2cm47TJLAJCpDU8cmNCQhvoWVyj5/ndmIPtmwl7WZWgqCI5zlnr4NwTaMZ7fj0diV
 TwgUAYOXxnKzUy4iEH4vksQgsi1+mpq36D8YApJJ2QSWQP8DkCZlKHtSZ9yDIk1Jjm
 KNc75INBYgRWxg0+sY6zkxqVzGOmzri0cdk3zDhlcH6cjOoIMF+qPFo+vjPvKdHgIs
 41fjrVf0235Sg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HZYjt1Bpgz9rxL;
 Thu, 21 Oct 2021 06:03:13 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH 11/29] gnu: Add python-zipstream-new.
Date: Thu, 21 Oct 2021 04:01:42 +0000
Message-Id: <20211021040200.241873-7-monego@HIDDEN>
In-Reply-To: <20211021040200.241873-1-monego@HIDDEN>
References: <20211021040200.241873-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-xyz.scm (python-zipstream-new): New variable.
---
 gnu/packages/python-xyz.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index c48ac820a2..20aa6d9970 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -9760,6 +9760,33 @@ addition to a bunch of aliases.")
 command pipeline functionality.")
     (license license:bsd-3)))
 
+(define-public python-zipstream-new
+  (package
+    (name "python-zipstream-new")
+    (version "1.1.8")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/arjan-s/python-zipstream")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "14vhgg8mcjqi8cpzrw8qzbij2fr2a63l2a8fhil21k2r8vzv92cv"))))
+    (build-system python-build-system)
+    (native-inputs
+     `(("python-nose" ,python-nose)))
+    (home-page "https://github.com/arjan-s/python-zipstream")
+    (synopsis "Zipfile generator that takes input files as well as streams")
+    (description "@code{zipstream.py} is a zip archive generator based on
+@code{zipfile.py}.  It was created to generate a zip file generator for
+streaming.  This is beneficial for when you want to provide a downloadable
+archive of a large collection of regular files, which would be infeasible
+to generate the archive prior to downloading or of a very large file that
+you do not want to store entirely on disk or on memory.")
+    ;; No copyright headers in the source.  The LICENSE file indicates GPL3.
+    (license license:gpl3)))
+
 (define-public python-pep8
   ;; This package has been renamed to ‘pycodestyle’ and is no longer updated.
   ;; Its last release (1.7.1) adds only a scary warning to this effect, breaking
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 21 Oct 2021 04:03:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 00:03:19 2021
Received: from localhost ([127.0.0.1]:55943 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdPIU-0005aI-Uv
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:03:19 -0400
Received: from mout02.posteo.de ([185.67.36.66]:47693)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mdPIT-0005Zt-BC
 for 51314 <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:03:17 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 1D56924010B
 for <51314 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 06:03:11 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1634788991; bh=BkccuenHuY0MRyzaQcIi0Fz/HjgMjnNtW/FPJAL/WU4=;
 h=From:To:Cc:Subject:Date:From;
 b=lc9JpHaZDFJb8Dj9xopW/r4Btzj5Mo5vlbQy+h/f0Tm0zsTnRlYQTNAVAvcgnR9p1
 9XWbPLgyO3+qolA9ZDfhFVMIprThi8IhBWtu8iDREUolb2ytSxUPL/3b31ISekH2ls
 WsWsIX8cxg4apldKfHNnkyibNXOBvffAbVT3W6fDNaXyVcBl929wIlMlXcZH7e1TdB
 0YqeJJpo30Knl0nQ+svNmbDwT/BdeST+fdJZGrpMZj392sG8W/casuoR83n1SypAw5
 Xu0anMKkxcikuw43qfqLJbe/lXkq7pJzKXZU/ulQWCp71AvgypgcwxSzDAFjWw6r0A
 m1seJrT4Lut3w==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HZYjn5bn4z6tm9;
 Thu, 21 Oct 2021 06:03:09 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH 10/29] gnu: Add python-flask-assets.
Date: Thu, 21 Oct 2021 04:01:41 +0000
Message-Id: <20211021040200.241873-6-monego@HIDDEN>
In-Reply-To: <20211021040200.241873-1-monego@HIDDEN>
References: <20211021040200.241873-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-web.scm (python-flask-assets): New variable.
---
 gnu/packages/python-web.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index f9401cceb3..24e6bc063e 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -1033,6 +1033,35 @@ between a web browser and web server.")
 (define-public python2-sockjs-tornado
   (package-with-python2 python-sockjs-tornado))
 
+(define-public python-flask-assets
+  (package
+    (name "python-flask-assets")
+    (version "2.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "Flask-Assets" version))
+       (sha256
+        (base32 "1hmqldxc7zciksmcl35jx0wbyrrxc7vk2a57mmmd8i07whsymz8x"))))
+    (build-system python-build-system)
+    (arguments
+     ;; FIXME: 8 tests are failing with:
+     ;; TypeError: __init__() got an unexpected keyword argument 'static_path'
+     `(#:tests? #f))
+    (native-inputs
+     `(("python-flask-script" ,python-flask-script)
+       ("python-nose" ,python-nose)
+       ("python-pyscss" ,python-pyscss)
+       ("python-pyyaml" ,python-pyyaml)))
+    (propagated-inputs
+     `(("python-flask" ,python-flask)
+       ("python-webassets" ,python-webassets)))
+    (home-page "https://github.com/miracle2k/flask-assets")
+    (synopsis "Asset management for Flask")
+    (description "This package integrates @code{webassets} with Flask, adding
+support for merging, minifying and compiling CSS and Javascript files.")
+    (license license:bsd-2)))
+
 (define-public python-flask-babel
   (package
     (name "python-flask-babel")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 21 Oct 2021 04:03:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 00:03:14 2021
Received: from localhost ([127.0.0.1]:55940 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdPIQ-0005a1-MV
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:03:14 -0400
Received: from mout02.posteo.de ([185.67.36.66]:54795)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mdPIO-0005ZR-DF
 for 51314 <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:03:12 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 7D03D24010A
 for <51314 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 06:03:06 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1634788986; bh=czOHsXw3C9N+x+XhCr0xiqGx7YcgcFayN6uo8opnIcM=;
 h=From:To:Cc:Subject:Date:From;
 b=UrncE7+XKuJ4dSyHT1uD+fz9tr4FFwpFGo2xa5nZrcvpWi/LKrkB0fJ3yotmFYqEO
 ot4lVVOtygHp9nwSElOJ++Y3d/AMZrszIGbwhGhapQgHCensh85YHFfAQ7LF/sZ+vG
 zllYBSVLQQKtRDeeQ9O/zgesPwfShaC7ZFEGFuBFiSbcenRf40/U16KPh7gRo8lUG9
 nRoU1yKAzt7cvd8dgWh/iunSSDlSk5tYxisq2awQ0M42of5RZUqNbf4d3umhrQI2SB
 8wwwdqgq3mlhrvKKMa6kysZbbkNmwnn42Gx7y79vi+PcL3npWkDi3vBCof4m1Mf0Aq
 bIRzaE7wlZKIg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HZYjj4K2bz9rxN;
 Thu, 21 Oct 2021 06:03:05 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH 09/29] gnu: Add python-pyscss.
Date: Thu, 21 Oct 2021 04:01:40 +0000
Message-Id: <20211021040200.241873-5-monego@HIDDEN>
In-Reply-To: <20211021040200.241873-1-monego@HIDDEN>
References: <20211021040200.241873-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-web.scm (python-pyscss): New variable.
---
 gnu/packages/python-web.scm | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index 8dd3345daf..f9401cceb3 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -77,6 +77,7 @@
   #:use-module (gnu packages groff)
   #:use-module (gnu packages libevent)
   #:use-module (gnu packages libffi)
+  #:use-module (gnu packages pcre)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages python)
   #:use-module (gnu packages python-build)
@@ -773,6 +774,40 @@ JSON Web Algorithms (JWA) - collectively can be used to encrypt and/or sign
 content using a variety of algorithms.")
     (license license:expat)))
 
+(define-public python-pyscss
+  (package
+    (name "python-pyscss")
+    (version "1.3.7")
+    (source
+     (origin
+       ;; No tests in the PyPI tarball.
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/Kronuz/pyScss")
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0701hziiiw67blafgpmjhzspmrss8mfvif7fw0rs8fikddwwc9g6"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "-m" "pytest" "--pyargs" "scss")))))))
+    (native-inputs
+     `(("python-pytest" ,python-pytest)
+       ("python-pytest-cov" ,python-pytest-cov)))
+    (inputs
+     `(("pcre" ,pcre)))
+    (home-page "https://github.com/Kronuz/pyScss")
+    (synopsis "Scss compiler for Python")
+    (description "@code{pyScss} is a compiler for Sass, a superset language of
+CSS3 that adds programming capabilities and some other syntactic sugar.")
+    (license license:expat)))
+
 (define-public python-jsonpickle
   (package
     (name "python-jsonpickle")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 21 Oct 2021 04:03:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 00:03:09 2021
Received: from localhost ([127.0.0.1]:55937 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdPIL-0005Zd-Dx
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:03:09 -0400
Received: from mout02.posteo.de ([185.67.36.66]:48643)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mdPIK-0005Z2-En
 for 51314 <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:03:08 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 4733724010A
 for <51314 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 06:03:02 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1634788982; bh=C0zQ5W8nV5xwQAZKbg+wb3JGkESAKb7SbfNZm1XHnzM=;
 h=From:To:Cc:Subject:Date:From;
 b=rZK+SjmLuACFFWE+jG68iLU21kAcnv5GlZ1lnqLpNfxPZLKwkD7/6Dke0P8A/qYFq
 c1oEhJh10Fiyin41f26JU1bQwG1kOHgC7k0abw0WKgeXmF6VzHmZ/L161r977Jv9Zq
 WFT+ce2+LMhpNl2bwixq0QqdX/RPsww+Q15H5vXF94vSqnJpZaehKBPmZONXBc/Euz
 AdM+Nj5cMsXG9NbRL3M+0KKLhhMP/Q9EjZ7kQfsmoVp+8916xotba2SsR/P4VbL80A
 csSQkrZHZBL6L0qhA7+c1kLFAPSTGxnSHCoNpRrMlfcW6QvzQ7lHiiw/byVcsabY9c
 QTWHqHVzob1FQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HZYjd2b8gz6tm6;
 Thu, 21 Oct 2021 06:03:01 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH 08/29] gnu: python-flask: Respect #:tests?.
Date: Thu, 21 Oct 2021 04:01:39 +0000
Message-Id: <20211021040200.241873-4-monego@HIDDEN>
In-Reply-To: <20211021040200.241873-1-monego@HIDDEN>
References: <20211021040200.241873-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-web.scm (python-flask)[arguments]<#:phases>: Respect
#:tests? in the custom 'check phase and simplify it.
---
 gnu/packages/python-web.scm | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index 67128d1b18..8dd3345daf 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -2981,13 +2981,13 @@ minimum of WSGI.")
                 "15ni4xlm57a15f5hipp8w0c9zba20179bvfns2392fiq1lcbdghg"))))
     (build-system python-build-system)
     (arguments
-     '(#:phases
+     `(#:phases
        (modify-phases %standard-phases
          (replace 'check
-           (lambda _
-             (setenv "PYTHONPATH" (string-append "./build/lib:"
-                                                 (getenv "PYTHONPATH")))
-             (invoke "pytest" "-vv" "tests"))))))
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "-m" "pytest")))))))
     (native-inputs
      `(("python-pytest" ,python-pytest)))
     (propagated-inputs
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 21 Oct 2021 04:03:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 00:03:09 2021
Received: from localhost ([127.0.0.1]:55935 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdPIL-0005Zb-7i
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:03:09 -0400
Received: from mout02.posteo.de ([185.67.36.66]:57069)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mdPIG-0005Ya-Jx
 for 51314 <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:03:05 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 60D5F240103
 for <51314 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 06:02:58 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1634788978; bh=8SF+s6CsuhYGpZiVAKV0pqMQ1S3Vcrh8DYlsSJiaNao=;
 h=From:To:Cc:Subject:Date:From;
 b=rTFUJ+zR8fBMXQhiU3sGMQEpLXbFgiyXqsJ63Mc9srHkPxOJM2U+2htoLqdTX2zxa
 KvekEKAJUaFPkFdcfNfjvvMJ13AThUbVObPFWxbDWJYDw2C3hFF3fSttakDx4qBZL+
 gE0mrqNrSDntVPKkHRoELJdZpPGVGZeseiLn/Ykutp8LE6KBEtP9u4iobXE0h/S7lh
 B0/4orlC9qFoYA9bdafYJvEAreVc+bG5zEF6O89u3uTfepCw3fdAfzSTPa+1wbH8bU
 jUhbhMM1IT8oKU9/cBS4Mmj5o+uxHN3YblLETl37M2uUG7elPIEkfBI5ZAHfnfZLQb
 zN1cUokJTkxXg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HZYjY0pgBz6tm9;
 Thu, 21 Oct 2021 06:02:56 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH 07/29] gnu: python-flask: Update to 1.1.4.
Date: Thu, 21 Oct 2021 04:01:38 +0000
Message-Id: <20211021040200.241873-3-monego@HIDDEN>
In-Reply-To: <20211021040200.241873-1-monego@HIDDEN>
References: <20211021040200.241873-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-web.scm (python-flask): Update to 1.1.4.
---
 gnu/packages/python-web.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index 2b5379950d..67128d1b18 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -2972,13 +2972,13 @@ minimum of WSGI.")
 (define-public python-flask
   (package
     (name "python-flask")
-    (version "1.1.2")
+    (version "1.1.4")
     (source (origin
               (method url-fetch)
               (uri (pypi-uri "Flask" version))
               (sha256
                (base32
-                "0q3h295izcil7lswkzfnyg3k5gq4hpmqmpl6i7s5m1n9szi1myjf"))))
+                "15ni4xlm57a15f5hipp8w0c9zba20179bvfns2392fiq1lcbdghg"))))
     (build-system python-build-system)
     (arguments
      '(#:phases
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 21 Oct 2021 04:03:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 00:03:05 2021
Received: from localhost ([127.0.0.1]:55932 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdPIG-0005ZC-Qb
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:03:05 -0400
Received: from mout01.posteo.de ([185.67.36.65]:59485)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mdPIB-0005YH-2x
 for 51314 <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:03:03 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 7B74C240029
 for <51314 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 06:02:53 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1634788973; bh=Umlijhon6aqw6WGwT4P6Hag+SkwQC7gd/Yt/RWLI6V0=;
 h=From:To:Cc:Subject:Date:From;
 b=Mp+NTjHe33Cb/jKer2JtoOoSDL0XkexVB70P/I+4jyEd+zQlci3PNxwYaLVSD32Fv
 rMa6TBN2WRqPEMvwClaZpg6AuMmcnblOsS6SYEeYb+kxmWHyrJXXTfSObsrlc8U9n1
 mzM+WK5uWz7RR4DnJUI5HZFNXPXe861YMLuHhymw+eExO6A6kjgXPwibYISGCB0W7b
 quTzz2AD/TZDvXr+el7QvyN+qmW7LXq4BuoAqJmBpAoXTezO9p/8h4V2OwVkD5vjST
 1Q4AeQ/WfscxMkOR7faea16w4KWv7WkbVokxDrT78f3R2bhr/G7qtzoePzZI2cdBkT
 seUCAZALlbVRg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HZYjS4WV8z9rxM;
 Thu, 21 Oct 2021 06:02:52 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH 06/29] gnu: Add python-pylru.
Date: Thu, 21 Oct 2021 04:01:37 +0000
Message-Id: <20211021040200.241873-2-monego@HIDDEN>
In-Reply-To: <20211021040200.241873-1-monego@HIDDEN>
References: <20211021040200.241873-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-xyz.scm (python-pylru): New variable.
---
 gnu/packages/python-xyz.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 4230f141bb..c48ac820a2 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -11192,6 +11192,35 @@ signature of a file or buffer.")
 provides a collection of cache libraries in the same API interface.")
     (license license:bsd-3)))
 
+(define-public python-pylru
+  (package
+    (name "python-pylru")
+    (version "1.2.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "pylru" version))
+       (sha256
+        (base32 "15yj46307sw703vjfkgnr04dqvaicmfcj0hc6yrciildp55r6bs9"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "test.py")))))))
+    (home-page "https://github.com/jlhutch/pylru")
+    (synopsis "Least recently used (LRU) cache implementation")
+    (description
+     "Pylru implements a true LRU cache along with several support classes.
+Pylru provides a cache class with a simple dict interface.  It also provides
+classes to wrap any object that has a dict interface with a cache.  Both
+write-through and write-back semantics are supported.  Pylru also provides
+classes to wrap functions in a similar way, including a function decorator.")
+    (license license:gpl2+)))
+
 (define-public python-legacy-api-wrap
   (package
     (name "python-legacy-api-wrap")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 21 Oct 2021 04:02:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 00:02:57 2021
Received: from localhost ([127.0.0.1]:55927 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdPI9-0005YR-Ig
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:02:57 -0400
Received: from mout01.posteo.de ([185.67.36.65]:36923)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mdPI6-0005YC-L2
 for 51314 <at> debbugs.gnu.org; Thu, 21 Oct 2021 00:02:55 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 542C7240027
 for <51314 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 06:02:48 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1634788968; bh=WKZ4S+SAe1a7SK/3GTtxhRNyGuU6MIslvbkBCL2RBqE=;
 h=From:To:Cc:Subject:Date:From;
 b=ZExzGrO+urcgkjBO5Fxqsq3pKHDBu9sKYax7Lq2UUjgSy5j3Pw2lMNFUJJS1iBFyU
 pixf+oRYJEA6RVSetVro32YkCjpVMrxS8GtTs/c7wZavnX4QGfIxqpVLKge6Fcg06b
 420514FXzan5Z00XflW6CIye7ZwttVY2p84CGpRe8lkO78s6o4Iy/VRt7udnTkNfJF
 jibxfg+6/L/KAefOvpy0E22ed52ZugxJqxc0+4zZkUqpLXVibYlk+/sXASHtAZy02z
 Y8cDP5WciEInEiSMQVFxb7HhCSdyflEZ8Qp5Sg/cDlvbNrymUa/sqQLygXuIRb5Gh4
 PLnF93l/txYhA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HZYjM1nSXz9rxM;
 Thu, 21 Oct 2021 06:02:46 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH 05/29] gnu: Add python-sarge.
Date: Thu, 21 Oct 2021 04:01:36 +0000
Message-Id: <20211021040200.241873-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-xyz.scm (python-sarge): New variable.
---
 gnu/packages/python-xyz.scm | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 07d2a9da41..4230f141bb 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -9743,6 +9743,23 @@ entire set of Emoji codes as defined by the unicode consortium is supported in
 addition to a bunch of aliases.")
     (license license:bsd-3)))
 
+(define-public python-sarge
+  (package
+    (name "python-sarge")
+    (version "0.1.6")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "sarge" version))
+       (sha256
+        (base32 "0r9jnpdsjdr6h92blr5b2fdzvb1n8ypjwhk2xxmss42gwq2bk3zl"))))
+    (build-system python-build-system)
+    (home-page "https://sarge.readthedocs.io/")
+    (synopsis "Command pipeline functionality")
+    (description "@code{sarge} is a wrapper for subprocess which provides
+command pipeline functionality.")
+    (license license:bsd-3)))
+
 (define-public python-pep8
   ;; This package has been renamed to ‘pycodestyle’ and is no longer updated.
   ;; Its last release (1.7.1) adds only a scary warning to this effect, breaking
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 21 Oct 2021 03:54:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 20 23:54:29 2021
Received: from localhost ([127.0.0.1]:55919 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdP9x-0005KM-No
	for submit <at> debbugs.gnu.org; Wed, 20 Oct 2021 23:54:29 -0400
Received: from mout01.posteo.de ([185.67.36.65]:38939)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mdP9w-0005Jy-45
 for 51314 <at> debbugs.gnu.org; Wed, 20 Oct 2021 23:54:28 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 74231240026
 for <51314 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 05:54:22 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1634788462; bh=N0Gv8KBJnKnOL1RaTQ/kaoW2GrOCi1RnYbZL9EmurYc=;
 h=From:To:Cc:Subject:Date:From;
 b=bX3iDcpduD35ypGmVaZSbXU9iMPwjtgYIVAlq0iqLKHIh6oDE9yRrWuduBR2UkDSo
 FiUZ3b6vy/SarpKcS5KnsmC1pjUvZ6wP6YlikD5zgSsF3EzIpfJjHKzV9FV7w0M2vz
 nPAb2PxK+2hhx22DOs0McgV5RfnHOa5MWmoRBTV6FzGM0ShyjD3iit1anQw1u4HjYD
 4fHE2R+s8+DQfpMAlFC0diQbDGDj8v97C6fu++zM6UHU7IoKoTrxOa3stY99sTXs7V
 N7trD+ZJN7UE1tPrWdke0j5UvedxJ3pv7RGQ9BWS7HVjuggSa/ufzAjCrU65nfxh5d
 7qQEwKGSyTODw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HZYWd474wz6tm9;
 Thu, 21 Oct 2021 05:54:21 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH 04/29] gnu: Add python-cachelib.
Date: Thu, 21 Oct 2021 03:52:49 +0000
Message-Id: <20211021035314.241360-4-monego@HIDDEN>
In-Reply-To: <20211021035314.241360-1-monego@HIDDEN>
References: <20211021035314.241360-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-xyz.scm (python-cachelib): New variable.
---
 gnu/packages/python-xyz.scm | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 6819574944..07d2a9da41 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -11156,6 +11156,25 @@ package to infer file type and MIME type checking the magic numbers
 signature of a file or buffer.")
     (license license:expat)))
 
+(define-public python-cachelib
+  (package
+    (name "python-cachelib")
+    (version "0.1.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "cachelib" version))
+       (sha256
+        (base32 "0vs7nimlbhqy9kjcc90nswkhs3kgl28ag19jssx9qwlcsrkmmsa7"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:tests? #f)) ;no tests
+    (home-page "https://github.com/pallets/cachelib")
+    (synopsis "Collection of cache libraries")
+    (description "Cachelib is a library extracted from @code{werkzeug} which
+provides a collection of cache libraries in the same API interface.")
+    (license license:bsd-3)))
+
 (define-public python-legacy-api-wrap
   (package
     (name "python-legacy-api-wrap")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 21 Oct 2021 03:54:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 20 23:54:25 2021
Received: from localhost ([127.0.0.1]:55916 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdP9t-0005K6-8D
	for submit <at> debbugs.gnu.org; Wed, 20 Oct 2021 23:54:25 -0400
Received: from mout02.posteo.de ([185.67.36.66]:51309)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mdP9n-0005Jb-Rr
 for 51314 <at> debbugs.gnu.org; Wed, 20 Oct 2021 23:54:23 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 9E6AC240101
 for <51314 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 05:54:13 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1634788453; bh=ex5xa7bmlSD1aeM2B6ioL3O/OqCPkF/I1ZdVxoJzPZg=;
 h=From:To:Cc:Subject:Date:From;
 b=sCKuLvQTGl/zsaImMYIieFqPTuiWBMYrb3e0h5YaYrppkmF3LrTw26gX5HNC4LLLw
 HS6HDzxgtx7HS/ECTm89qyugOIEbzWFXMQeqGLwWXMbdIi7SjKP5Az+1BOszSaeGUq
 0ZXo4lWhysRPKDkNlyLq7uUL0u21yuZQ19YsgKroHUsln5CxqOJS+7Y+xUOnj8BnBw
 RzgcExRoJxO/ZhgfnOA9CumtlUQ4SSlSFYJF7qY8FhNbJuuY++mHcpj36Ub6jayQJZ
 SctDYLJUMLd/8LkFWjv3Hw0sD7k/U6M8ibEtLuLtfP/JYXu5pBTkw/thl2UeA6g2QN
 guu599vlKfO0g==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HZYWS3DJfz6tm6;
 Thu, 21 Oct 2021 05:54:11 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH 03/29] gnu: Add python-emoji.
Date: Thu, 21 Oct 2021 03:52:48 +0000
Message-Id: <20211021035314.241360-3-monego@HIDDEN>
In-Reply-To: <20211021035314.241360-1-monego@HIDDEN>
References: <20211021035314.241360-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-xyz.scm (python-emoji): New variable.
---
 gnu/packages/python-xyz.scm | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index cf6b4e8e82..6819574944 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -9713,6 +9713,36 @@ applications.")
 a fork of @code{frozendict}.")
     (license license:expat)))
 
+(define-public python-emoji
+  (package
+    (name "python-emoji")
+    (version "1.6.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "emoji" version))
+       (sha256
+        (base32 "0923mpixwq6hdpkgvi4r46alfvf608iq975rb8lnqpq29j71mmjk"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "-m" "pytest")))))))
+    (native-inputs
+     `(("python-coverage" ,python-coverage)
+       ("python-coveralls" ,python-coveralls)
+       ("python-pytest" ,python-pytest)))
+    (home-page "https://github.com/carpedm20/emoji/")
+    (synopsis "Emoji terminal output for Python")
+    (description "This package provides Emoji terminal output for Python.  The
+entire set of Emoji codes as defined by the unicode consortium is supported in
+addition to a bunch of aliases.")
+    (license license:bsd-3)))
+
 (define-public python-pep8
   ;; This package has been renamed to ‘pycodestyle’ and is no longer updated.
   ;; Its last release (1.7.1) adds only a scary warning to this effect, breaking
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 21 Oct 2021 03:54:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 20 23:54:16 2021
Received: from localhost ([127.0.0.1]:55913 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdP9j-0005Jj-W3
	for submit <at> debbugs.gnu.org; Wed, 20 Oct 2021 23:54:16 -0400
Received: from mout01.posteo.de ([185.67.36.65]:36511)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mdP9i-0005JK-MX
 for 51314 <at> debbugs.gnu.org; Wed, 20 Oct 2021 23:54:15 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 010C1240026
 for <51314 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 05:54:09 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1634788449; bh=P6MH4R0zl/axEjEHhNyZA35WxaLServdpY7x7J5WoMk=;
 h=From:To:Cc:Subject:Date:From;
 b=pc8g1K+ErtzOIcd8Z+RQehDUj2567pd+lO+zC+IZ8s79Mvjhnl/89dCfzf87pN9iu
 juZiy1OgGObV+7P0NjZ83pEmjjt9AJN0Hrs90Cpe5CqST93bm2MJplw9KwhdRKVUio
 AsuJTWP77Dh4xSLaqcILRvN8ziljwq0x5O6ZccGWJ8xrSl7HhQfDhW9zhWWLB42DPY
 yIDqofjAjSWn1n1OdBRtoBE+rdKl2O2ITCxvRUdPuRdvONqZg4Ew9/nD87dqJ+rBI9
 2b9CU0pqqTDMbvXdaS9OHmdafhKgYNfRza+lzYxPFcrn27zE0nYwKqYeM2BEoVEEaS
 RI3/msxW4//Ag==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HZYWN16HGz9rxH;
 Thu, 21 Oct 2021 05:54:07 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH 02/29] gnu: Add python-immutabledict.
Date: Thu, 21 Oct 2021 03:52:47 +0000
Message-Id: <20211021035314.241360-2-monego@HIDDEN>
In-Reply-To: <20211021035314.241360-1-monego@HIDDEN>
References: <20211021035314.241360-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-xyz.scm (python-immutabledict): New variable.
---
 gnu/packages/python-xyz.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 0e56570b83..cf6b4e8e82 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -9691,6 +9691,28 @@ applications.")
      "PyZMQ is the official Python binding for the ZeroMQ messaging library.")
     (license license:bsd-4)))
 
+(define-public python-immutabledict
+  (package
+    (name "python-immutabledict")
+    (version "2.2.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "immutabledict" version))
+       (sha256
+        (base32 "0fpc4gbk7inpfbgdypsg6c18bmdjw8gwx47bjw0hvixn3gghxnqx"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:tests? #f)) ; no tests in PyPI release and no setup.py in GitHub
+    (native-inputs
+     `(("python-pytest" ,python-pytest)))
+    (home-page "https://github.com/corenting/immutabledict")
+    (synopsis "Immutable wrapper around dictionaries")
+    (description
+     "@code{immutabledict} is a immutable wrapper around dictionaries.  It is
+a fork of @code{frozendict}.")
+    (license license:expat)))
+
 (define-public python-pep8
   ;; This package has been renamed to ‘pycodestyle’ and is no longer updated.
   ;; Its last release (1.7.1) adds only a scary warning to this effect, breaking
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at 51314 <at> debbugs.gnu.org:


Received: (at 51314) by debbugs.gnu.org; 21 Oct 2021 03:54:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 20 23:54:14 2021
Received: from localhost ([127.0.0.1]:55910 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdP9h-0005JU-OB
	for submit <at> debbugs.gnu.org; Wed, 20 Oct 2021 23:54:13 -0400
Received: from mout01.posteo.de ([185.67.36.65]:41261)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mdP9f-0005JE-Dl
 for 51314 <at> debbugs.gnu.org; Wed, 20 Oct 2021 23:54:11 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id E578B240026
 for <51314 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 05:54:04 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1634788444; bh=3pTHGb9SimSuk3/cUxHy4ELXMJl21UyeZzbZnp8ecxw=;
 h=From:To:Cc:Subject:Date:From;
 b=ORgNSeduXdyV5Cm7PH4jySa7UQypiirciZHKw0axCU4dl/ZPvJpCHbwtXgyum2eas
 pEDtg5BVzB5gRstXW3U9HLhYYAfchnUevUcLcjfsTHapYn+lK4bAUVxwgvP4NP+WlS
 wo2JSHs+TxYEzjVQqFJLS6P9C+V2HsQ9ejQP7A5uYLrtNLORG5Ksuw0/kD/c5zxkbd
 fcvOw0QvLtkfx3wu43L31d+ICcKCh7ArgFUIIfWLhwV5mlP4VfnYYaNCt6n3Ys0F6w
 blm0+XZAT2B489IN0AL/k9kjRHilFYw+V2osxUB7wa9Xfi2TtNHsb4+Dk0VQDYEP/F
 G1KyPFpfrexuw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HZYWH6VZTz9rxH;
 Thu, 21 Oct 2021 05:54:03 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: 51314 <at> debbugs.gnu.org
Subject: [PATCH 01/29] gnu: Add python-filetype.
Date: Thu, 21 Oct 2021 03:52:46 +0000
Message-Id: <20211021035314.241360-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51314
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-xyz.scm (python-filetype): New variable.
---
 gnu/packages/python-xyz.scm | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index c335dea277..0e56570b83 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -11069,6 +11069,41 @@ your package is installed, via @code{pkg_resources} (part of
 @code{setuptools}).")
     (license license:gpl3+)))
 
+(define-public python-filetype
+  (package
+    (name "python-filetype")
+    (version "1.0.8")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "filetype" version))
+       (sha256
+        (base32 "05mkinkcn36v1cnb5hzay3zxmv7jmmflckxxp08rgzbkkf3i9pvp"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key inputs outputs tests? #:allow-other-keys)
+             (when tests?
+               (add-installed-pythonpath inputs outputs)
+               (invoke "python" "-m" "pytest" "-k"
+                       (string-append
+                        ;; Both tests fail with FileNotFoundError.
+                        "not test_infer_zip_from_disk"
+                        " and not test_infer_tar_from_disk"))))))))
+    (native-inputs
+     `(("python-flake8" ,python-flake8)
+       ("python-pytest" ,python-pytest)
+       ("python-pytest-benchmark"
+        ,python-pytest-benchmark)))
+    (home-page "https://github.com/h2non/filetype.py")
+    (synopsis "Infer file type and MIME type of any file/buffer")
+    (description "@code{filetype} is a small and dependency free Python
+package to infer file type and MIME type checking the magic numbers
+signature of a file or buffer.")
+    (license license:expat)))
+
 (define-public python-legacy-api-wrap
   (package
     (name "python-legacy-api-wrap")
-- 
2.30.2





Information forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Oct 2021 03:52:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 20 23:52:21 2021
Received: from localhost ([127.0.0.1]:55905 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdP7t-0005GC-By
	for submit <at> debbugs.gnu.org; Wed, 20 Oct 2021 23:52:21 -0400
Received: from lists.gnu.org ([209.51.188.17]:37014)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1mdP7r-0005G4-5f
 for submit <at> debbugs.gnu.org; Wed, 20 Oct 2021 23:52:19 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:37892)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <monego@HIDDEN>) id 1mdP7o-0006ps-OX
 for guix-patches@HIDDEN; Wed, 20 Oct 2021 23:52:18 -0400
Received: from mout01.posteo.de ([185.67.36.65]:43185)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <monego@HIDDEN>) id 1mdP7m-00019Q-9J
 for guix-patches@HIDDEN; Wed, 20 Oct 2021 23:52:16 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 0DE54240026
 for <guix-patches@HIDDEN>; Thu, 21 Oct 2021 05:52:09 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1634788330; bh=vVzaQEjp5Yn98glo/hhScMgVUNCz06+KBR1X2qWI4ZE=;
 h=From:To:Cc:Subject:Date:From;
 b=LXCJh1Vv+2NIf6yCZawpleJJIM3JH5C9kpr5IbpT6vZugPy24ppjY653JI7jUC9Lg
 c0gajLSNVL901fS5ANGDhg9gs8O0ifidQp+RonaqLsFId4CB8bbZv/uO1rYqpvCMNX
 L7TGocSqHSO1BIM+txykxADin4q60JjPMVTXr7NOmxYZU/qeTQ4o3e92bhVb8/A3QM
 eEc6P4MDopqySyK2nP4sFG5OKfAQJ/APldwlbhzT6gB3valcjUZLXDLFSrXreLTc/N
 A1zOhfllaJvDSkdO/9g28H9EtSi3jEZP9MLSSewBd3E6eEOpNhVneiTheNA2s4MydW
 0d2aaHlAdwLyA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HZYT46fYkz6tm6;
 Thu, 21 Oct 2021 05:52:08 +0200 (CEST)
From: Vinicius Monego <monego@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 00/29] Add Octoprint (web UI for 3d printers).
Date: Thu, 21 Oct 2021 03:51:00 +0000
Message-Id: <20211021035100.241119-1-monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=185.67.36.65; envelope-from=monego@HIDDEN;
 helo=mout01.posteo.de
X-Spam_score_int: -43
X-Spam_score: -4.4
X-Spam_bar: ----
X-Spam_report: (-4.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

This patchset adds the Octoprint web UI to control 3d printers.

Octoprint itself bundles font-awesome. I removed it in a snippet, don't know how much it would affect usability. I haven't found other bundles with license issues.

Some of the updates have newer versions but I'm updating to "older" versions to maintain compatibility with octoprint. See the comment in the octoprint package.

Vinicius Monego (29):
  gnu: Add python-filetype.
  gnu: Add python-immutabledict.
  gnu: Add python-emoji.
  gnu: Add python-cachelib.
  gnu: Add python-sarge.
  gnu: Add python-pylru.
  gnu: python-flask: Update to 1.1.4.
  gnu: python-flask: Respect #:tests?.
  gnu: Add python-pyscss.
  gnu: Add python-flask-assets.
  gnu: Add python-zipstream-new.
  gnu: Add python-executing.
  gnu: Add python-sentry-sdk.
  gnu: Add python-pytest-doctest-custom.
  gnu: Add python-sgmllib3k.
  gnu: python-feedparser: Update to 6.0.8.
  gnu: python-feedparser: Enable tests.
  gnu: python-netifaces: Update to 0.11.0.
  gnu: python-websocket-client: Update to 0.59.0.
  gnu: python-pkginfo: Update to 1.7.1.
  gnu: python-watchdog: Update to 0.10.7.
  gnu: python-colorlog: Update to 5.0.1.
  gnu: python-zeroconf: Update to 0.33.4.
  gnu: python-wrapt: Update to 1.12.1.
  gnu: python-wrapt: Enable tests.
  gnu: Add octoprint-pisupport.
  gnu: Add octoprint-firmwarecheck.
  gnu: Add octoprint-filecheck.
  gnu: Add octoprint.

 gnu/packages/printers.scm     | 181 +++++++++++++++-
 gnu/packages/python-check.scm |  29 +++
 gnu/packages/python-web.scm   |  96 ++++++++-
 gnu/packages/python-xyz.scm   | 381 ++++++++++++++++++++++++++++++----
 gnu/packages/web.scm          |  15 +-
 5 files changed, 645 insertions(+), 57 deletions(-)


base-commit: 2782cb38a3bc68c530d6e95f6834ae0cb7ed16aa
prerequisite-patch-id: 01467a57e2c7d6c0266979c26fc35408e886972b
-- 
2.30.2





Acknowledgement sent to Vinicius Monego <monego@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#51314; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 14 Nov 2021 14:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.